#ifndef __DBGFLTR_H__
#define __DBGFLTR_H__ 0x0100

#if(0)
// For NEW XPROC DBGOUT LIBRARY
#define DBGMSG51_INDEXFILTER DBGINDEX_MAKE
#define DbgMsgFilterName_s   DbgOutFilterName_s
#define DbgMsg               DbgOut
#define DBG_HIFREQ           DBG_FRQ
#define DbgMsgPerf_s         DbgOutPerf_s
#define DbgMsgCmd            DbgOutCmd
#define DBG_INDEXED          DBG_INDEX
#define DBGMSG51_FILTERMASK  DBGINDEX_MASK
#define DBGMSG51_FILTERINDEX DBGINDEX_INDEX
#define DBGMSG_VERSION       DBGOUT_API
#define DBGCMD_GETFILTER     DBGOUT_GETFILTERS
#define DMFilter             Filter
#else
#define DMFilter             Mask
#endif

#define DBG_SET     0x00000100    //Announce registry settings
#define DBG_STRMIRP 0x00000200    //Main IRPs to Stream Class Driver
#define DBG_LOG	    0x00000400	  //Packet logging
#define DBG_TODO    0x00000800	  //Things to be done.

#define DBG_PNPINDEX	0 //Index 0
#define DBG_PNPTITLE	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0000)
#define DBG_PNPCFG	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0001)
#define DBG_PNPLOAD	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0002)
#define DBG_PNPACCESS	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0004)
#define DBG_PNPIOCTRL	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0008)
#define DBG_PNPUNK	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0010)
#define DBG_PNPERR	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0020)
#define DBG_PNPMSG	DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0040)
#define DBG_PNPPOWER    DBGMSG51_INDEXFILTER(DBG_PNPINDEX,0x0080)

#define DBG_CSINDEX	1
#define DBG_CSTITLE	DBGMSG51_INDEXFILTER(DBG_CSINDEX,0x0000)
#define DBG_CSEVNT	DBGMSG51_INDEXFILTER(DBG_CSINDEX,0x0001)
#define DBG_CSREQ	DBGMSG51_INDEXFILTER(DBG_CSINDEX,0x0002)
#define DBG_CSCLNT	DBGMSG51_INDEXFILTER(DBG_CSINDEX,0x0004)

#define DBG_HWINDEX	2
#define DBG_HWTITLE	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0000)
#define DBG_HWINIT	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0001)
#define DBG_HWIO	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0002)
#define DBG_HWAPI	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0004)
#define DBG_HWSTATE	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0008)
#define DBG_HWSEND	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0010)
#define DBG_HWCMD	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0020)
#define DBG_HWISR	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0040)
#define DBG_HWFLUSH	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0080)
#define DBG_HWERR	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0100)
#define DBG_HWSTAT	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0200)
#define DBG_HWINITSRB	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0400)
#define DBG_HWBUFCFG	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x0800)
#define DBG_HWREG	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x1000)
#define DBG_HWREGWR	DBGMSG51_INDEXFILTER(DBG_HWINDEX,0x2000)

#define DBG_SYNCINDEX	3 //Sync object
#define DBG_SYNCTITLE	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0000)
#define DBG_SYNCVIDPTS	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0001)
#define DBG_SYNCADJ	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0002)
#define DBG_SYNCAUDPTS	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0004)
#define DBG_SYNCERR	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0008)
#define DBG_SYNCDROP	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0010)
#define DBG_SYNCINIT	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0020)
#define DBG_SYNCCHK	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0040)
#define DBG_SYNCMSG	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0080)
#define DBG_SYNCTBL	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0100)
#define DBG_SYNCEVENT	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0200)
#define DBG_SYNCHW	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0400)
#define DBG_SYNCDRIFTA	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x0800)
#define DBG_SYNCSTART	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x1000)
#define DBG_SYNCDRIFTV	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x2000)
#define DBG_SYNCWATCH	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x4000)
#define DBG_SYNCUNC	DBGMSG51_INDEXFILTER(DBG_SYNCINDEX,0x8000)

#define DBG_MSGINDEX	4
#define DBG_MSGTITLE	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0000)
#define DBG_MSGVID	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0001)
#define DBG_MSGAUD	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0002)
#define DBG_MSGSUB	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0004)
#define DBG_MSGVPE	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0008)
#define DBG_MSGCC	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0010)
#define DBG_MSGNTSC	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0020)
#define DBG_MSGEVENT	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0040)
#define DBG_MSGPKT	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0080)
#define DBG_MSGERR	DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0100)
#define DBG_MSGTIMER    DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0200)
#define DBG_MSGVIDFORMAT DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0400)
#define DBG_FIRST4BYTES DBGMSG51_INDEXFILTER(DBG_MSGINDEX,0x0800)

#define DBG_VIDINDEX	5
#define DBG_VIDTITLE	DBGMSG51_INDEXFILTER(DBG_VIDINDEX,0x0000)
#define DBG_VIDCMD	DBGMSG51_INDEXFILTER(DBG_VIDINDEX,0x0001)
#define DBG_VIDPANIC	DBGMSG51_INDEXFILTER(DBG_VIDINDEX,0x0002)
#define DBG_VIDSTATE	DBGMSG51_INDEXFILTER(DBG_VIDINDEX,0x0004)

#define DBG_AUXINDEX	6 //AuxData object
#define DBG_AUXTITLE	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0000)
#define DBG_AUXCMD	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0001)
#define DBG_AUXERR	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0002)
#define DBG_AUXREAD	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0004)
#define DBG_AUXMISS	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0008)
#define DBG_AUXLAYER	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0010)
#define DBG_AUXPIC	DBGMSG51_INDEXFILTER(DBG_AUXINDEX,0x0020)

#define DBG_TVOUTINDEX  7
#define DBG_TVTITLE     DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0000)
#define DBG_TVREG       DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0001)
#define DBG_TVOUTMODE   DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0002)
#define DBG_TVSET       DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0004)
#define DBG_TVAPI       DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0008)
#define DBG_TVINFO      DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0010)
#define DBG_MACROVISION DBGMSG51_INDEXFILTER(DBG_TVOUTINDEX,0x0020)

#define DBG_CONTROLPANEL  8
#define DBG_CPTITLE     DBGMSG51_INDEXFILTER(DBG_CONTROLPANEL,0x0000)
#define DBG_CP_TIMER    DBGMSG51_INDEXFILTER(DBG_CONTROLPANEL,0x0001)
#define DBG_CP_INFO     DBGMSG51_INDEXFILTER(DBG_CONTROLPANEL,0x0002)
#define DBG_CP_SET      DBGMSG51_INDEXFILTER(DBG_CONTROLPANEL,0x0004)

#define DBG_AUDIO	9
#define DBG_AUDTITLE	DBGMSG51_INDEXFILTER(DBG_AUDIO,0x0000)
#define DBG_AUDCMD	DBGMSG51_INDEXFILTER(DBG_AUDIO,0x0001)
#define DBG_AUDERR	DBGMSG51_INDEXFILTER(DBG_AUDIO,0x0002)
#define DBG_AUDHW	DBGMSG51_INDEXFILTER(DBG_AUDIO,0x0004)
#define DBG_AUDSTATE	DBGMSG51_INDEXFILTER(DBG_AUDIO,0x0008)

#define DBG_DDRAW       10
#define DBG_DDRAWTITLE  DBGMSG51_INDEXFILTER(DBG_DDRAW,0x0000)
#define DBG_DDINFO      DBGMSG51_INDEXFILTER(DBG_DDRAW,0x0001)
#define DBG_DDEVE       DBGMSG51_INDEXFILTER(DBG_DDRAW,0x0002)
#define DBG_DDERR       DBGMSG51_INDEXFILTER(DBG_DDRAW,0x0004)

#define DBG_SUBPICT	11
#define DBG_SUBTITLE	DBGMSG51_INDEXFILTER(DBG_SUBPICT,0x0000)
#define DBG_SUBMSG	DBGMSG51_INDEXFILTER(DBG_SUBPICT,0x0001)
#define DBG_SUBPOS	DBGMSG51_INDEXFILTER(DBG_SUBPICT,0x0002)
#define DBG_SUBHI	DBGMSG51_INDEXFILTER(DBG_SUBPICT,0x0004)
#define DBG_SUBSTATE    DBGMSG51_INDEXFILTER(DBG_SUBPICT,0x0008)

#define DBG_CSS 12
#define DBG_CSSTITLE   	DBGMSG51_INDEXFILTER(DBG_CSS,0x0000)
#define DBG_CSSKEYS   	DBGMSG51_INDEXFILTER(DBG_CSS,0x0001)
#define DBG_CSSTITLEKEY	DBGMSG51_INDEXFILTER(DBG_CSS,0x0002)

//Profiler trace channels
#define DBGPRF_TIMER	    0  //dvHwIsr timer
#define DBGPRF_DMATIMER	  1  //Dma timer
#define DBGPRF_DATATIMER	2  //Data timer
#define DBGPRF_WRITEVID   3  //Time spent writing video data to decoder
#define DBGPRF_SYNCPROC	  4  //Time spent handling sync commands
#define DBGPRF_DMAXFR	    5  //DMA set for xfer


//Profiler data channels
#define DBGPRF_VIDRD	0   //Current video read pointer
#define DBGPRF_VIDWR	1   //Current video write pointer
#define DBGPRF_AUDRD	2   //Current audio read pointer
#define DBGPRF_AUDWR	3   //Current audio write pointer
#define DBGPRF_TIMEOUT	4   //PktStart of timed out entry.
#define DBGPRF_VIDINTR	5   //msec since last video picture start code detected.
#define DBGPRF_AUDINTR	6   //msec since last audio sync code detected.
#define DBGPRF_SCR	7   //Current SCR when sync packet added.

#endif
/**EOF: DBGFLTR.H**/
