//#include <StrmIni.h>
#include "Idents.h"

#define ID(name) { name,#name }

struct IdentEntry_s IdentsNtStatus[]= {
  { ID_NTSTATUS,0 },
#if(0)
    ID(STATUS_SUCCESS),
    ID(STATUS_WAIT_0),
    ID(STATUS_WAIT_1),
    ID(STATUS_WAIT_2),
    ID(STATUS_WAIT_3),
    ID(STATUS_WAIT_63),
    ID(STATUS_ABANDONED),
    ID(STATUS_ABANDONED_WAIT_0),
    ID(STATUS_ABANDONED_WAIT_63),
    ID(STATUS_USER_APC),
    ID(STATUS_KERNEL_APC),
    ID(STATUS_ALERTED),
    ID(STATUS_TIMEOUT),
    ID(STATUS_PENDING),
    ID(STATUS_REPARSE),
    ID(STATUS_MORE_ENTRIES),
    ID(STATUS_NOT_ALL_ASSIGNED),
    ID(STATUS_SOME_NOT_MAPPED),
    ID(STATUS_OPLOCK_BREAK_IN_PROGRESS),
    ID(STATUS_VOLUME_MOUNTED),
    ID(STATUS_RXACT_COMMITTED),
    ID(STATUS_NOTIFY_CLEANUP),
    ID(STATUS_NOTIFY_ENUM_DIR),
    ID(STATUS_NO_QUOTAS_FOR_ACCOUNT),
    ID(STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED),
    ID(STATUS_PAGE_FAULT_TRANSITION),
    ID(STATUS_PAGE_FAULT_DEMAND_ZERO),
    ID(STATUS_PAGE_FAULT_COPY_ON_WRITE),
    ID(STATUS_PAGE_FAULT_GUARD_PAGE),
    ID(STATUS_PAGE_FAULT_PAGING_FILE),
    ID(STATUS_CACHE_PAGE_LOCKED),
    ID(STATUS_CRASH_DUMP),
    ID(STATUS_BUFFER_ALL_ZEROS),
    ID(STATUS_REPARSE_OBJECT),
    ID(STATUS_OBJECT_NAME_EXISTS),
    ID(STATUS_THREAD_WAS_SUSPENDED),
    ID(STATUS_WORKING_SET_LIMIT_RANGE),
    ID(STATUS_IMAGE_NOT_AT_BASE),
    ID(STATUS_RXACT_STATE_CREATED),
    ID(STATUS_SEGMENT_NOTIFICATION),
    ID(STATUS_LOCAL_USER_SESSION_KEY),
    ID(STATUS_BAD_CURRENT_DIRECTORY),
    ID(STATUS_SERIAL_MORE_WRITES),
    ID(STATUS_REGISTRY_RECOVERED),
    ID(STATUS_FT_READ_RECOVERY_FROM_BACKUP),
    ID(STATUS_FT_WRITE_RECOVERY),
    ID(STATUS_SERIAL_COUNTER_TIMEOUT),
    ID(STATUS_NULL_LM_PASSWORD),
    ID(STATUS_IMAGE_MACHINE_TYPE_MISMATCH),
    ID(STATUS_RECEIVE_PARTIAL),
    ID(STATUS_RECEIVE_EXPEDITED),
    ID(STATUS_RECEIVE_PARTIAL_EXPEDITED),
    ID(STATUS_EVENT_DONE),
    ID(STATUS_EVENT_PENDING),
    ID(STATUS_CHECKING_FILE_SYSTEM),
    ID(STATUS_FATAL_APP_EXIT),
    ID(STATUS_PREDEFINED_HANDLE),
    ID(STATUS_WAS_UNLOCKED),
    ID(STATUS_SERVICE_NOTIFICATION),
    ID(STATUS_WAS_LOCKED),
    ID(STATUS_LOG_HARD_ERROR),
    ID(STATUS_ALREADY_WIN32),
    ID(STATUS_WX86_UNSIMULATE),
    ID(STATUS_WX86_CONTINUE),
    ID(STATUS_WX86_SINGLE_STEP),
    ID(STATUS_WX86_BREAKPOINT),
    ID(STATUS_WX86_EXCEPTION_CONTINUE),
    ID(STATUS_WX86_EXCEPTION_LASTCHANCE),
    ID(STATUS_WX86_EXCEPTION_CHAIN),
    ID(STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE),
    ID(STATUS_NO_YIELD_PERFORMED),
    ID(STATUS_TIMER_RESUME_IGNORED),
    ID(STATUS_GUARD_PAGE_VIOLATION),
    ID(STATUS_DATATYPE_MISALIGNMENT),
    ID(STATUS_BREAKPOINT),
    ID(STATUS_SINGLE_STEP),
    ID(STATUS_BUFFER_OVERFLOW),
    ID(STATUS_NO_MORE_FILES),
    ID(STATUS_WAKE_SYSTEM_DEBUGGER),
    ID(STATUS_HANDLES_CLOSED),
    ID(STATUS_NO_INHERITANCE),
    ID(STATUS_GUID_SUBSTITUTION_MADE),
    ID(STATUS_PARTIAL_COPY),
    ID(STATUS_DEVICE_PAPER_EMPTY),
    ID(STATUS_DEVICE_POWERED_OFF),
    ID(STATUS_DEVICE_OFF_LINE),
    ID(STATUS_DEVICE_BUSY),
    ID(STATUS_NO_MORE_EAS),
    ID(STATUS_INVALID_EA_NAME),
    ID(STATUS_EA_LIST_INCONSISTENT),
    ID(STATUS_INVALID_EA_FLAG),
    ID(STATUS_VERIFY_REQUIRED),
    ID(STATUS_EXTRANEOUS_INFORMATION),
    ID(STATUS_RXACT_COMMIT_NECESSARY),
    ID(STATUS_NO_MORE_ENTRIES),
    ID(STATUS_FILEMARK_DETECTED),
    ID(STATUS_MEDIA_CHANGED),
    ID(STATUS_BUS_RESET),
    ID(STATUS_END_OF_MEDIA),
    ID(STATUS_BEGINNING_OF_MEDIA),
    ID(STATUS_MEDIA_CHECK),
    ID(STATUS_SETMARK_DETECTED),
    ID(STATUS_NO_DATA_DETECTED),
    ID(STATUS_REDIRECTOR_HAS_OPEN_HANDLES),
    ID(STATUS_SERVER_HAS_OPEN_HANDLES),
    ID(STATUS_ALREADY_DISCONNECTED),
    ID(STATUS_LONGJUMP),
    ID(STATUS_UNSUCCESSFUL),
    ID(STATUS_NOT_IMPLEMENTED),
    ID(STATUS_INVALID_INFO_CLASS),
    ID(STATUS_INFO_LENGTH_MISMATCH),
    ID(STATUS_ACCESS_VIOLATION),
    ID(STATUS_IN_PAGE_ERROR),
    ID(STATUS_PAGEFILE_QUOTA),
    ID(STATUS_INVALID_HANDLE),
    ID(STATUS_BAD_INITIAL_STACK),
    ID(STATUS_BAD_INITIAL_PC),
    ID(STATUS_INVALID_CID),
    ID(STATUS_TIMER_NOT_CANCELED),
    ID(STATUS_INVALID_PARAMETER),
    ID(STATUS_NO_SUCH_DEVICE),
    ID(STATUS_NO_SUCH_FILE),
    ID(STATUS_INVALID_DEVICE_REQUEST),
    ID(STATUS_END_OF_FILE),
    ID(STATUS_WRONG_VOLUME),
    ID(STATUS_NO_MEDIA_IN_DEVICE),
    ID(STATUS_UNRECOGNIZED_MEDIA),
    ID(STATUS_NONEXISTENT_SECTOR),
    ID(STATUS_MORE_PROCESSING_REQUIRED),
    ID(STATUS_NO_MEMORY),
    ID(STATUS_CONFLICTING_ADDRESSES),
    ID(STATUS_NOT_MAPPED_VIEW),
    ID(STATUS_UNABLE_TO_FREE_VM),
    ID(STATUS_UNABLE_TO_DELETE_SECTION),
    ID(STATUS_INVALID_SYSTEM_SERVICE),
    ID(STATUS_ILLEGAL_INSTRUCTION),
    ID(STATUS_INVALID_LOCK_SEQUENCE),
    ID(STATUS_INVALID_VIEW_SIZE),
    ID(STATUS_INVALID_FILE_FOR_SECTION),
    ID(STATUS_ALREADY_COMMITTED),
    ID(STATUS_ACCESS_DENIED),
    ID(STATUS_BUFFER_TOO_SMALL),
    ID(STATUS_OBJECT_TYPE_MISMATCH),
    ID(STATUS_NONCONTINUABLE_EXCEPTION),
    ID(STATUS_INVALID_DISPOSITION),
    ID(STATUS_UNWIND),
    ID(STATUS_BAD_STACK),
    ID(STATUS_INVALID_UNWIND_TARGET),
    ID(STATUS_NOT_LOCKED),
    ID(STATUS_PARITY_ERROR),
    ID(STATUS_UNABLE_TO_DECOMMIT_VM),
    ID(STATUS_NOT_COMMITTED),
    ID(STATUS_INVALID_PORT_ATTRIBUTES),
    ID(STATUS_PORT_MESSAGE_TOO_LONG),
    ID(STATUS_INVALID_PARAMETER_MIX),
    ID(STATUS_INVALID_QUOTA_LOWER),
    ID(STATUS_DISK_CORRUPT_ERROR),
    ID(STATUS_OBJECT_NAME_INVALID),
    ID(STATUS_OBJECT_NAME_NOT_FOUND),
    ID(STATUS_OBJECT_NAME_COLLISION),
    ID(STATUS_PORT_DISCONNECTED),
    ID(STATUS_DEVICE_ALREADY_ATTACHED),
    ID(STATUS_OBJECT_PATH_INVALID),
    ID(STATUS_OBJECT_PATH_NOT_FOUND),
    ID(STATUS_OBJECT_PATH_SYNTAX_BAD),
    ID(STATUS_DATA_OVERRUN),
    ID(STATUS_DATA_LATE_ERROR),
    ID(STATUS_DATA_ERROR),
    ID(STATUS_CRC_ERROR),
    ID(STATUS_SECTION_TOO_BIG),
    ID(STATUS_PORT_CONNECTION_REFUSED),
    ID(STATUS_INVALID_PORT_HANDLE),
    ID(STATUS_SHARING_VIOLATION),
    ID(STATUS_QUOTA_EXCEEDED),
    ID(STATUS_INVALID_PAGE_PROTECTION),
    ID(STATUS_MUTANT_NOT_OWNED),
    ID(STATUS_SEMAPHORE_LIMIT_EXCEEDED),
    ID(STATUS_PORT_ALREADY_SET),
    ID(STATUS_SECTION_NOT_IMAGE),
    ID(STATUS_SUSPEND_COUNT_EXCEEDED),
    ID(STATUS_THREAD_IS_TERMINATING),
    ID(STATUS_BAD_WORKING_SET_LIMIT),
    ID(STATUS_INCOMPATIBLE_FILE_MAP),
    ID(STATUS_SECTION_PROTECTION),
    ID(STATUS_EAS_NOT_SUPPORTED),
    ID(STATUS_EA_TOO_LARGE),
    ID(STATUS_NONEXISTENT_EA_ENTRY),
    ID(STATUS_NO_EAS_ON_FILE),
    ID(STATUS_EA_CORRUPT_ERROR),
    ID(STATUS_FILE_LOCK_CONFLICT),
    ID(STATUS_LOCK_NOT_GRANTED),
    ID(STATUS_DELETE_PENDING),
    ID(STATUS_CTL_FILE_NOT_SUPPORTED),
    ID(STATUS_UNKNOWN_REVISION),
    ID(STATUS_REVISION_MISMATCH),
    ID(STATUS_INVALID_OWNER),
    ID(STATUS_INVALID_PRIMARY_GROUP),
    ID(STATUS_NO_IMPERSONATION_TOKEN),
    ID(STATUS_CANT_DISABLE_MANDATORY),
    ID(STATUS_NO_LOGON_SERVERS),
    ID(STATUS_NO_SUCH_LOGON_SESSION),
    ID(STATUS_NO_SUCH_PRIVILEGE),
    ID(STATUS_PRIVILEGE_NOT_HELD),
    ID(STATUS_INVALID_ACCOUNT_NAME),
    ID(STATUS_USER_EXISTS),
    ID(STATUS_NO_SUCH_USER),
    ID(STATUS_GROUP_EXISTS),
    ID(STATUS_NO_SUCH_GROUP),
    ID(STATUS_MEMBER_IN_GROUP),
    ID(STATUS_MEMBER_NOT_IN_GROUP),
    ID(STATUS_LAST_ADMIN),
    ID(STATUS_WRONG_PASSWORD),
    ID(STATUS_ILL_FORMED_PASSWORD),
    ID(STATUS_PASSWORD_RESTRICTION),
    ID(STATUS_LOGON_FAILURE),
    ID(STATUS_ACCOUNT_RESTRICTION),
    ID(STATUS_INVALID_LOGON_HOURS),
    ID(STATUS_INVALID_WORKSTATION),
    ID(STATUS_PASSWORD_EXPIRED),
    ID(STATUS_ACCOUNT_DISABLED),
    ID(STATUS_NONE_MAPPED),
    ID(STATUS_TOO_MANY_LUIDS_REQUESTED),
    ID(STATUS_LUIDS_EXHAUSTED),
    ID(STATUS_INVALID_SUB_AUTHORITY),
    ID(STATUS_INVALID_ACL),
    ID(STATUS_INVALID_SID),
    ID(STATUS_INVALID_SECURITY_DESCR),
    ID(STATUS_PROCEDURE_NOT_FOUND),
    ID(STATUS_INVALID_IMAGE_FORMAT),
    ID(STATUS_NO_TOKEN),
    ID(STATUS_BAD_INHERITANCE_ACL),
    ID(STATUS_RANGE_NOT_LOCKED),
    ID(STATUS_DISK_FULL),
    ID(STATUS_SERVER_DISABLED),
    ID(STATUS_SERVER_NOT_DISABLED),
    ID(STATUS_TOO_MANY_GUIDS_REQUESTED),
    ID(STATUS_GUIDS_EXHAUSTED),
    ID(STATUS_INVALID_ID_AUTHORITY),
    ID(STATUS_AGENTS_EXHAUSTED),
    ID(STATUS_INVALID_VOLUME_LABEL),
    ID(STATUS_SECTION_NOT_EXTENDED),
    ID(STATUS_NOT_MAPPED_DATA),
    ID(STATUS_RESOURCE_DATA_NOT_FOUND),
    ID(STATUS_RESOURCE_TYPE_NOT_FOUND),
    ID(STATUS_RESOURCE_NAME_NOT_FOUND),
    ID(STATUS_ARRAY_BOUNDS_EXCEEDED),
    ID(STATUS_FLOAT_DENORMAL_OPERAND),
    ID(STATUS_FLOAT_DIVIDE_BY_ZERO),
    ID(STATUS_FLOAT_INEXACT_RESULT),
    ID(STATUS_FLOAT_INVALID_OPERATION),
    ID(STATUS_FLOAT_OVERFLOW),
    ID(STATUS_FLOAT_STACK_CHECK),
    ID(STATUS_FLOAT_UNDERFLOW),
    ID(STATUS_INTEGER_DIVIDE_BY_ZERO),
    ID(STATUS_INTEGER_OVERFLOW),
    ID(STATUS_PRIVILEGED_INSTRUCTION),
    ID(STATUS_TOO_MANY_PAGING_FILES),
    ID(STATUS_FILE_INVALID),
    ID(STATUS_ALLOTTED_SPACE_EXCEEDED),
    ID(STATUS_INSUFFICIENT_RESOURCES),
    ID(STATUS_DFS_EXIT_PATH_FOUND),
    ID(STATUS_DEVICE_DATA_ERROR),
    ID(STATUS_DEVICE_NOT_CONNECTED),
    ID(STATUS_DEVICE_POWER_FAILURE),
    ID(STATUS_FREE_VM_NOT_AT_BASE),
    ID(STATUS_MEMORY_NOT_ALLOCATED),
    ID(STATUS_WORKING_SET_QUOTA),
    ID(STATUS_MEDIA_WRITE_PROTECTED),
    ID(STATUS_DEVICE_NOT_READY),
    ID(STATUS_INVALID_GROUP_ATTRIBUTES),
    ID(STATUS_BAD_IMPERSONATION_LEVEL),
    ID(STATUS_CANT_OPEN_ANONYMOUS),
    ID(STATUS_BAD_VALIDATION_CLASS),
    ID(STATUS_BAD_TOKEN_TYPE),
    ID(STATUS_BAD_MASTER_BOOT_RECORD),
    ID(STATUS_INSTRUCTION_MISALIGNMENT),
    ID(STATUS_INSTANCE_NOT_AVAILABLE),
    ID(STATUS_PIPE_NOT_AVAILABLE),
    ID(STATUS_INVALID_PIPE_STATE),
    ID(STATUS_PIPE_BUSY),
    ID(STATUS_ILLEGAL_FUNCTION),
    ID(STATUS_PIPE_DISCONNECTED),
    ID(STATUS_PIPE_CLOSING),
    ID(STATUS_PIPE_CONNECTED),
    ID(STATUS_PIPE_LISTENING),
    ID(STATUS_INVALID_READ_MODE),
    ID(STATUS_IO_TIMEOUT),
    ID(STATUS_FILE_FORCED_CLOSED),
    ID(STATUS_PROFILING_NOT_STARTED),
    ID(STATUS_PROFILING_NOT_STOPPED),
    ID(STATUS_COULD_NOT_INTERPRET),
    ID(STATUS_FILE_IS_A_DIRECTORY),
    ID(STATUS_NOT_SUPPORTED),
    ID(STATUS_REMOTE_NOT_LISTENING),
    ID(STATUS_DUPLICATE_NAME),
    ID(STATUS_BAD_NETWORK_PATH),
    ID(STATUS_NETWORK_BUSY),
    ID(STATUS_DEVICE_DOES_NOT_EXIST),
    ID(STATUS_TOO_MANY_COMMANDS),
    ID(STATUS_ADAPTER_HARDWARE_ERROR),
    ID(STATUS_INVALID_NETWORK_RESPONSE),
    ID(STATUS_UNEXPECTED_NETWORK_ERROR),
    ID(STATUS_BAD_REMOTE_ADAPTER),
    ID(STATUS_PRINT_QUEUE_FULL),
    ID(STATUS_NO_SPOOL_SPACE),
    ID(STATUS_PRINT_CANCELLED),
    ID(STATUS_NETWORK_NAME_DELETED),
    ID(STATUS_NETWORK_ACCESS_DENIED),
    ID(STATUS_BAD_DEVICE_TYPE),
    ID(STATUS_BAD_NETWORK_NAME),
    ID(STATUS_TOO_MANY_NAMES),
    ID(STATUS_TOO_MANY_SESSIONS),
    ID(STATUS_SHARING_PAUSED),
    ID(STATUS_REQUEST_NOT_ACCEPTED),
    ID(STATUS_REDIRECTOR_PAUSED),
    ID(STATUS_NET_WRITE_FAULT),
    ID(STATUS_PROFILING_AT_LIMIT),
    ID(STATUS_NOT_SAME_DEVICE),
    ID(STATUS_FILE_RENAMED),
    ID(STATUS_VIRTUAL_CIRCUIT_CLOSED),
    ID(STATUS_NO_SECURITY_ON_OBJECT),
    ID(STATUS_CANT_WAIT),
    ID(STATUS_PIPE_EMPTY),
    ID(STATUS_CANT_ACCESS_DOMAIN_INFO),
    ID(STATUS_CANT_TERMINATE_SELF),
    ID(STATUS_INVALID_SERVER_STATE),
    ID(STATUS_INVALID_DOMAIN_STATE),
    ID(STATUS_INVALID_DOMAIN_ROLE),
    ID(STATUS_NO_SUCH_DOMAIN),
    ID(STATUS_DOMAIN_EXISTS),
    ID(STATUS_DOMAIN_LIMIT_EXCEEDED),
    ID(STATUS_OPLOCK_NOT_GRANTED),
    ID(STATUS_INVALID_OPLOCK_PROTOCOL),
    ID(STATUS_INTERNAL_DB_CORRUPTION),
    ID(STATUS_INTERNAL_ERROR),
    ID(STATUS_GENERIC_NOT_MAPPED),
    ID(STATUS_BAD_DESCRIPTOR_FORMAT),
    ID(STATUS_INVALID_USER_BUFFER),
    ID(STATUS_UNEXPECTED_IO_ERROR),
    ID(STATUS_UNEXPECTED_MM_CREATE_ERR),
    ID(STATUS_UNEXPECTED_MM_MAP_ERROR),
    ID(STATUS_UNEXPECTED_MM_EXTEND_ERR),
    ID(STATUS_NOT_LOGON_PROCESS),
    ID(STATUS_LOGON_SESSION_EXISTS),
    ID(STATUS_INVALID_PARAMETER_1),
    ID(STATUS_INVALID_PARAMETER_2),
    ID(STATUS_INVALID_PARAMETER_3),
    ID(STATUS_INVALID_PARAMETER_4),
    ID(STATUS_INVALID_PARAMETER_5),
    ID(STATUS_INVALID_PARAMETER_6),
    ID(STATUS_INVALID_PARAMETER_7),
    ID(STATUS_INVALID_PARAMETER_8),
    ID(STATUS_INVALID_PARAMETER_9),
    ID(STATUS_INVALID_PARAMETER_10),
    ID(STATUS_INVALID_PARAMETER_11),
    ID(STATUS_INVALID_PARAMETER_12),
    ID(STATUS_REDIRECTOR_NOT_STARTED),
    ID(STATUS_REDIRECTOR_STARTED),
    ID(STATUS_STACK_OVERFLOW),
    ID(STATUS_NO_SUCH_PACKAGE),
    ID(STATUS_BAD_FUNCTION_TABLE),
    ID(STATUS_VARIABLE_NOT_FOUND),
    ID(STATUS_DIRECTORY_NOT_EMPTY),
    ID(STATUS_FILE_CORRUPT_ERROR),
    ID(STATUS_NOT_A_DIRECTORY),
    ID(STATUS_BAD_LOGON_SESSION_STATE),
    ID(STATUS_LOGON_SESSION_COLLISION),
    ID(STATUS_NAME_TOO_LONG),
    ID(STATUS_FILES_OPEN),
    ID(STATUS_CONNECTION_IN_USE),
    ID(STATUS_MESSAGE_NOT_FOUND),
    ID(STATUS_PROCESS_IS_TERMINATING),
    ID(STATUS_INVALID_LOGON_TYPE),
    ID(STATUS_NO_GUID_TRANSLATION),
    ID(STATUS_CANNOT_IMPERSONATE),
    ID(STATUS_IMAGE_ALREADY_LOADED),
    ID(STATUS_ABIOS_NOT_PRESENT),
    ID(STATUS_ABIOS_LID_NOT_EXIST),
    ID(STATUS_ABIOS_LID_ALREADY_OWNED),
    ID(STATUS_ABIOS_NOT_LID_OWNER),
    ID(STATUS_ABIOS_INVALID_COMMAND),
    ID(STATUS_ABIOS_INVALID_LID),
    ID(STATUS_ABIOS_SELECTOR_NOT_AVAILABLE),
    ID(STATUS_ABIOS_INVALID_SELECTOR),
    ID(STATUS_NO_LDT),
    ID(STATUS_INVALID_LDT_SIZE),
    ID(STATUS_INVALID_LDT_OFFSET),
    ID(STATUS_INVALID_LDT_DESCRIPTOR),
    ID(STATUS_INVALID_IMAGE_NE_FORMAT),
    ID(STATUS_RXACT_INVALID_STATE),
    ID(STATUS_RXACT_COMMIT_FAILURE),
    ID(STATUS_MAPPED_FILE_SIZE_ZERO),
    ID(STATUS_TOO_MANY_OPENED_FILES),
    ID(STATUS_CANCELLED),
    ID(STATUS_CANNOT_DELETE),
    ID(STATUS_INVALID_COMPUTER_NAME),
    ID(STATUS_FILE_DELETED),
    ID(STATUS_SPECIAL_ACCOUNT),
    ID(STATUS_SPECIAL_GROUP),
    ID(STATUS_SPECIAL_USER),
    ID(STATUS_MEMBERS_PRIMARY_GROUP),
    ID(STATUS_FILE_CLOSED),
    ID(STATUS_TOO_MANY_THREADS),
    ID(STATUS_THREAD_NOT_IN_PROCESS),
    ID(STATUS_TOKEN_ALREADY_IN_USE),
    ID(STATUS_PAGEFILE_QUOTA_EXCEEDED),
    ID(STATUS_COMMITMENT_LIMIT),
    ID(STATUS_INVALID_IMAGE_LE_FORMAT),
    ID(STATUS_INVALID_IMAGE_NOT_MZ),
    ID(STATUS_INVALID_IMAGE_PROTECT),
    ID(STATUS_INVALID_IMAGE_WIN_16),
    ID(STATUS_LOGON_SERVER_CONFLICT),
    ID(STATUS_TIME_DIFFERENCE_AT_DC),
    ID(STATUS_SYNCHRONIZATION_REQUIRED),
    ID(STATUS_DLL_NOT_FOUND),
    ID(STATUS_OPEN_FAILED),
    ID(STATUS_IO_PRIVILEGE_FAILED),
    ID(STATUS_ORDINAL_NOT_FOUND),
    ID(STATUS_ENTRYPOINT_NOT_FOUND),
    ID(STATUS_CONTROL_C_EXIT),
    ID(STATUS_LOCAL_DISCONNECT),
    ID(STATUS_REMOTE_DISCONNECT),
    ID(STATUS_REMOTE_RESOURCES),
    ID(STATUS_LINK_FAILED),
    ID(STATUS_LINK_TIMEOUT),
    ID(STATUS_INVALID_CONNECTION),
    ID(STATUS_INVALID_ADDRESS),
    ID(STATUS_DLL_INIT_FAILED),
    ID(STATUS_MISSING_SYSTEMFILE),
    ID(STATUS_UNHANDLED_EXCEPTION),
    ID(STATUS_APP_INIT_FAILURE),
    ID(STATUS_PAGEFILE_CREATE_FAILED),
    ID(STATUS_NO_PAGEFILE),
    ID(STATUS_INVALID_LEVEL),
    ID(STATUS_WRONG_PASSWORD_CORE),
    ID(STATUS_ILLEGAL_FLOAT_CONTEXT),
    ID(STATUS_PIPE_BROKEN),
    ID(STATUS_REGISTRY_CORRUPT),
    ID(STATUS_REGISTRY_IO_FAILED),
    ID(STATUS_NO_EVENT_PAIR),
    ID(STATUS_UNRECOGNIZED_VOLUME),
    ID(STATUS_SERIAL_NO_DEVICE_INITED),
    ID(STATUS_NO_SUCH_ALIAS),
    ID(STATUS_MEMBER_NOT_IN_ALIAS),
    ID(STATUS_MEMBER_IN_ALIAS),
    ID(STATUS_ALIAS_EXISTS),
    ID(STATUS_LOGON_NOT_GRANTED),
    ID(STATUS_TOO_MANY_SECRETS),
    ID(STATUS_SECRET_TOO_LONG),
    ID(STATUS_INTERNAL_DB_ERROR),
    ID(STATUS_FULLSCREEN_MODE),
    ID(STATUS_TOO_MANY_CONTEXT_IDS),
    ID(STATUS_LOGON_TYPE_NOT_GRANTED),
    ID(STATUS_NOT_REGISTRY_FILE),
    ID(STATUS_NT_CROSS_ENCRYPTION_REQUIRED),
    ID(STATUS_DOMAIN_CTRLR_CONFIG_ERROR),
    ID(STATUS_FT_MISSING_MEMBER),
    ID(STATUS_ILL_FORMED_SERVICE_ENTRY),
    ID(STATUS_ILLEGAL_CHARACTER),
    ID(STATUS_UNMAPPABLE_CHARACTER),
    ID(STATUS_UNDEFINED_CHARACTER),
    ID(STATUS_FLOPPY_VOLUME),
    ID(STATUS_FLOPPY_ID_MARK_NOT_FOUND),
    ID(STATUS_FLOPPY_WRONG_CYLINDER),
    ID(STATUS_FLOPPY_UNKNOWN_ERROR),
    ID(STATUS_FLOPPY_BAD_REGISTERS),
    ID(STATUS_DISK_RECALIBRATE_FAILED),
    ID(STATUS_DISK_OPERATION_FAILED),
    ID(STATUS_DISK_RESET_FAILED),
    ID(STATUS_SHARED_IRQ_BUSY),
    ID(STATUS_FT_ORPHANING),
    ID(STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT),
    ID(STATUS_PARTITION_FAILURE),
    ID(STATUS_INVALID_BLOCK_LENGTH),
    ID(STATUS_DEVICE_NOT_PARTITIONED),
    ID(STATUS_UNABLE_TO_LOCK_MEDIA),
    ID(STATUS_UNABLE_TO_UNLOAD_MEDIA),
    ID(STATUS_EOM_OVERFLOW),
    ID(STATUS_NO_MEDIA),
    ID(STATUS_NO_SUCH_MEMBER),
    ID(STATUS_INVALID_MEMBER),
    ID(STATUS_KEY_DELETED),
    ID(STATUS_NO_LOG_SPACE),
    ID(STATUS_TOO_MANY_SIDS),
    ID(STATUS_LM_CROSS_ENCRYPTION_REQUIRED),
    ID(STATUS_KEY_HAS_CHILDREN),
    ID(STATUS_CHILD_MUST_BE_VOLATILE),
    ID(STATUS_DEVICE_CONFIGURATION_ERROR),
    ID(STATUS_DRIVER_INTERNAL_ERROR),
    ID(STATUS_INVALID_DEVICE_STATE),
    ID(STATUS_IO_DEVICE_ERROR),
    ID(STATUS_DEVICE_PROTOCOL_ERROR),
    ID(STATUS_BACKUP_CONTROLLER),
    ID(STATUS_LOG_FILE_FULL),
    ID(STATUS_TOO_LATE),
    ID(STATUS_NO_TRUST_LSA_SECRET),
    ID(STATUS_NO_TRUST_SAM_ACCOUNT),
    ID(STATUS_TRUSTED_DOMAIN_FAILURE),
    ID(STATUS_TRUSTED_RELATIONSHIP_FAILURE),
    ID(STATUS_EVENTLOG_FILE_CORRUPT),
    ID(STATUS_EVENTLOG_CANT_START),
    ID(STATUS_TRUST_FAILURE),
    ID(STATUS_MUTANT_LIMIT_EXCEEDED),
    ID(STATUS_NETLOGON_NOT_STARTED),
    ID(STATUS_ACCOUNT_EXPIRED),
    ID(STATUS_POSSIBLE_DEADLOCK),
    ID(STATUS_NETWORK_CREDENTIAL_CONFLICT),
    ID(STATUS_REMOTE_SESSION_LIMIT),
    ID(STATUS_EVENTLOG_FILE_CHANGED),
    ID(STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT),
    ID(STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT),
    ID(STATUS_NOLOGON_SERVER_TRUST_ACCOUNT),
    ID(STATUS_DOMAIN_TRUST_INCONSISTENT),
    ID(STATUS_FS_DRIVER_REQUIRED),
    ID(STATUS_NO_USER_SESSION_KEY),
    ID(STATUS_USER_SESSION_DELETED),
    ID(STATUS_RESOURCE_LANG_NOT_FOUND),
    ID(STATUS_INSUFF_SERVER_RESOURCES),
    ID(STATUS_INVALID_BUFFER_SIZE),
    ID(STATUS_INVALID_ADDRESS_COMPONENT),
    ID(STATUS_INVALID_ADDRESS_WILDCARD),
    ID(STATUS_TOO_MANY_ADDRESSES),
    ID(STATUS_ADDRESS_ALREADY_EXISTS),
    ID(STATUS_ADDRESS_CLOSED),
    ID(STATUS_CONNECTION_DISCONNECTED),
    ID(STATUS_CONNECTION_RESET),
    ID(STATUS_TOO_MANY_NODES),
    ID(STATUS_TRANSACTION_ABORTED),
    ID(STATUS_TRANSACTION_TIMED_OUT),
    ID(STATUS_TRANSACTION_NO_RELEASE),
    ID(STATUS_TRANSACTION_NO_MATCH),
    ID(STATUS_TRANSACTION_RESPONDED),
    ID(STATUS_TRANSACTION_INVALID_ID),
    ID(STATUS_TRANSACTION_INVALID_TYPE),
    ID(STATUS_NOT_SERVER_SESSION),
    ID(STATUS_NOT_CLIENT_SESSION),
    ID(STATUS_CANNOT_LOAD_REGISTRY_FILE),
    ID(STATUS_DEBUG_ATTACH_FAILED),
    ID(STATUS_SYSTEM_PROCESS_TERMINATED),
    ID(STATUS_DATA_NOT_ACCEPTED),
    ID(STATUS_NO_BROWSER_SERVERS_FOUND),
    ID(STATUS_VDM_HARD_ERROR),
    ID(STATUS_DRIVER_CANCEL_TIMEOUT),
    ID(STATUS_REPLY_MESSAGE_MISMATCH),
    ID(STATUS_MAPPED_ALIGNMENT),
    ID(STATUS_IMAGE_CHECKSUM_MISMATCH),
    ID(STATUS_LOST_WRITEBEHIND_DATA),
    ID(STATUS_CLIENT_SERVER_PARAMETERS_INVALID),
    ID(STATUS_PASSWORD_MUST_CHANGE),
    ID(STATUS_NOT_FOUND),
    ID(STATUS_NOT_TINY_STREAM),
    ID(STATUS_RECOVERY_FAILURE),
    ID(STATUS_STACK_OVERFLOW_READ),
    ID(STATUS_FAIL_CHECK),
    ID(STATUS_DUPLICATE_OBJECTID),
    ID(STATUS_OBJECTID_EXISTS),
    ID(STATUS_CONVERT_TO_LARGE),
    ID(STATUS_RETRY),
    ID(STATUS_FOUND_OUT_OF_SCOPE),
    ID(STATUS_ALLOCATE_BUCKET),
    ID(STATUS_PROPSET_NOT_FOUND),
    ID(STATUS_MARSHALL_OVERFLOW),
    ID(STATUS_INVALID_VARIANT),
    ID(STATUS_DOMAIN_CONTROLLER_NOT_FOUND),
    ID(STATUS_ACCOUNT_LOCKED_OUT),
    ID(STATUS_HANDLE_NOT_CLOSABLE),
    ID(STATUS_CONNECTION_REFUSED),
    ID(STATUS_GRACEFUL_DISCONNECT),
    ID(STATUS_ADDRESS_ALREADY_ASSOCIATED),
    ID(STATUS_ADDRESS_NOT_ASSOCIATED),
    ID(STATUS_CONNECTION_INVALID),
    ID(STATUS_CONNECTION_ACTIVE),
    ID(STATUS_NETWORK_UNREACHABLE),
    ID(STATUS_HOST_UNREACHABLE),
    ID(STATUS_PROTOCOL_UNREACHABLE),
    ID(STATUS_PORT_UNREACHABLE),
    ID(STATUS_REQUEST_ABORTED),
    ID(STATUS_CONNECTION_ABORTED),
    ID(STATUS_BAD_COMPRESSION_BUFFER),
    ID(STATUS_USER_MAPPED_FILE),
    ID(STATUS_AUDIT_FAILED),
    ID(STATUS_TIMER_RESOLUTION_NOT_SET),
    ID(STATUS_CONNECTION_COUNT_LIMIT),
    ID(STATUS_LOGIN_TIME_RESTRICTION),
    ID(STATUS_LOGIN_WKSTA_RESTRICTION),
    ID(STATUS_IMAGE_MP_UP_MISMATCH),
    ID(STATUS_INSUFFICIENT_LOGON_INFO),
    ID(STATUS_BAD_DLL_ENTRYPOINT),
    ID(STATUS_BAD_SERVICE_ENTRYPOINT),
    ID(STATUS_LPC_REPLY_LOST),
    ID(STATUS_IP_ADDRESS_CONFLICT1),
    ID(STATUS_IP_ADDRESS_CONFLICT2),
    ID(STATUS_REGISTRY_QUOTA_LIMIT),
    ID(STATUS_PATH_NOT_COVERED),
    ID(STATUS_NO_CALLBACK_ACTIVE),
    ID(STATUS_LICENSE_QUOTA_EXCEEDED),
    ID(STATUS_PWD_TOO_SHORT),
    ID(STATUS_PWD_TOO_RECENT),
    ID(STATUS_PWD_HISTORY_CONFLICT),
    ID(STATUS_PLUGPLAY_NO_DEVICE),
    ID(STATUS_UNSUPPORTED_COMPRESSION),
    ID(STATUS_INVALID_HW_PROFILE),
    ID(STATUS_INVALID_PLUGPLAY_DEVICE_PATH),
    ID(STATUS_DRIVER_ORDINAL_NOT_FOUND),
    ID(STATUS_DRIVER_ENTRYPOINT_NOT_FOUND),
    ID(STATUS_RESOURCE_NOT_OWNED),
    ID(STATUS_TOO_MANY_LINKS),
    ID(STATUS_QUOTA_LIST_INCONSISTENT),
    ID(STATUS_FILE_IS_OFFLINE),
    ID(STATUS_EVALUATION_EXPIRATION),
    ID(STATUS_ILLEGAL_DLL_RELOCATION),
    ID(STATUS_LICENSE_VIOLATION),
    ID(STATUS_DLL_INIT_FAILED_LOGOFF),
    ID(STATUS_DRIVER_UNABLE_TO_LOAD),
    ID(STATUS_DFS_UNAVAILABLE),
    ID(STATUS_VOLUME_DISMOUNTED),
    ID(STATUS_WX86_INTERNAL_ERROR),
    ID(STATUS_WX86_FLOAT_STACK_CHECK),
    ID(STATUS_WOW_ASSERTION),
  { ID_CREATEINFO, 0 },
    ID(FILE_CREATED),
    ID(FILE_OPENED),
    ID(FILE_OVERWRITTEN),
    ID(FILE_SUPERSEDED),
    ID(FILE_EXISTS),
    ID(FILE_DOES_NOT_EXIST),
  { ID_IRP, 0 },
    ID(IRP_MJ_CREATE),
    ID(IRP_MJ_CREATE_NAMED_PIPE),
    ID(IRP_MJ_CLOSE),
    ID(IRP_MJ_READ),
    ID(IRP_MJ_WRITE),
    ID(IRP_MJ_QUERY_INFORMATION),
    ID(IRP_MJ_SET_INFORMATION),
    ID(IRP_MJ_QUERY_EA),
    ID(IRP_MJ_SET_EA),
    ID(IRP_MJ_FLUSH_BUFFERS),
    ID(IRP_MJ_QUERY_VOLUME_INFORMATION),
    ID(IRP_MJ_SET_VOLUME_INFORMATION),
    ID(IRP_MJ_DIRECTORY_CONTROL),
    ID(IRP_MJ_FILE_SYSTEM_CONTROL),
    ID(IRP_MJ_DEVICE_CONTROL),
    ID(IRP_MJ_INTERNAL_DEVICE_CONTROL),
    ID(IRP_MJ_SHUTDOWN),
    ID(IRP_MJ_LOCK_CONTROL),
    ID(IRP_MJ_CLEANUP),
    ID(IRP_MJ_CREATE_MAILSLOT),
    ID(IRP_MJ_QUERY_SECURITY),
    ID(IRP_MJ_SET_SECURITY),
    ID(IRP_MJ_DEVICE_CHANGE),
    ID(IRP_MJ_QUERY_QUOTA),
    ID(IRP_MJ_SET_QUOTA),
    ID(IRP_MJ_PNP),
  { ID_IRP_PNP, 0 },
    ID(IRP_MN_START_DEVICE),
    ID(IRP_MN_QUERY_REMOVE_DEVICE),
    ID(IRP_MN_REMOVE_DEVICE),
    ID(IRP_MN_CANCEL_REMOVE_DEVICE),
    ID(IRP_MN_STOP_DEVICE),
    ID(IRP_MN_QUERY_STOP_DEVICE),
    ID(IRP_MN_CANCEL_STOP_DEVICE),
    ID(IRP_MN_QUERY_DEVICE_RELATIONS),
    ID(IRP_MN_QUERY_INTERFACE),
    ID(IRP_MN_QUERY_CAPABILITIES),
    ID(IRP_MN_QUERY_RESOURCES),
    ID(IRP_MN_QUERY_RESOURCE_REQUIREMENTS),
    ID(IRP_MN_QUERY_DEVICE_TEXT),
    ID(IRP_MN_READ_CONFIG),
    ID(IRP_MN_WRITE_CONFIG),
    ID(IRP_MN_EJECT),
    ID(IRP_MN_SET_LOCK),
    ID(IRP_MN_QUERY_ID),
    ID(IRP_MN_QUERY_PNP_DEVICE_STATE),
    ID(IRP_MN_QUERY_BUS_INFORMATION),
//    ID(IRP_MN_PAGING_NOTIFICATION), // No longer used by RC0 DDK ???
    { ID_WINVER, 0 },
    { 0x00000400, "Windows 95" },
    { 0x00000410, "Windows 98" },
    { 0x00000500, "Windows NT" },
#endif
  { 0,0 }
};

/**EOF: IDENTNT.C**/

