//#include <StrmIni.h>
#include "system.h"
#include "Idents.h"
#include "DeviceID.h"

struct IdentEntry_s IdentsPciDevices[]= {
  { ID_PCIMANUF, 0 },
    { MANUF_ATI, "ATI" },
    { MANUF_CIRRUS, "CIRRUS" },
    { MANUF_CHIPS, "CHIPS" },
    { MANUF_NEO, "NEO" },
    { MANUF_S3, "S3" },
    { MANUF_TI, "TI" },
    { MANUF_DATABOOK, "DATABOOK" },
    { MANUF_SMC, "SMC" },
    { MANUF_O2, "O2" },
    { MANUF_TRIDENTV, "TRIDENTV" },
    { MANUF_TRIDENT, "TRIDENT" },
    { MANUF_TOSHIBA, "TOSHIBA" },
    { MANUF_RICOH, "RICOH" },
    { MANUF_SMI, "SMI" },
  { ID_PCIDEV, 0 },
    { DEVICE_7548, "CIRRUS 7548" },
    { DEVICE_7555, "CIRRUS 7555" },
    { DEVICE_5446, "CIRRUS 5446" },
    { DEVICE_5465, "CIRRUS 5465" },
    { DEVICE_5480, "CIRRUS 5480" },
    { DEVICE_CT65550, "CHIPS CT65550" },
    { DEVICE_CT65554, "CHIPS CT65554" },
    { DEVICE_CT65555, "CHIPS CT65555" },
    { DEVICE_S3, "S3 S3" },
    { DEVICE_S3_8C01, "S3 8C01" },
    { DEVICE_NEO2093, "NEO NEO2093" },
    { DEVICE_NEO2160, "NEO NEO2160" },
    { DEVICE_TRI9385, "TRIDENTV TRI9385" },
    { DEVICE_ATI64LT, "ATI ATI64LT" },
    { DEVICE_SMI910, "SMI SMI910" },

    //Socket controllers
    { DEVICE_6729, "CIRRUS 6729" },
    { DEVICE_6832, "CIRRUS 6832" },
    { DEVICE_TOPIC, "TOSHIBA TOPIC" },
    { DEVICE_TOPIC95, "TOSHIBA TOPIC95" },

    { DEVICE_TI1130, "TI TI1130" },
    { DEVICE_TI1131, "TI TI1131" },
    { DEVICE_TI1220, "TI TI1220" },
    { DEVICE_TI1250, "TI TI1250" },
    { DEVICE_DATABOOK, "DATABOOK DATABOOK" },
    { DEVICE_SMC, "SMC SMC" },
    { DEVICE_O26836, "O2 O26836" },
    { DEVICE_O26832, "O2 O26832" },
    { DEVICE_O2673A, "O2 O2673A" },
    { DEVICE_O26729, "O2 O26729" },
    { DEVICE_TRIDENT, "TRIDENT TRIDENT" },
    { DEVICE_RL5C465, "RICOH RL5C465" },
    { DEVICE_RL5C466, "RICOH RL5C466" },
    { DEVICE_RL5C476, "RICOH RL5C476" },
  { 0,0 }
};

/**EOF: IDENTPCI.C**/
