#ifndef __CARDID_H__
#define __CARDID_H__ 0x0100

// Card Manufacturers Id
#define MARGI_OLD_ID 0x3e04
#define MARGI_ID     0x01d8
#define FUJIF_ID     0x01b2
#define CEI_ID       0x01d5

// Card Function Id
#define MPEGTOGO_ID 0x1000
#define CAPTTOGO_ID 0x2000
#define DVDTOGO_ID  0x3000

// Card I/O Id Byte
#define DVDTOGO_IOID  0x00DD
#define MPEGTOGO_IOID 0x00BD
#define CAPTTOGO_IOID 0x00C5


// Card Types
#define MPEG_TYPE    10
#define CAPT_TYPE    20
#define DVD_TYPE     30

#define NUM_SOCKETS    4
#define NUM_CALLBACKS  4

#endif
/**EOF: CARDID.H**/

