#ifndef __CARDSRVC_H__
#define __CARDSRVC_H__ 0x0100

#define CS_VER_500    1

//Described in CS bindings
struct CSReqPkt_s {
  int iFunc;
  WORD *pHdl;
  void *pPtr;
  int iArgLen;
  void *pArgPtr;
};

// Client Info
struct ClientInfo_s {
  CLT_INFO_PKT pkt;
  struct {
    WORD RevDate;
    WORD NstrOff;
    WORD NstrLen;
    WORD VstrOff;
    WORD VstrLen;
  } sub;
  char Strings[128];
};

typedef struct CSReqPkt_s CSREQ;
typedef struct CSReqPkt_s *PCSREQ;

extern int CardServiceConnect(void);
extern int CardServiceDisconnect(void);
extern int _stdcall CardServiceSendRequest(PCSREQ pRequest);
extern int _stdcall MARGIPNP_Client_Callback(void);

extern CLIENTREG_STRUCT gCardServiceClient;
extern DEVICE_STRUCT gCardDevice[];
extern NOTIFY_S gNotify[];
extern struct ClientInfo_s gClientInfo;
extern DWORD gCSDevice;
extern WORD gfAPM_Suspended;
extern int ConfigureCard(PDEVICE p, int fPwr, int fIO, int fIRQ);

#endif
/**EOF: CARDSRVC.H**/

