#ifndef __REGKEYS_H__
#define __REGKEYS_H__ 0x0100

#define KEY_MARGI 0

//MargiPnp section
#define KEY_VXD				"MargiPNP"
#define KEYVAL_VERSION			"Version"
#define KEYVAL_ENTRY			"FirstEntry"
#define KEYVAL_DEVINIT			"DeviceInit"
#define KEYVAL_PNPINIT			"PnPDeviceInit"
#define KEYVAL_IOCTRL			"DeviceIOcontrol"
#define KEYVAL_DEVNODE			"NewDevnode"
#define KEYVAL_LOADED			"VxDLoaded"
#define KEYVAL_CARDID			"CardID"
#define KEYVAL_CURSTATE			"CardState"
#define KEYVAL_STATE_PREINIT		"Uninitialized"
#define KEYVAL_STATE_INSERTIONSTART	"InsertionStarted"
#define KEYVAL_STATE_INSERTIONDONE	"InsertionCompleted"
#define KEYVAL_STATE_INSERTIONFAILED	"InsertionFailed"
#define KEYVAL_STATE_REMOVED		"Removed"
#define KEYVAL_PLATFORM			"Platform"
#define KEYVAL_ZVENABLED		"ZVEnabled"
#define KEYVAL_POWERMAN			"PowerMan"
#define KEYVAL_STATUS			"Status"
#define KEYVAL_ERROR			"LastError"
#define KEYVAL_DMAENABLE		"DmaEnable"
#define KEYVAL_DMABUFFPAGES		"DmaBuffPages"
#define KEYVAL_DMANUMBUFFS		"DmaNumBuffs"
#define KEYVAL_DMABASE			"DmaBase"

//Enumeration tree
#define KEY_ENUM			"Enum\\Root"
#define KEY_DIGITALULTRA		"*PNP0c01\\0000"
#define KEY_DIGITALULTRA_BIOSVERSION	"BIOSVersion"
#define KEY_DIGITALULTRA_ID		"Digital HiNote Ultra 2000"
//#define KEY_DIGITALULTRA_ID		"SystemSoft Version 1.28 for Digital HiNote Ultra 2000"

//SysInfo section
#define KEY_SYSINFO			KEY_VXD"\\SysInfo"
#define KEYVAL_SOCKET			"Socket"
#define KEYVAL_DEVICE			"DeviceId"
#define KEYVAL_PCIADDR			"PCIAddr"
#define	KEYVAL_CONFIGSOCKETTWO		"ConfigSocketTwo"

//Installing section
#define KEY_INSTALL			KEY_VXD"\\Installing"
#define KEYVAL_INSTEXE			"Installer"
#define KEYVAL_INSTARGS			"Args"

//Autolaunch section
#define KEY_VXD_AUTOLAUNCH		KEY_VXD"\\AutoLaunch"
#define KEYVAL_AUTOLAUNCH_EXESUFFIX	"_Exe"
#define KEYVAL_AUTOLAUNCH_ARGSUFFIX	"_Arg"

enum FIRSTENTRY {
  FIRSTENTRY_NONE=0,
  FIRSTENTRY_DEVINIT,
  FIRSTENTRY_PNPINIT,
  FIRSTENTRY_IOCTRL,
  FIRSTENTRY_DEVNODE
};

#endif

