#ifndef __IDENTCLS_H__
#define __IDENTCLS_H__ 0x0100

//Project-specific identifier classes. Start at 2000.
#define ID_HW_STRMTYPE	(2001|ID_DECIMAL)	//Stream types (STRM_VID, STRM_AUD, STRM_SUB)
#define ID_AUXCMD	(2002|ID_DECIMAL)	//AuxData commands
#define ID_AUXLAYER	(2003|ID_NONUM)		//AuxData data layers
#define ID_HW_TVOUTMODE (2004|ID_DECIMAL)       //NTSC/PAL
#define ID_HW_SIGNALSTD (2005|ID_DECIMAL)       //Input Signal Standard (PAL/NTSC)
#define ID_HAL_ASPECT   (2006|ID_DECIMAL)       //Aspect Ratio (4x3 / 16x9)
#define ID_VIDOUT_MODE  (2007|ID_DECIMAL)       //Video Display Out Mode (Letterbox/PanScan...)
#define ID_KARAOKE_MODE (2008|ID_DECIMAL)       //Karaoke Mode
#define ID_AC3_DOWNMIX  (2009|ID_DECIMAL)       //AC3 Down Mix Mode


#endif
/**EOF: IDENTCLS.H**/
