 /**************************************************************************
 * Copyright (c) 1996, 2006 MARGI Systems, Inc.
 *                                                                        
 *$History: Idents.h $
 * 
 * *****************  Version 60  *****************
 * User: Oleg         Date: 5/19/04    Time: 12:14p
 * Updated in $/Dvd/AutoDVD/mdvdhdrv
 * Port to QNX
 * 
 * *****************  Version 59  *****************
 * User: Viraf        Date: 3/03/04    Time: 2:21p
 * Updated in $/Dvd/AutoDVD/mdvdhdrv
 * No change
 * 
 * *****************  Version 58  *****************
 * User: Viraf           Date:  7/11/01  Time:  8:33p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 57  *****************
 * User: Deepa           Date:  6/02/00  Time: 11:11a
 * Checked in $/Dvd/SIEMENS/Navigator
 * 
 * *****************  Version 56  *****************
 * User: Deepa           Date:  6/01/00  Time:  3:24p
 * Checked in $/Dvd/SIEMENS/Navigator
 * 
 * *****************  Version 55  *****************
 * User: Anoop           Date: 12/17/99  Time:  1:16p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * 
 * *****************  Version 54  *****************
 * User: Viraf           Date: 12/14/99  Time:  3:08p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 53  *****************
 * User: Release         Date: 12/14/99  Time:  2:47p
 * Checked in $/Dvd/DvdToGo/Win95/Driver20
 * 
 * *****************  Version 52  *****************
 * User: Viraf           Date: 12/13/99  Time:  6:40p
 * Checked in $/Dvd/DvdToGo/Win95/AtapiVxd/Include
 * 
 * *****************  Version 51  *****************
 * User: Viraf           Date: 12/10/99  Time:  3:40p
 * Checked in $/Dvd/DvdToGo/WinNT/mcimiser
 * 
 * *****************  Version 50  *****************
 * User: Release         Date: 12/09/99  Time:  2:56p
 * Checked in $/Dvd/DvdToGo/Win95/Driver20
 * 
 * *****************  Version 49  *****************
 * User: Anoop           Date: 10/19/99  Time:  3:47p
 * Checked in $/Dvd/DvdToGo/Pioneer/mdvdhdrv
 * 
 * *****************  Version 48  *****************
 * User: Viraf           Date: 10/19/99  Time: 11:40a
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 47  *****************
 * User: John            Date: 10/18/99  Time:  2:45p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * * Add __stdclass to function proto's  for Active Movie filter
 * 
 * *****************  Version 46  *****************
 * User: Viraf           Date:  7/05/99  Time:  4:53p
 * Checked in $/Dvd/DvdToGo/Win95/Navigator
 * 
 * *****************  Version 45  *****************
 * User: John            Date: 12/18/98  Time:  7:06p
 * Checked in $/Dvd/WDM/Driver/Common
 * * Add STRMSTATE,VIDSTATE, AUDSTATE,SUBSTATE
 * 
 * *****************  Version 44  *****************
 * User: Ravi            Date: 12/01/98  Time: 10:56a
 * Checked in $/Dvd/WDM/Driver/common
 * * Update.
 * 
 * *****************  Version 43  *****************
 * User: Ravi            Date: 10/12/98  Time: 10:16a
 * Checked in $/Dvd/WDM/Driver/common
 * * Update
 * 
 * *****************  Version 42  *****************
 * User: Ravi            Date: 10/02/98  Time:  5:49p
 * Checked in $/Dvd/WDM/Driver/Common
 * * Update
 * 
 * *****************  Version 41  *****************
 * User: Chip2           Date:  9/14/98  Time: 10:54a
 * Checked in $/Dvd/WDM/Driver/Common
 * Project-specific Idents classes.
 * 
 * *****************  Version 40  *****************
 * User: Ravi            Date:  8/13/98  Time: 11:18a
 * Checked in $/VpeClnt/Common
 * * Added DDraw GUID stuff
 * 
 * *****************  Version 39  *****************
 * User: Ravi            Date:  8/10/98  Time:  4:17p
 * Checked in $/VpeClnt/Client
 * * Added Direct Draw Stuff
 * 
 * *****************  Version 38  *****************
 * User: Chip-loki       Date:  7/06/98  Time:  6:35p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * * Reserved identifier type ranges.
 * 
 * *****************  Version 37  *****************
 * User: Chip-loki       Date:  6/02/98  Time:  2:37p
 * Checked in $/DVD/VSD/Include
 * * Adding DCB demand bits
 * 
 * *****************  Version 36  *****************
 * User: Chip-loki       Date:  6/01/98  Time: 10:59p
 * Checked in $/DVD/VSD/Include
 * * Adding LoadLibrary() error codes
 * 
 * *****************  Version 35  *****************
 * User: Chip-loki       Date:  5/29/98  Time:  2:19p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * * Adding ID_ERR as alias for ID_MARGIERRORS
 * 
 * *****************  Version 34  *****************
 * User: Chip-loki       Date:  5/27/98  Time:  1:54p
 * Checked in $/DVD/VSD/Include
 * * Adding ID_MTFJ_READSTRUC, types for ReadStructure
 * 
 * *****************  Version 33  *****************
 * User: Ravi            Date:  5/25/98  Time:  8:09p
 * Checked in $/Dvd/WDM/LSI/Inc
 * Adding Class ID_KS_AMINTERLACE
 * 
 * *****************  Version 32  *****************
 * User: Chip-loki       Date:  5/18/98  Time: 11:21a
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * * Updating from home
 * 
 * *****************  Version 31  *****************
 * User: Chip-loki       Date:  5/12/98  Time:  1:40p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * * Adding ID_DBGCMD_VERSION
 * 
 * *****************  Version 30  *****************
 * User: Chip-loki       Date:  5/11/98  Time: 11:58a
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * * Added DbgMsg51 identifier classes.
 * 
 * *****************  Version 29  *****************
 * User: Ravi            Date:  5/04/98  Time:  4:48p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding Flags ID to SRB Options List
 * 
 * *****************  Version 28  *****************
 * User: Ravi            Date:  4/20/98  Time:  4:55p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding ID_KS_VPE striungs
 * 
 * *****************  Version 27  *****************
 * User: Ravi            Date:  4/20/98  Time:  8:32a
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Added KS structure identifiers.
 * 
 * *****************  Version 26  *****************
 * User: Ravi            Date:  4/16/98  Time:  4:12p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding ID_PIN_ID Class
 * 
 * *****************  Version 25  *****************
 * User: Ravi            Date:  4/15/98  Time:  1:58p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding WDM identifier types
 * 
 * *****************  Version 24  *****************
 * User: Ravi            Date:  4/14/98  Time:  4:39p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding GUID list
 * 
 * *****************  Version 23  *****************
 * User: Chip-loki       Date:  4/14/98  Time:  4:22p
 * Checked in $/Dvd/VSD/Include
 * * Adding GUID identifiers
 * 
 * *****************  Version 22  *****************
 * User: Chip-loki       Date:  3/26/98  Time:  9:30p
 * Checked in $/Dvd/VSD/Include
 * * Adding ID_IOR_FLAGS
 * 
 * *****************  Version 21  *****************
 * User: Chip-loki       Date:  3/24/98  Time: 10:39a
 * Checked in $/Dvd/VSD/Include
 * * Added ID_IOR_FUNC, IOR function command names
 * 
 * *****************  Version 20  *****************
 * User: Chip-loki       Date:  3/13/98  Time: 10:16a
 * Checked in $/Dvd/VSD/Include
 * * Adding VRP constansts
 * 
 * *****************  Version 19  *****************
 * User: Viraf           Date:  3/10/98  Time:  1:29p
 * Checked in $/Dvd/Navigator
 * * Adding ID_NAVIGATOR
 * 
 * *****************  Version 18  *****************
 * User: Chip-loki       Date:  3/04/98  Time:  6:44p
 * Checked in $/Dvd/VSD/Include
 * * Adding ID_UDFMOUNT
 * 
 * *****************  Version 17  *****************
 * User: Viraf           Date:  3/03/98  Time:  6:26p
 * Checked in $/Dvd/Navigator
 * Added extren "C' to complie with cplusplus
 * 
 * *****************  Version 16  *****************
 * User: Chip-loki       Date:  3/03/98  Time:  4:07p
 * Checked in $/Dvd/VSD/Include
 * * Folding UdfFind commands into IoCtrl
 * 
 * *****************  Version 15  *****************
 * User: Chip-loki       Date:  3/03/98  Time: 12:14p
 * Checked in $/Dvd/VSD/Include
 * * Commenting out UDF_CGMS
 * 
 * *****************  Version 14  *****************
 * User: Chip-loki       Date:  3/02/98  Time:  6:35p
 * Checked in $/Dvd/VSD/Include
 * * Adding UDFFIND messages
 * 
 * *****************  Version 13  *****************
 * User: Chip-loki       Date:  2/19/98  Time:  5:49p
 * Checked in $/Dvd/VSD/Include
 * * Adding ID_SRB_FLAGS, ID_SRB_SCSISTAT, ID_SRB_QACTION
 * 
 * *****************  Version 12  *****************
 * User: Chip-loki       Date:  2/19/98  Time:  4:32p
 * Checked in $/Dvd/VSD/Include
 * * Added ID_SRB_FUNCION
 * 
 * *****************  Version 11  *****************
 * User: Chip-loki       Date:  2/12/98  Time: 12:39p
 * Checked in $/Dvd/VSD/Include
 * * UDF constants
 * 
 * *****************  Version 10  *****************
 * User: Chip-loki       Date:  2/10/98  Time:  3:44p
 * Checked in $/Dvd/VSD/Include
 * * Adding more UDF types
 * 
 * *****************  Version 9  *****************
 * User: Chip-loki       Date:  2/09/98  Time:  4:37p
 * Checked in $/Dvd/VSD/Include
 * * Adding UDF identifiers
 * 
 * *****************  Version 8  *****************
 * User: Chip-loki       Date:  2/04/98  Time: 12:34p
 * Checked in $/Dvd/VSD/Include
 * * Added ID_WINMSG, windows messages.
 * 
 * *****************  Version 7  *****************
 * User: Chip-loki       Date:  1/19/98  Time:  1:58p
 * Checked in $/Dvd/VSD/Include
 * * Renaming ID_DMA_CALLBACKS to ID_CALLBACKS_VXD
 * 
 * *****************  Version 6  *****************
 * User: Chip-loki       Date:  1/13/98  Time:  4:03p
 * Checked in $/Dvd/VSD/Include
 * * Adding MTFJ to DVD constants
 * 
 * *****************  Version 5  *****************
 * User: Chip-loki       Date: 12/30/97  Time:  2:59p
 * Checked in $/Dvd/VSD/Include
 * * Adding ID_DVD_ERR_RECOVERY
 * 
 * *****************  Version 4  *****************
 * User: Chip-635        Date: 12/29/97  Time: 12:03a
 * Checked in $/Dvd/VSD/Include
 * * Added DVDMODE, item index for setting/getting DVD drive
 * parameters.
 * 
 * *****************  Version 3  *****************
 * User: Chip-modi       Date: 12/22/97  Time:  9:45a
 * Checked in $/Dvd/DmaVxd/Include
 * * Fixed bug with boolean identifier types.
 * 
 * *****************  Version 2  *****************
 * User: Chip-modi       Date: 12/21/97  Time: 12:42a
 * Checked in $/Dvd/DmaVxd/Include
 * * Boolean numbers are also signed.
 * 
 * *****************  Version 1  *****************
 * User: Chip-modi       Date: 12/08/97  Time: 12:06a
 * Created Idents.h
 * Defines the interface to Idents.c
 * 
 **************************************************************************/
#ifndef __IDENTIFIERS_H__
#define __IDENTIFIERS_H__ 0x0200

#ifdef __cplusplus
extern "C" {
#endif

//Identifier types
#define ID_BITFIELD	      0x00010000
#define ID_NONUM              0x00020000
#define ID_DECIMAL            0x00040000
#define ID_BOOL               0x00080000
#define ID_GUID               0x00100000

//Feel free to add new types at will, even if they are
//not used in other projects.
#define ID_WAS                  (1|ID_NONUM|ID_BOOL)            //Idents.c
#define ID_IS                   (2|ID_NONUM|ID_BOOL)            //Idents.c
#define ID_WERE                 (3|ID_NONUM|ID_BOOL)            //Idents.c
#define ID_TRUE                 (4|ID_NONUM|ID_BOOL)            //Idents.c
#define ID_ON                   (5|ID_NONUM|ID_BOOL)            //Idents.c
#define ID_ERRORS               (6|ID_DECIMAL)
#define ID_IOCTRL               (7|ID_DECIMAL)
#define ID_VXDLDR               (8)
#define ID_ACCESS               (9|ID_BITFIELD)
#define ID_CALLBACK_MSG         (10|ID_DECIMAL)
#define ID_OPTIONS_VXD          (11)
#define ID_DENIAL               (12)
#define ID_RSRC_FLAGS           (13|ID_BITFIELD)
#define ID_IFSFN_DIR_FLAGS      (14)
#define ID_CFGMGR               (15)
#define ID_DEVICETYPE           (16|ID_DECIMAL)
#define ID_BUSTYPE              (17|ID_DECIMAL)
#define ID_DEVFLAGS             (18|ID_BITFIELD)
#define ID_DEVFLAGS2            (19|ID_BITFIELD)
#define ID_DMAERRORS            (20|ID_DECIMAL)
#define ID_SRB_STATUS           (21)
#define ID_MTFJ_COPYPERMISSION  (22)
#define ID_MTFJ_SENSE_ERRCODE   (23)
#define ID_MTFJ_SENSE_KEY       (24)
#define ID_AEP                  (25|ID_DECIMAL)
#define ID_KEYTYPE              (26)
#define ID_IOR_STATUS           (27)
#define ID_MARGIERRORS          (28|ID_DECIMAL)
#define ID_ERR                  (ID_MARGIERRORS)
#define ID_CALLBACKS_VXD        (29|ID_DECIMAL)
#define ID_DMA_STATES           (30)
#define ID_DVDMODE              (31|ID_DECIMAL)
#define ID_MTFJ_ERR_RECOVERY    (32|ID_BITFIELD)
#define ID_ENABL                (33|ID_NONUM|ID_BOOL)
#define ID_MTFJ_LOADMECH        (34)
#define ID_MTFJ_SENSE_ERRORS    (35)
#define ID_WINMSG               (36|ID_NONUM)                   //Windows messages (WM_COMMAND, etc)
#define ID_UDF_CGMS             (37|ID_NONUM)                   //DEFUNCT: No longer used.
#define ID_YESNO                (38|ID_NONUM|ID_BOOL)           //Idents.c
#define ID_MONTH                (39|ID_NONUM)                   //Idents.c
#define ID_DAYOFWEEK            (40|ID_NONUM)                   //Idents.c
#define ID_UDF_TAG              (41|ID_DECIMAL)                 //IdentUDF.c
#define ID_UDF_OSCLASS          (42)                            //IdentUDF.c
#define ID_UDF_OSIDENT          (43)                            //IdentUDF.c
#define ID_UDF_ACCESSTYPE       (44|ID_DECIMAL)                 //IdentUDF.c
#define ID_UDF_INTEGRITY        (45|ID_DECIMAL)                 //IdentUDF.c
#define ID_UDF_ICBFILETYPE      (46|ID_DECIMAL)                 //IdentUDF.c
#define ID_UDF_DOMAINFLAGS      (47|ID_BITFIELD)                //IdentUDF.c
#define ID_UDF_EXTTYPE          (48|ID_DECIMAL)                 //IdentUDF.c
#define ID_SRB_FUNCTION         (49|ID_DECIMAL)                 //IdentDCB.c
#define ID_SRB_FLAGS            (50|ID_BITFIELD)                //IdentDCB.c
#define ID_SRB_SCSISTAT         (51)                            //IdentDCB.c
#define ID_SRB_QACTION          (52)                            //IdentDCB.c
#define ID_UDFMOUNT             (53|ID_NONUM)                   //IdentVxD.c
#define ID_NAVIGATOR            (54)                            //IdentNav.c
#define ID_VRP_DEMAND           (55|ID_BITFIELD)                //IdentDCB.c
#define ID_VRP_EVENT            (56|ID_BITFIELD)                //IdentDCB.c
#define ID_IOR_FUNC             (57|ID_DECIMAL)                 //IdentDCB.c
#define ID_IOR_FLAGS            (58|ID_BITFIELD)                //IdentDCB.c
#define ID_GUID_KS              (59|ID_GUID)                    //IdentKS.c
#define ID_HW_STATE             (60|ID_DECIMAL)                 //IdentHw.c
#define ID_HW_AUDIO             (61)                            //IdentHw.c
#define ID_HW_CSSCMD            (62)                            //IdentHw.c
#define ID_HW_AUDRATE           (63)                            //IdentHw.c
#define ID_HW_ERRSTAT           (64)                            //IdentHw.c
#define ID_HW_EVENT1            (65)                            //IdentHw.c
#define ID_HAL_ERR              (66)                            //IdentHal.c
#define ID_HAL_AUDTYPE          (67)                            //IdentHal.c
#define ID_HAL_AUDRATE          (68)                            //IdentHal.c
#define ID_HAL_AUDOUTPUT        (69)                            //IdentHal.c
#define ID_HAL_VIDTYPE          (70)                            //IdentHal.c
#define ID_HAL_VIDFORMAT        (71)                            //IdentHal.c
#define ID_HAL_PLAYMODE         (72)                            //IdentHal.c
#define ID_HAL_STEREO           (73)                            //IdentHal.c
#define ID_HAL_KARAOKE          (74)                            //IdentHal.c
#define ID_HAL_EVENT            (75)                            //IdentHal.c
#define ID_VIDERR               (76)                            //IdentHal.c
#define ID_AUDERR               (77)                            //IdentHal.c
#define ID_STRM_REQ             (78)                            //IdentHal.c
#define ID_HALCMD               (79)                            //IdentHal.c
#define ID_CLOCKCMD             (80)                            //IdentHal.c
#define ID_STRM                 (81)                            //IdentHal.c
#define ID_SRBOPT               ID_SRB_FLAGS                    //IdentHal.c
#define ID_NTSTATUS             (83)                            //IdentNt.c
#define ID_CREATEINFO           (84)                            //IdentNt.c
#define ID_IRP                  (85)                            //IdentNt.c
#define ID_IRP_PNP              (86)                            //IdentNt.c
#define ID_PCIMANUF             (87)                            //IdentPci.c
#define ID_PCIDEV               (88)                            //IdentPci.c
#define ID_PIN_ID               (89)                            //IdentKs.c
#define ID_KS_STATE             (90)                            //IdentKs.c
#define ID_KSPROP_VID           (91)                            //IdentKs.c
#define ID_KSPROP_VIDF          (92)                            //IdentKs.c
#define ID_KSPROP_CSS           (93)                            //IdentKs.c
#define ID_KSPROP_CSSF          (94)                            //IdentKs.c
#define ID_KSPROP_AUD           (95)                            //IdentKs.c
#define ID_KSPROP_AUDF          (96)                            //IdentKs.c
#define ID_KSPROP_VPE           (97)                            //IdentKs.c
#define ID_KSAM_ASPECT          (98)                            //IdentKs.c
#define ID_KSAM_FMT1            (99)                            //IdentKs.c
#define ID_KSAM_MODE1           (100)                           //IdentKs.c
#define ID_REGERR               (101)                           //Registry.c
#define ID_DBGCMD               (102)                           //IdentCmd.c
#define ID_DBGCMD_PROFILER      (103)                           //IdentCmd.c
#define ID_DBGCMD_DELAY         (104)                           //IdentCmd.c
#define ID_DBGCMD_DEFER         (105)                           //IdentCmd.c
#define ID_DBGCMD_OPEN          (106|ID_BITFIELD)               //IdentCmd.c
#define ID_DBGCMD_VERSION       (107)                           //IdentCmd.c
#define ID_DBGCMD_IOCTRL        (108)                           //IdentCmd.c
#define ID_DBGCMD_CB            (109)                           //IdentCmd.c
#define ID_KS_AMINTERLACE       (110|ID_BITFIELD)               //IdentKs.c
#define ID_KS_MPEG2LEVEL        (111)                           //IdentKs.c
#define ID_KS_MPEG2PROFILE      (112)                           //IdentKs.c
#define ID_KS_MPEG2VIDFLAG      (113|ID_BITFIELD)               //IdentKs.c
#define ID_KS_MPEG2AUDFLAG      (114|ID_BITFIELD)               //IdentKs.c
#define ID_MTFJ_READSTRUC       (115|ID_DECIMAL)                //IdentDvd.c
#define ID_LOADLIB              (116)                           //IdentMsg.c
#define ID_ASPI                 (117)                           //IdAspi.c
#define ID_DCBDMD               (118|ID_BITFIELD)               //IdentDcb.c
#define ID_DDERR                (119)                           //IdentDD.c (Direct Draw Err Codes)
#define ID_VPE_MSG              (120)                           //IdentDD.c
#define ID_DD_GUID              (121|ID_GUID)                   //IdentDD.c
#define ID_WINVER               (122)                           //IdentNT.c
#define ID_STRM_STATE           (123|ID_DECIMAL)                //IdentHw.c
#define ID_VID_STATE            (124|ID_DECIMAL)                //IdentHw.c
#define ID_SUB_STATE            (125|ID_DECIMAL)                //IdentHw.c
#define ID_AUD_STATE            (126|ID_DECIMAL)                //IdentHw.c
#define ID_HIDRVCMD             (127|ID_NONUM)                  //HiDrv
#define ID_HIDRVMSG             (128|ID_NONUM)                  //HiDrv

/*************************************************************************/
/** ID_ types 900-999 are reserved for DbgMsg.				**/
/*************************************************************************/

/*************************************************************************/
/** ID_ types 1000-1999 are reserved by Chip.				**/
/*************************************************************************/

/*************************************************************************/
/** ID_ types 2000-2999 are project-specific. (Free to be used.)	**/
/*************************************************************************/

struct IdentEntry_s {
  unsigned long dID;
  char *sTxt;
};

#ifdef _WINDOWS
#ifndef WIN32
#define __stdcall
#endif
#elif defined (_NEC_)
#define __stdcall
#elif defined (_ST_)
#define __stdcall
#elif defined (__QNXNTO__)
#define __stdcall
#endif


extern long  __stdcall IdentAddClass(struct IdentEntry_s *EntryList);
extern char* __stdcall Ident(unsigned long dType, unsigned long dID);

#ifdef __cplusplus
}
#endif

#endif
/**EOF: IDENTIFIERS.H**/
