#ifndef __MDSNAMES_H__
#define __MDSNAMES_H__ 0x0201

#ifdef MDS_ININAMES_CODE
#define MDSINIENTRY(Name,Text) char Name[]= { Text }
#else
#define MDSINIENTRY(Name,Text) extern char Name[]
#endif

MDSINIENTRY(IniFName,      "DVD-to-Go\\Scenario");
MDSINIENTRY(IniSection,    "WDM");
MDSINIENTRY(IniDumKey,  "Dump");

MDSINIENTRY(IniTempKey,    "TempSettings");
MDSINIENTRY(IniSettingsKey,"Settings");
//MDSINIENTRY(IniMdsSettingsKey,"Settings");
MDSINIENTRY(IniModified,   "modified");
MDSINIENTRY(IniMixmode,    "mixmode");
MDSINIENTRY(IniSpdiffmode, "spdiffmode");
MDSINIENTRY(IniSpdiffout,  "spdiffout");
MDSINIENTRY(IniTvTest,     "TvTest");
MDSINIENTRY(IniTvOutput,   "vomode");
MDSINIENTRY(IniTvLumaOffset,"voluma");
MDSINIENTRY(IniTvLumaGain, "TvLumaGain");
MDSINIENTRY(IniTvChroma,   "vochroma");
MDSINIENTRY(IniTvHue,      "vohue");
MDSINIENTRY(IniTvNtscScSynth,"TvNtscScSynth");
MDSINIENTRY(IniTvPalScSynth, "TvPALScSynth");
MDSINIENTRY(IniTvNtscScAmp,  "TvNTSCScAmp");
MDSINIENTRY(IniTvPalScAmp,   "TvPALScAmp");


MDSINIENTRY(IniVomode,"vomode");
MDSINIENTRY(IniVoluma,"voluma");
MDSINIENTRY(IniVochroma,"vochroma");
MDSINIENTRY(IniVohue,"vohue");
MDSINIENTRY(IniCorrectenable,"correctenable");
MDSINIENTRY(IniScrncontrast,"screencontrast");
MDSINIENTRY(IniScrnbrightness,"scrnbrightnes");
MDSINIENTRY(IniScrngamma,"scrngamma");
MDSINIENTRY(IniVideomode,"videomode");
MDSINIENTRY(IniSectionTempsettings,"TempSettings");			
MDSINIENTRY(IniVOVolume,"Volume");			
MDSINIENTRY(IniVOMute,"Mute");			

//MDSINIENTRY(IniDisplayMode,  "DisplayMode");			
MDSINIENTRY(IniDisplayFmt,   "DisplayFormat");			
MDSINIENTRY(IniKaraokeMode,  "KaraokeMode");


MDSINIENTRY(IniNavigatName,      "DVD-to-Go");
MDSINIENTRY(IniNavigatSection,    "Navigator");
MDSINIENTRY(IniDonotSuspend,"DenySuspend");


#endif
/**EOF: MDSNAMES.C**/
