/**************************************************************************
 * Copyright (c) 1996, 2006 MARGI Systems, Inc.
 *                                                                        
 *$History: MidasApi.h $
 * 
 * *****************  Version 208  *****************
 * User: Oleg         Date: 7/30/04    Time: 12:04p
 * Updated in $/Dvd/AutoDVD/Driver
 * QNX::port to native 64bit operations...
 * 
 * *****************  Version 207  *****************
 * User: Oleg         Date: 6/11/04    Time: 11:17a
 * Updated in $/Dvd/AutoDVD/Driver
 * Port to QNX
 * 
 * *****************  Version 206  *****************
 * User: Viraf        Date: 6/01/04    Time: 11:51a
 * Updated in $/Dvd/AutoDVD/Driver
 * Replace CPPM with CPXM and combined LoadDeviceKey and
 * LoadColRowKey
 * 
 * *****************  Version 205  *****************
 * User: Viraf        Date: 5/24/04    Time: 2:02p
 * Updated in $/Dvd/AutoDVD/Driver
 * Removed MDS_ALLOC_MEMORY and MDS_FREE_MEMORY
 * 
 * *****************  Version 204  *****************
 * User: Viraf        Date: 5/19/04    Time: 1:31p
 * Updated in $/Dvd/AutoDVD/Driver
 * Compiler warning
 * 
 * *****************  Version 203  *****************
 * User: Viraf        Date: 4/05/04    Time: 6:25p
 * Updated in $/Dvd/AutoDVD/Driver
 * Added MDS_DEVICE_TS_CAPS and MDS_DEVICE_EXT_STRM_CAPS
 * 
 * *****************  Version 202  *****************
 * User: Viraf        Date: 4/01/04    Time: 11:10a
 * Updated in $/Dvd/AutoDVD/Driver
 * Added SettleTime
 * 
 * *****************  Version 201  *****************
 * User: Viraf        Date: 3/26/04    Time: 6:51p
 * Updated in $/Dvd/AutoDVD/Driver
 * Added MDS_CSS_CHECKRELOADKEY and MDS_CPXM_CHECKRELOADKEY for checking
 * if keys are lost
 * 
 * *****************  Version 200  *****************
 * User: Milan        Date: 3/11/04    Time: 5:24p
 * Updated in $/Dvd/AutoDVD/mdvdhdrv
 * Providing constants for controlling the analog video output
 * 
 * *****************  Version 199  *****************
 * User: Milan        Date: 3/11/04    Time: 5:04p
 * Updated in $/Dvd/AutoDVD/mdvdhdrv
 * Supported constants for analog RGB output
 * 
 * *****************  Version 198  *****************
 * User: Viraf        Date: 3/03/04    Time: 8:09p
 * Updated in $/Dvd/AutoDVD/mdvdhdrv
 * Added new MDS_RATE_MODE flags
 * i.e. MDS_RATE_MODE_NO_AUDIO, NO_VIDEO, NO_SUBPICT
 * 
 * *****************  Version 197  *****************
 * User: Viraf           Date:  1/21/04  Time:  5:22p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 196  *****************
 * User: Viraf           Date: 12/30/03  Time:  4:59p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 195  *****************
 * User: Viraf           Date: 12/30/03  Time: 12:40p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 194  *****************
 * User: Viraf           Date: 12/30/03  Time: 11:55a
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 193  *****************
 * User: Viraf           Date: 12/11/03  Time:  6:19p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 192  *****************
 * User: Viraf           Date: 10/30/03  Time:  2:03p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 191  *****************
 * User: Viraf           Date: 10/30/03  Time:  9:51a
 * Checked in $/Dvd/AutoDVD/Driver
 * Added MDS_ES_STRMBUFF
 * 
 * *****************  Version 190  *****************
 * User: Viraf           Date: 10/29/03  Time: 12:36p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 189  *****************
 * User: Viraf           Date: 10/29/03  Time: 11:22a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 188  *****************
 * User: Viraf           Date: 10/07/03  Time:  9:46a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 187  *****************
 * User: Viraf           Date: 10/06/03  Time:  3:23p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 186  *****************
 * User: Viraf           Date: 10/01/03  Time:  4:33p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 185  *****************
 * User: Viraf           Date:  9/16/03  Time:  4:03p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 184  *****************
 * User: Arshad          Date:  7/18/03  Time: 10:07a
 * Checked in $/Dvd/AutoDVD/Driver
 * Integration of OSD Widget Layer.
 * 
 * *****************  Version 183  *****************
 * User: Viraf           Date:  6/25/03  Time: 11:48a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 182  *****************
 * User: Viraf           Date:  6/20/03  Time: 10:36a
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 181  *****************
 * User: Arshad          Date:  6/16/03  Time:  7:28p
 * Checked in $/Dvd/AutoDVD/Driver
 * CPXM addition.
 * 
 * *****************  Version 180  *****************
 * User: Viraf           Date:  6/11/03  Time:  6:34p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 179  *****************
 * User: Arshad          Date:  5/29/03  Time:  7:42p
 * Checked in $/Dvd/AutoDVD/Driver
 * Implemented CPXM.
 * 
 * *****************  Version 178  *****************
 * User: Deepa           Date:  4/16/03  Time:  4:23p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 177  *****************
 * User: Viraf           Date:  4/15/03  Time:  9:48a
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 176  *****************
 * User: Viraf           Date:  4/14/03  Time:  6:28p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 175  *****************
 * User: Arshad          Date:  4/14/03  Time: 11:40a
 * Checked in $/Dvd/AutoDVD/Driver
 * Integrated AppLabs work on the first pilot project.  
 * 
 * *****************  Version 174  *****************
 * User: Deepa           Date:  4/09/03  Time:  2:31p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 173  *****************
 * User: Arshad          Date:  2/07/03  Time:  3:32p
 * Checked in $/Dvd/AutoDVD/Driver
 * Cleanup
 * 
 * *****************  Version 172  *****************
 * User: Viraf           Date:  2/02/03  Time:  2:06p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 171  *****************
 * User: Viraf           Date:  1/31/03  Time:  6:34p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 170  *****************
 * User: Viraf           Date:  1/31/03  Time:  4:43p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 169  *****************
 * User: Arshad          Date:  1/28/03  Time: 11:48a
 * Checked in $/Dvd/AutoDVD/Driver
 * Addition to specs.
 * 
 * *****************  Version 168  *****************
 * User: Arshad          Date:  1/17/03  Time:  3:44p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * OSD First Cut w/ UILayer Design.
 * 
 * *****************  Version 167  *****************
 * User: Viraf           Date:  1/14/03  Time:  3:55p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 166  *****************
 * User: Viraf           Date:  1/14/03  Time: 12:51p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 165  *****************
 * User: Viraf           Date:  1/14/03  Time: 11:58a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 164  *****************
 * User: Viraf           Date: 12/13/02  Time:  7:08p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 163  *****************
 * User: Viraf           Date: 12/12/02  Time:  7:58p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 162  *****************
 * User: Viraf           Date: 12/02/02  Time:  6:10p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 161  *****************
 * User: Viraf           Date: 12/02/02  Time:  2:28p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 160  *****************
 * User: Vidya           Date: 11/28/02  Time:  2:36p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 159  *****************
 * User: Vidya           Date: 11/28/02  Time:  2:20p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 158  *****************
 * User: Viraf           Date: 11/27/02  Time:  5:18p
 * Checked in $/Dvd/Branched/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 157  *****************
 * User: Vidya           Date: 11/27/02  Time: 11:29a
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 156  *****************
 * User: Arshad          Date: 11/26/02  Time:  4:19p
 * Checked in $/Dvd/AutoDVD/Driver
 * Multi Region OSD stuff.
 * 
 * *****************  Version 155  *****************
 * User: Arshad          Date: 11/15/02  Time:  4:18p
 * Checked in $/Dvd/AutoDVD/Driver
 * OSD Stuff
 * 
 * *****************  Version 154  *****************
 * User: Vidya           Date: 11/07/02  Time:  5:46p
 * Checked in $/Dvd/AutoDVD/Driver
 * Added two variables for the DisplayWindow StartX and StartY for
 * zooming.
 * 
 * *****************  Version 153  *****************
 * User: Arshad          Date: 11/07/02  Time:  2:58p
 * Checked in $/Dvd/AutoDVD/Driver
 * Added OSD stuff.
 * 
 * *****************  Version 152  *****************
 * User: Vidya           Date: 11/01/02  Time:  3:15p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 151  *****************
 * User: Viraf           Date: 11/01/02  Time:  9:24a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 150  *****************
 * User: Vidya           Date: 10/10/02  Time:  4:31p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 149  *****************
 * User: Viraf           Date:  8/06/02  Time:  1:36p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 148  *****************
 * User: Viraf           Date:  8/06/02  Time: 12:26p
 * Checked in $/Dvd/AutoDVD/Driver
 * Added API to Blank/Disable suppicture
 * 
 * *****************  Version 147  *****************
 * User: Viraf           Date:  6/06/02  Time:  1:56p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * Added support for MPEG with extension
 * 
 * *****************  Version 146  *****************
 * User: Viraf           Date:  6/06/02  Time:  1:43p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 145  *****************
 * User: Viraf           Date:  5/28/02  Time:  2:23p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 144  *****************
 * User: Viraf           Date:  5/16/02  Time:  6:27p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 143  *****************
 * User: Viraf           Date:  5/16/02  Time:  4:28p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 142  *****************
 * User: Viraf           Date:  3/03/02  Time:  7:58p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 141  *****************
 * User: Viraf           Date:  3/03/02  Time:  6:31p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 140  *****************
 * User: Viraf           Date:  3/02/02  Time:  5:09p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 139  *****************
 * User: Viraf           Date:  3/02/02  Time: 11:22a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 138  *****************
 * User: Kevin           Date:  2/28/02  Time:  8:36p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 137  *****************
 * User: Viraf           Date: 12/19/01  Time:  2:33p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 136  *****************
 * User: Viraf           Date: 12/17/01  Time:  6:14p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 135  *****************
 * User: Viraf           Date: 12/17/01  Time:  3:37p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 134  *****************
 * User: Viraf           Date: 12/17/01  Time:  2:03p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 133  *****************
 * User: Viraf           Date: 12/04/01  Time:  7:54p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 132  *****************
 * User: Shude           Date: 11/29/01  Time:  4:21p
 * Checked in $/Dvd/Dvdtogo/WDM/Driver/Common
 * Fixed KSBITFIELD type error
 * 
 * *****************  Version 131  *****************
 * User: Viraf           Date: 11/15/01  Time:  9:01p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 130  *****************
 * User: Viraf           Date: 11/04/01  Time:  7:18p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 129  *****************
 * User: Viraf           Date: 11/04/01  Time:  6:46p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 128  *****************
 * User: Viraf           Date: 11/04/01  Time:  6:46p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 127  *****************
 * User: Vidya           Date: 10/23/01  Time:  7:10p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 126  *****************
 * User: Vidya           Date: 10/23/01  Time:  3:59p
 * Checked in $/Dvd/AutoDVD/Driver
 * 
 * *****************  Version 125  *****************
 * User: Vidya           Date: 10/23/01  Time: 11:30a
 * Checked in $/Dvd/AutoDVD/Driver
 * Added structures for Transport Stream data
 * 
 * *****************  Version 124  *****************
 * User: Vidya           Date: 10/18/01  Time: 11:11a
 * Checked in $/Dvd/AutoDVD/Driver
 * Added enums and structures to accomodate Transport Stream.
 * 
 * *****************  Version 123  *****************
 * User: Viraf           Date:  7/27/01  Time:  6:04p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 122  *****************
 * User: Viraf           Date:  7/11/01  Time:  8:31p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 121  *****************
 * User: Viraf           Date:  6/19/01  Time:  2:27p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 120  *****************
 * User: Viraf           Date:  6/18/01  Time:  7:48p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 119  *****************
 * User: Viraf           Date:  6/18/01  Time:  3:41p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 118  *****************
 * User: Viraf           Date:  6/18/01  Time:  2:21p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 117  *****************
 * User: Viraf           Date:  4/06/01  Time:  7:07p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 116  *****************
 * User: Vidya           Date:  4/04/01  Time:  6:15p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 115  *****************
 * User: Vidya           Date:  4/04/01  Time: 11:43a
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 114  *****************
 * User: Vidya           Date:  4/04/01  Time: 11:39a
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 113  *****************
 * User: Deepa           Date:  3/27/01  Time:  6:34p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 112  *****************
 * User: Viraf           Date:  2/20/01  Time:  9:03p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 111  *****************
 * User: Viraf           Date:  2/20/01  Time:  8:45p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 110  *****************
 * User: Viraf           Date:  2/13/01  Time: 11:54a
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 109  *****************
 * User: Viraf           Date: 10/18/00  Time:  6:38p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 108  *****************
 * User: Shude           Date: 10/17/00  Time: 12:27p
 * Checked in $/Dvd/Dvdtogo/WDM/Driver/common
 * Add Mpeg2 elementory stream. Check the stream, split the packtes,
 * add header etc. 
 * 
 * *****************  Version 107  *****************
 * User: Release         Date:  9/28/00  Time:  2:52p
 * Checked in $/Dvd/DvdToGo/WDM/Driver/Common
 * 
 * *****************  Version 106  *****************
 * User: Viraf           Date:  9/16/00  Time:  7:58p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 105  *****************
 * User: Viraf           Date:  9/16/00  Time:  7:07p
 * Checked in $/Dvd/SIEMENS/Driver
 * 
 * *****************  Version 104  *****************
 * User: Viraf           Date:  8/01/00  Time:  6:17p
 * Checked in $/Dvd/SIEMENS/Driver
 * Added MP3 and CDDA audio types
 * 
 * *****************  Version 103  *****************
 * User: Viraf           Date:  6/05/00  Time: 12:22p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * 
 * *****************  Version 102  *****************
 * User: Shude           Date:  5/24/00  Time:  6:13p
 * Checked in $/Dvd/DvdToGo/WDM/Driver/Common
 * Reverse it. When play title "Runaway Bride". The arrow in menu
 * become square.
 * 
 * *****************  Version 101  *****************
 * User: Viraf           Date:  5/05/00  Time: 11:59a
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * Porting to ST
 * 
 * *****************  Version 100  *****************
 * User: John            Date:  3/27/00  Time:  5:26p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Enhance GetStreamTime() to return info on upcoming discontinuity
 * 
 * *****************  Version 99  *****************
 * User: John            Date:  3/22/00  Time:  2:21p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Add MDS_GET_CHANNEL_LEVELS command
 * * Bump API version to 3.0
 * 
 * *****************  Version 98  *****************
 * User: John            Date:  3/17/00  Time:  4:34p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Change EnableChannel, make sure CSS not enabled by default
 * 
 * *****************  Version 97  *****************
 * User: John            Date:  3/14/00  Time:  3:50p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Change to MIDAS API pass InitVideo gets VOB or Not MPEG1 or MPEG2
 * * API rev is 2.1
 * 
 * *****************  Version 96  *****************
 * User: John            Date:  2/18/00  Time:  8:51p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Bump Midas API version to 2.00
 * 
 * *****************  Version 95  *****************
 * User: Viraf           Date:  2/10/00  Time:  5:12p
 * Checked in $/Dvd/DvdToGo/NewModel/MHal/Common
 * 
 * *****************  Version 94  *****************
 * User: Viraf           Date:  2/02/00  Time:  3:21p
 * Checked in $/Dvd/DvdToGo/NewModel/MHal/Common
 * 
 * *****************  Version 93  *****************
 * User: Viraf           Date:  2/02/00  Time:  3:08p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 92  *****************
 * User: John            Date: 11/24/99  Time:  4:42p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Add MDS_XFR_FLAGS_ for DMA support
 * 
 * *****************  Version 91  *****************
 * User: John            Date: 10/20/99  Time:  3:03p
 * Checked in $/Dvd/DvdToGo/AMovie/Common
 * * Change MDS_LONGLONG to signed - fixes 64 bit divide on -ve number
 * 
 * *****************  Version 90  *****************
 * User: John            Date: 10/18/99  Time:  2:46p
 * Checked in $/Dvd/DvdToGo/AMovie/Common
 * * Change Ring0 memory lock approach for VXD binding
 * 
 * *****************  Version 89  *****************
 * User: Viraf           Date: 10/14/99  Time:  8:25p
 * Checked in $/Dvd/Dvdtogo/WDM/driver/Common
 * 
 * *****************  Version 88  *****************
 * User: Viraf           Date: 10/04/99  Time:  4:14p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 87  *****************
 * User: John            Date:  9/30/99  Time:  3:56p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Add MDS_Err_HwError
 * 
 * *****************  Version 86  *****************
 * User: John            Date:  9/17/99  Time:  2:17p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * * Add MDS_PLAYRATE,  change to MDS_SETRATE command
 * 
 * *****************  Version 85  *****************
 * User: John            Date:  9/07/99  Time:  4:48p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * * Remove unused items
 * 
 * *****************  Version 84  *****************
 * User: John            Date:  9/07/99  Time:  1:49p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Remove MDS_VIDOUTMODE
 * 
 * *****************  Version 83  *****************
 * User: John            Date:  8/22/99  Time:  7:07p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * * Add MDS_STEP
 * 
 * *****************  Version 82  *****************
 * User: Melwyn          Date:  8/12/99  Time:  9:48a
 * Checked in $/Dvd/DvdToGo/AMovie/Common
 * * Add DbgMsg Filters
 * 
 * *****************  Version 81  *****************
 * User: John            Date:  8/11/99  Time: 10:45a
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * * Add OSD_FILL_RECT
 * 
 * *****************  Version 80  *****************
 * User: John            Date:  8/03/99  Time: 10:02p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * * Bump API version to 1.0
 * * Add Time Format 90K or 10M
 * * Add MDS_BLANKVIDEO
 * 
 * *****************  Version 79  *****************
 * User: John            Date:  7/26/99  Time:  6:26p
 * Checked in $/Dvd/DvdToGo/Pioneer/mdvdhdrv
 * * Synchronize Data pump and Flush
 * 
 * *****************  Version 78  *****************
 * User: Viraf           Date:  7/21/99  Time:  8:20p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * 
 * *****************  Version 77  *****************
 * User: John            Date:  7/18/99  Time: 10:40p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * * Fix struct typedefs for NEC compiler
 * 
 * *****************  Version 76  *****************
 * User: John            Date:  7/07/99  Time:  6:55p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/common
 * * Change Set_Stream_Time command to use NewTime, OldTime
 * 
 * *****************  Version 75  *****************
 * User: Viraf           Date:  7/07/99  Time:  5:40p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 74  *****************
 * User: Release         Date:  6/24/99  Time:  7:00p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * Fixing problem with building MidasVxd
 * 
 * *****************  Version 73  *****************
 * User: Release         Date:  6/24/99  Time:  6:25p
 * Checked in $/Dvd/DvdToGo/AMovie/MHal
 * Fixing compile issues with AMovie
 * 
 * *****************  Version 72  *****************
 * User: Release         Date:  6/24/99  Time:  5:32p
 * Checked in $/Dvd/DvdToGo/AMovie/Filter
 * Fixing AMoive release problem 
 * 
 * *****************  Version 71  *****************
 * User: Viraf           Date:  6/21/99  Time: 12:07p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * 
 * *****************  Version 70  *****************
 * User: Anoop           Date:  6/20/99  Time:  6:21p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * 
 * *****************  Version 69  *****************
 * User: Viraf           Date:  6/20/99  Time:  2:49p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 68  *****************
 * User: Viraf           Date:  6/20/99  Time:  2:46p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/Common
 * 
 * *****************  Version 67  *****************
 * User: Viraf           Date:  6/18/99  Time:  4:28p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * 
 * *****************  Version 66  *****************
 * User: John            Date:  6/08/99  Time:  3:49p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add Render_Rect
 * * Add MargiSleep() for blocking during OSD rendering
 * 
 * *****************  Version 65  *****************
 * User: John            Date:  5/04/99  Time:  1:09p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Change OSD_RENDER_STRIP to accept unlimited raster lines
 * 
 * *****************  Version 64  *****************
 * User: John            Date:  4/30/99  Time:  9:38p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add MDS_OSD_FILL_REGION
 * 
 * *****************  Version 63  *****************
 * User: Anoop           Date:  4/22/99  Time:  4:28p
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * Fix for NEC pragma hard coded a value = 8.
 * 
 * *****************  Version 62  *****************
 * User: John            Date:  4/17/99  Time:  9:57p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/common
 * * Change CODE_MAJOR/MINOR to MDS_CODE_MAJOR/MINOR
 * 
 * *****************  Version 61  *****************
 * User: John            Date:  4/17/99  Time:  6:10p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * * Add lock packets on the fly
 * 
 * *****************  Version 60  *****************
 * User: John            Date:  4/14/99  Time:  1:42p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/common
 * * Bump the Midas API version to 0.2
 * 
 * *****************  Version 59  *****************
 * User: John            Date:  4/13/99  Time:  7:21p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add I/O indirection functions
 * 
 * *****************  Version 58  *****************
 * User: John            Date:  4/13/99  Time:  4:23p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add OSD Commands
 * 
 * *****************  Version 57  *****************
 * User: John            Date:  4/07/99  Time:  4:50p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Remove MDS_GETDATASIZE
 * * Add MDS_STARTTIMER
 * * Rename "context" to " hMidas"
 * 
 * *****************  Version 56  *****************
 * User: Anoop           Date:  4/01/99  Time: 10:24a
 * Checked in $/Dvd/DvdToGo/Pioneer/mdvdhdrv
 * Push pragma is split to two lines for NEC compilation.
 * 
 * *****************  Version 55  *****************
 * User: John            Date:  3/31/99  Time:  9:26p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add Memory Lock
 * * Add Test Cllbakc
 * 
 * *****************  Version 54  *****************
 * User: Ravi            Date:  3/24/99  Time:  9:29a
 * Checked in $/Dvd/DvdToGo/AMovie/Filter
 * * Updated to compile in C++ environment.
 * 
 * *****************  Version 53  *****************
 * User: Anoop           Date:  3/22/99  Time: 11:44a
 * Checked in $/Dvd/DvdToGo/Pioneer/Common
 * 
 * *****************  Version 52  *****************
 * User: John            Date:  3/18/99  Time:  4:26p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * * Change to MDS_LOCATE_HARDWARE
 * * Add dwStatus to Cmd structure
 * 
 * *****************  Version 51  *****************
 * User: John            Date:  3/15/99  Time:  1:47p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/common
 * * Add __stdcall to MidasEntry
 * * Add MargiGetTime()
 * * Add RECT_DEFINED
 * 
 * *****************  Version 50  *****************
 * User: John            Date:  3/12/99  Time:  8:41p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/common
 * * Rename LSIHAL to Midas
 * 
 * *****************  Version 49  *****************
 * User: John            Date:  3/12/99  Time:  3:59p
 * Checked in $/Dvd/Dvdtogo/WDM/mhal/common
 * * Remove WDM/KS suff
 * 
 * *****************  Version 48  *****************
 * User: John            Date:  3/11/99  Time:  9:26p
 * Checked in $/Dvd/DvdToGo/WDM/MHal/Common
 * * Move data queues into lo-driver
 * 
 * *****************  Version 47  *****************
 * User: John            Date:  3/08/99  Time: 11:24a
 * Branched at version 47
 * * Margi HAL Hi/Lo Driver
 * 
 * *****************  Version 46  *****************
 * User: John            Date:  3/05/99  Time:  9:01a
 * Checked in $/Dvd/DvdToGo/WDM/Driver/Common
 * * Add _SET_STREAM_TIME
 * 
 * *****************  Version 45  *****************
 * User: Ravi            Date:  3/01/99  Time:  2:37p
 * Checked in $/Dvd/Dvdtogo/WDM/Driver/common
 * * Set # of Audio Channels
 * 
 * *****************  Version 44  *****************
 * User: Ravi            Date:  2/16/99  Time:  6:08p
 * Checked in $/Dvd/DvdToGo/WDM/Driver/common
 * * Use MPEG2 structure for passing MPEG1 info.
 * 
 * *****************  Version 43  *****************
 * User: Ravi            Date:  2/03/99  Time: 10:25a
 * Checked in $/Dvd/DvdToGo/WDM/Driver/common
 * * Added MPEG1 info in the video Init Info struct.
 * 
 * *****************  Version 42  *****************
 * User: John            Date:  1/22/99  Time:  9:31p
 * Checked in $/Dvd/WDM/Driver/Common
 * * Add support for Mem Xfr
 * 
 * *****************  Version 41  *****************
 * User: John            Date:  1/08/99  Time: 10:00p
 * Checked in $/Dvd/WDM/Driver/Common
 * * Add args for LSIH_SETSPDIFMODE
 * 
 * *****************  Version 40  *****************
 * User: John            Date:  1/08/99  Time:  9:13a
 * Checked in $/Dvd/WDM/Driver/Common
 * * Add code to handle time seeks - doesn't work
 * 
 * *****************  Version 39  *****************
 * User: John            Date: 12/31/98  Time:  5:02p
 * Checked in $/Dvd/WDM/Driver/Common
 * * Add code to support card removal - doesn't work yet
 * 
 * *****************  Version 38  *****************
 * User: Ravi            Date: 11/30/98  Time:  9:14a
 * Checked in $/Dvd/WDM/Driver/common
 * * Added Save and Restore power status messages.
 * 
 * *****************  Version 37  *****************
 * User: Ravi            Date: 11/16/98  Time:  3:53p
 * Checked in $/Dvd/WDM/Driver/common
 * * Added CCFini message.
 * 
 * *****************  Version 36  *****************
 * User: Ravi            Date: 11/03/98  Time: 12:50p
 * Checked in $/Dvd/WDM/Driver/common
 * * Added CC Timer message
 * 
 * *****************  Version 35  *****************
 * User: Ravi            Date: 10/26/98  Time:  8:51p
 * Checked in $/Dvd/WDM/Driver/common
 * * Added CC releated messages and structures.
 * 
 * *****************  Version 34  *****************
 * User: Ravi            Date: 10/19/98  Time: 11:09a
 * Checked in $/Dvd/WDM/Driver/common
 * * Added Messge for Loading CP controls.
 * 
 * *****************  Version 33  *****************
 * User: Ravi            Date: 10/16/98  Time:  4:26p
 * Checked in $/Dvd/WDM/Driver/common
 * * Update
 * 
 * *****************  Version 32  *****************
 * User: Ian             Date: 10/09/98  Time:  5:17p
 * Checked in $/Dvd/WDM/Driver/Common
 * Added volume and mute functionality .
 * 
 * *****************  Version 31  *****************
 * User: Ravi            Date: 10/05/98  Time: 11:17a
 * Checked in $/Dvd/WDM/Driver/Common
 * * Added GetSatuaration/SetSaturation defines.
 * 
 * *****************  Version 30  *****************
 * User: Ravi            Date: 10/04/98  Time:  6:02p
 * Checked in $/Dvd/WDM/Driver/Common
 * * defines update
 * 
 * *****************  Version 29  *****************
 * User: Ravi            Date:  9/30/98  Time: 11:39a
 * Checked in $/Dvd/WDM/Driver/Common
 * * WAVEFORMATEX update
 * 
 * *****************  Version 28  *****************
 * User: Ian             Date:  9/29/98  Time:  8:04p
 * Checked in $/Dvd/WDM/Driver/Common
 * Added temp constant until apientry.c is merged.
 * 
 * *****************  Version 27  *****************
 * User: Ian             Date:  9/29/98  Time:  7:59p
 * Checked in $/Dvd/WDM/Driver/Common
 * Added defines for video & audio driver dialog.
 * 
 * *****************  Version 26  *****************
 * User: Ravi            Date:  9/29/98  Time: 11:24a
 * Checked in $/Dvd/WDM/Driver/Common
 * * Added ptr for LPCM format in the HAL Command struct.
 * 
 * *****************  Version 25  *****************
 * User: Ravi            Date:  7/31/98  Time: 11:08a
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Sending Packet # to the HAL
 * 
 * *****************  Version 24  *****************
 * User: Ravi            Date:  7/10/98  Time: 10:52a
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding CSS_INITHW message
 * 
 * *****************  Version 23  *****************
 * User: Ravi            Date:  7/07/98  Time:  2:44p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * VPE Info exchange structure
 * 
 * *****************  Version 22  *****************
 * User: Ravi            Date:  7/07/98  Time:  1:50p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Passing Port Width and Pixel Format
 * 
 * *****************  Version 21  *****************
 * User: Ravi            Date:  6/26/98  Time:  6:10p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Added Rate Constants
 * 
 * *****************  Version 20  *****************
 * User: Ravi            Date:  6/16/98  Time: 12:05p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding Resource Struct
 * 
 * *****************  Version 19  *****************
 * User: Ravi            Date:  6/09/98  Time:  3:17p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding LSIH_TIMER Message
 * 
 * *****************  Version 18  *****************
 * User: Ravi            Date:  6/08/98  Time:  5:26p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding Message to Get the Stream Time
 * 
 * *****************  Version 17  *****************
 * User: Ravi            Date:  5/18/98  Time: 11:43a
 * Checked in $/Dvd/WDM/LSI/Inc
 * Adding IsLastPacket Flag in the Send_s struct
 * 
 * *****************  Version 16  *****************
 * User: Ravi            Date:  5/18/98  Time: 11:42a
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Video/Audio Stream ID's are now bit specifiers
 * 
 * *****************  Version 15  *****************
 * User: Ravi            Date:  5/12/98  Time:  2:05p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding Message FLUSH_END
 * 
 * *****************  Version 14  *****************
 * User: Ravi            Date:  5/08/98  Time:  2:32p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Handling Begin/End Flush
 * 
 * *****************  Version 13  *****************
 * User: Ravi            Date:  4/29/98  Time:  8:49a
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Adding Comments to the hw API messages
 * 
 * *****************  Version 12  *****************
 * User: Ravi            Date:  4/09/98  Time:  5:27p
 * Checked in $/Dvd/WDM/LSI/Inc
 * * Removing cascading H files
 * 
 * *****************  Version 11  *****************
 * User: Chip-loki       Date: 11/13/97  Time:  9:03p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Adding STRM_NONE
 * 
 * *****************  Version 10  *****************
 * User: Chip-loki       Date: 11/10/97  Time:  5:57p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Renaming VIDEO_STREAM to STRM_VID
 * 
 * *****************  Version 9  *****************
 * User: Chip-loki       Date: 11/04/97  Time:  7:14p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Adding MASTER_CLOCK message
 * * Renamed LSIHD_SendData_Struct to Send_s.
 * 
 * *****************  Version 8  *****************
 * User: Chip-loki       Date: 11/03/97  Time:  5:54p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Adding SRB pointer to SendData
 * 
 * *****************  Version 7  *****************
 * User: Chip-loki       Date: 10/25/97  Time:  1:28p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Microsoft week 4
 * 
 * *****************  Version 6  *****************
 * User: Chip-loki       Date: 10/17/97  Time: 12:24p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Microsoft Week 3
 * 
 * *****************  Version 5  *****************
 * User: Chip-635        Date: 10/12/97  Time:  6:58p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Curtis: Microsoft week 2
 * 
 * *****************  Version 4  *****************
 * User: Dell            Date: 10/06/97  Time:  3:07p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Microsoft Week 2
 * 
 * *****************  Version 3  *****************
 * User: Chip-loki       Date:  9/26/97  Time:  1:41p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Microsoft Week 1
 * 
 * *****************  Version 2  *****************
 * User: Chip-635        Date:  9/22/97  Time: 12:24p
 * Checked in $/Dvd/WDM/LSI/Include
 * * Added Palette, other subpicture functions.
 * 
 * *****************  Version 1  *****************
 * User: Chip-635        Date:  9/15/97  Time:  4:34p
 * Created lsihal.h
 * Original LSI code.
 * 
 **************************************************************************/

#ifndef midas_h
#define midas_h

#include "MdsLong.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Revision Control Codes */
/* Current Revision */
#define MDS_CODE_MAJOR   7
#define MDS_CODE_MINOR   1

#define MAX_USER_BYTES 256

#ifdef _ST_
  #define KSBITFIELD int
#else // The code brakes if used int under WDM
  #define KSBITFIELD BYTE
#endif

/* ---- prototype of the common entry point to LSIHAL ---- */
struct MDS_Revision_Struct
{
  BYTE  code_major;
  BYTE  code_minor;
  WORD  wChipCut;
  DWORD dwChipNumber;
  char* pcChipName;
};

enum
{
  MDS_API_VERSION = 0,
  MDS_FILE_VERSION,
  MDS_PRODUCT_VERSION,
  MDS_DECODER_VERSION
};

struct MDS_Version
{
  char*   pcVersionMsg;             /* NULL or msg pointer */

  DWORD   dwMajor;
  DWORD   dwMinor;
  DWORD   dwBuild;

  DWORD   dwYear;

  BYTE    bDay;
  BYTE    bDate;
  BYTE    bMonth;

  BYTE    bHour;
  BYTE    bMinutes;
  BYTE    bSeconds;

  BYTE    bType;
  BYTE    bReserved;
};

typedef void* HANDLE;

typedef long (__stdcall *PFNMDS_CALLBACK)(HANDLE  UserHandle,
                                          DWORD   dwMsg,
                                          DWORD   dwParam1,
                                          DWORD   dwParam2);

struct MDS_Callback_Struct
{
  PFNMDS_CALLBACK pFnCallBack;
  HANDLE          Handle;
};

typedef enum
{
  MDS_CB_TS_STOPPED = 0,        // Transport stream stopped
  MDS_CB_TS_STARTED,            // Transport stream started
  MDS_CB_TS_SIGNAL_LOSS,        // Transport signal loss
  MDS_CB_TS_TABLE_CHANGED,      // Transport table changed
  MDS_CB_TS_CHANNEL_STOPPED,    // Transport channel started
  MDS_CB_TS_CHANNEL_STARTED,    // Transport channel stopped
  MDS_CB_AUD_TYPE,              // Audio type change
  MDS_CB_VID_TYPE,              // Video type change
  MDS_CB_DATA_DONE,
  MDS_CB_RESTART_REQUEST        // Request a restart due to some serious error
} MDS_CB_MSG;

struct MDS_TSCHANNELS
{
  WORD    wCurrentChannel;
  WORD    wNumberOfChannels;
  LPWORD  lpwChannelList;
};

typedef struct MDS_SPEAKER_SIZE_s
{
  BYTE    bOffSpeakers;     // Refer to MDS_SPEAKER_...
  BYTE    bSmallSpeakers;   // Refer to MDS_SPEAKER_...
  BYTE    bMediumSpeakers;  // Refer to MDS_SPEAKER_...
  BYTE    bLargeSpeakers;   // Refer to MDS_SPEAKER_...
} MDS_SPEAKER_SIZE;

typedef enum
{
  MDS_CLKMASTER_NONE =0,
  MDS_CLKMASTER_SCR,
  MDS_CLKMASTER_AUDIO,
  MDS_CLKMASTER_VIDEO,
  MDS_CLKMASTER_SUB
} MDS_CLKMASTER;

// Debug Message Filter Name structure in ApiEntry.c
extern struct DbgMsgFilterName_s DbgFilterNames[];



#define RATE_NORMAL  10000

#define VID_MAX_RATE  10000
#define AUD_MAX_RATE  10000
#define SUB_MAX_RATE  10000

#define MDB_FLAG_USENEWCSSKEY       0x00000001
#define MDB_FLAG_USENEWCPXMKEY      0x00000002
#define MDB_FLAG_DATADISCONTINUITY  0x00000004
#define MDB_FLAG_TYPECHANGED        0x00000008
#define MDB_FLAG_TIMEVALID          0x00000010
#define MDB_FLAG_TIMEDISCONTINUITY  0x00000040
#define MDB_FLAG_IN_USE             0x10000000
#define MDB_FLAG_DONE               0x20000000



//oleg::we do not need defines below, already defined in MdsLong.h
//#ifdef WIN32
//  #define USE_64_BITS 1
//#elif defined (IS_32)
//  #define USE_64_BITS 1
//#endif

#ifndef _KSMEDIA_

//oleg::the same
//#ifdef USE_64_BITS
//typedef __int64 REFERENCE_TIME;
//#else

//#endif

typedef LONGLONG REFERENCE_TIME;


//#define KS_MPEG2_DoPanScan           0x00000001  //if set, the MPEG-2 video decoder should crop output image
//                                                //  based on pan-scan vectors in picture_display_extension
//#define KS_MPEG2_SourceIsLetterboxed 0x00000008  //if set, indicates that black bars have been encoded in the top
//                                                //  and bottom of the video.
//                                                //  and change the picture aspect ratio accordingly.
#ifndef RECT_DEFINED
typedef struct tagRECT
{
  long    left;
  long    top;
  long    right;
  long    bottom;
} RECT, *PRECT;
#endif

typedef struct tagKS_BITMAPINFOHEADER
{
  DWORD      dwSize;
  long       biWidth;
  long       biHeight;
  WORD       wPlanes;
  WORD       wBitCount;
  DWORD      dwCompression;
  DWORD      dwSizeImage;
  long       lXPelsPerMeter;
  long       lYPelsPerMeter;
  DWORD      dwClrUsed;
  DWORD      dwClrImportant;
} KS_BITMAPINFOHEADER, *PKS_BITMAPINFOHEADER;

typedef struct tagKS_VIDEOINFOHEADER2
{
  RECT                rcSource;
  RECT                rcTarget;
  DWORD               dwBitRate;
  DWORD               dwBitErrorRate;
  REFERENCE_TIME      AvgTimePerFrame;
  DWORD               dwInterlaceFlags;   // use AMINTERLACE_* defines. Reject connection if undefined bits are not 0
  DWORD               dwCopyProtectFlags; // use AMCOPYPROTECT_* defines. Reject connection if undefined bits are not 0
  DWORD               dwPictAspectRatioX; // X dimension of picture aspect ratio, e.g. 16 for 16x9 display
  DWORD               dwPictAspectRatioY; // Y dimension of picture aspect ratio, e.g.  9 for 16x9 display
  DWORD               dwReserved1;        // must be 0; reject connection otherwise
  DWORD               dwReserved2;        // must be 0; reject connection otherwise
  KS_BITMAPINFOHEADER bmiHeader;
} KS_VIDEOINFOHEADER2;

typedef struct tagKS_MPEGVIDEOINFO2
{
  KS_VIDEOINFOHEADER2 hdr;
  DWORD               dwStartTimeCode;        //  ?? not used for DVD ??
  DWORD               dwSequenceHeader;       // is 0 for DVD (no sequence header)
  DWORD               dwProfile;              // use enum MPEG2Profile
  DWORD               dwLevel;                // use enum MPEG2Level
  DWORD               dwFlags;                // use AMMPEG2_* defines.  Reject connection if undefined bits are not 0
  DWORD               dwSequenceHeaderBuff[1];// DWORD instead of Byte for alignment purposes
                                              //   For MPEG-2, if a sequence_header is included, the sequence_extension
                                              //   should also be included
} KS_MPEGVIDEOINFO2;

typedef struct _KS_DVDCOPY_CHLGKEY
{
  BYTE bChlgKey[10];
  BYTE bReserved[2];
} KS_DVDCOPY_CHLGKEY, *PKS_DVDCOPY_CHLGKEY;

typedef struct _KS_DVDCOPY_BUSKEY
{
  BYTE bBusKey[5];
  BYTE bReserved[1];
} KS_DVDCOPY_BUSKEY, *PKS_DVDCOPY_BUSKEY;


typedef struct _KS_DVDCOPY_DISCKEY
{
  BYTE bDiscKey[2048];
} KS_DVDCOPY_DISCKEY, *PKS_DVDCOPY_DISCKEY;

typedef struct _KS_DVDCOPY_REGION
{
  BYTE   Reserved;
  BYTE   RegionData;
  BYTE   Reserved2[2];
} KS_DVDCOPY_REGION, *PKS_DVDCOPY_REGION;

typedef struct _KS_DVDCOPY_TITLEKEY
{
  DWORD dwKeyFlags;
  DWORD dwReservedNT[2];
  BYTE  bTitleKey[6];
  BYTE  bReserved[2];
} KS_DVDCOPY_TITLEKEY, *PKS_DVDCOPY_TITLEKEY;

typedef struct _KS_DVD_YUV
{
  BYTE   bReserved;
  BYTE   bY;
  BYTE   bV;
  BYTE   bU;
} KS_DVD_YUV, *PKS_DVD_YUV;

typedef struct _KSPROPERTY_SPPAL
{
  KS_DVD_YUV sppal[16];
} KSPROPERTY_SPPAL, *PKSPROPERTY_SPPAL;


typedef struct _KS_COLCON
{
  KSBITFIELD emph1col:4;
  KSBITFIELD emph2col:4;
  KSBITFIELD backcol:4;
  KSBITFIELD patcol:4;
  KSBITFIELD emph1con:4;
  KSBITFIELD emph2con:4;
  KSBITFIELD backcon:4;
  KSBITFIELD patcon:4;
} KS_COLCON, *PKS_COLCON;

typedef struct _KSPROPERTY_SPHLI
{
  WORD        wHighlightEnable;
  WORD        wReserved;
  DWORD       StartPTM;   // start presentation time in x/90000
  DWORD       EndPTM;     // end PTM in x/90000
  WORD        StartX;
  WORD        StartY;
  WORD        StopX;
  WORD        StopY;
  KS_COLCON   ColCon;     // color contrast description (4 bytes as given in HLI)
} KSPROPERTY_SPHLI, *PKSPROPERTY_SPHLI;
#endif

typedef struct MDS_Init_Struct
{
  WORD    wCardId;
  WORD    wMemoryMapped;
  LPVOID  lpAddress;
} MDS_INIT;


typedef struct MDS_InitVideo_Struct
{
  WORD                nMpegType;                 // Refer to MDS_MPEG_TYPE_...
  WORD                wReserved;
  KS_MPEGVIDEOINFO2*  videoinfo;
} MDS_INITVIDEO;

typedef struct MDS_InitAudio_Struct
{
  BYTE  AudioNumChannels; // Number of audio channels
  BYTE  bAudioExtension;   // Set to TRUE in case of MPEG2 audio extension
  WORD  wMpegType;        // Refer to MDS_MPEG_TYPE_...

  WORD  AudioSource;      // Audio source type eg mpeg, ac3, lpcm, ...
  WORD  AudioOutputMode;

  DWORD AudioSampleRate;  // Audio sample rate
  DWORD AudioBitRate;     // Audio bit rate
} MDS_INITAUDIO;

typedef struct MDS_InitSub_Struct
{
  BYTE fIsNTSC;
  WORD wWidth;
  WORD wHeight;
} MDS_INITSUB;

typedef struct MDS_RegisterEvent_Struct
{
  DWORD Event;
  void (*pFunc)();
} MDS_REGEVENT;

typedef struct MDS_Lock_Struct
{
  LPVOID  pLocal;
  LPVOID  pGlobal;
  DWORD   dwSize;
} MDS_LOCK;

typedef struct MDS_Memory_Struct
{
  LPVOID  lpMemory;
  DWORD   dwSize;
} MDS_MEMORY;

#define MDS_WAIT_INFINITE (-1)

typedef struct
{
  long   lTimeOut;    // Timeout in millsecond or MDS_WAIT_INFINITE for infinite wait
  DWORD  dwBytesRead;
} MDS_ES_GETSTRM;

typedef struct
{
  BYTE  bInputMode;
  BYTE  bReserved;
  WORD  wBlockSize;
} MDS_ES_STRMMODE;

typedef long (*PFNMDSSCRTMRCB) (HANDLE UserHandle,
                                LPVOID lpTimerID);

typedef enum
{
  MDS_SCRTIMER_TYPE_UNKNOWN = 0,
  MDS_SCRTIMER_TYPE_REPEATING,  // TimeOut
  MDS_SCRTIMER_TYPE_MONOSHOT,   // TimeOut
  MDS_SCRTIMER_TYPE_COMPARE
} MDS_SCRTIMER_TYPE;

typedef struct MDS_ScrTimer_Struct
{
  void*             pTimer;
  MDSLONGLONG       mdsTime;      // timeout or compare time depends on eTmrType
  PFNMDSSCRTMRCB    pFnCallback;  // pointer to callback function
  HANDLE            UserHandle; // user handle return on a callback
  MDS_SCRTIMER_TYPE TmrType;      // timer type
} MDS_SCRTIMER;

enum
{
  MDB_DFLAG_LOCK=1
};


typedef struct MDS_CHN_LEVELS_s
{
  DWORD dwVidBytes;
  DWORD dwAudBytes;
  DWORD dwSubBytes;
} MDS_CHN_LEVELS;

#if(1)

typedef struct MDSTIME_s
{
  MDSLONGLONG Time;
  DWORD       dwNumerator;
  DWORD       dwDenominator;
} MDSTIME;

typedef struct MDS_SETTIME_s
{
  MDSLONGLONG NewTime;
  MDSLONGLONG OldTime;
  MDSLONGLONG SettleTime;   // System SCR settle time
} MDS_SETTIME;

typedef struct MDS_GETTIME_s
{
  MDSLONGLONG CurTime;
  MDSLONGLONG OldTime;
  MDSLONGLONG NewTime;
} MDS_GETTIME;

#define MDS_RATE_MODE_PACE_FRAMES   0x00000001    // Pace Fast Play
#define MDS_RATE_MODE_ONE_FRAME     0x00000002
#define MDS_RATE_MODE_NO_VIDEO      0x00000004
#define MDS_RATE_MODE_NO_AUDIO      0x00000008
#define MDS_RATE_MODE_NO_SUBPICT    0x00000010

typedef struct MDS_PLAYRATE_s
{
  MDSLONGLONG StartTime;  // stream time at which to start this rate
  long        Rate;      // new rate * 10000 (decimal)
  DWORD       Mode;     // Refer to MDS_RATE_...
} MDS_PLAYRATE;

typedef struct MDP_s
{
  DWORD       dwSize;
  DWORD       TypeSpecificFlags;
  MDSTIME     PresentationTime;
  MDSLONGLONG Duration;
  void*       hRef;              //Reference handle for Client (was FrameExtent not used by Midas library)
  DWORD       DataUsed;
  PVOID       Data;
  DWORD       OptionsFlags;
} MDS_DATA_PACKET, *PMDS_DATA_PACKET;

struct MDSDataBlock_s;

typedef void (__stdcall *PMDB_CALLBACK)(struct MDSDataBlock_s*);

typedef struct MDSDataBlock_s
{
  DWORD                   nSize;            // Sizeof this structure
  DWORD                   dwStatus;
  DWORD                   dwStrmType;
  DWORD                   dwTotalPackets;
  DWORD                   dwCurPacket;
  PMDS_DATA_PACKET        pPackets;
  struct MDSDataBlock_s*  pNextMdb;
  DWORD                   dwDataFlags;          // Flags for data buffers use MDS_DATA_FLAG_LOCK if Midas binding must lock memory
  void*                   hRef;                 // Reference Handle for Client
  PMDB_CALLBACK           pfnCallback;
  DWORD                   dwRsvd[4];            // Reserved for internal use. MPEG-2 elementory stream. [0], Data of Packets [1], IsMpeg2Payload
} MDS_DATA_BLOCK;
typedef MDS_DATA_BLOCK* PMDS_DATA_BLOCK;


typedef struct MDS_DEVICE_STRM_CAPS_s
{
  KSBITFIELD  fProgramStrm:1;
  KSBITFIELD  fPesStrm:1;
  KSBITFIELD  fElementryStrm:1;
  KSBITFIELD  fReserved1:5;
  KSBITFIELD  fReserved2:8;
  KSBITFIELD  fReserved3:8;
  KSBITFIELD  fReserved4:8;
} MDS_DEVICE_STRM_CAPS;

typedef struct MDS_DEVICE_VID_CAPS_s
{
  MDS_DEVICE_STRM_CAPS  StrmCaps;
  WORD                  wSetVideoControl; // Supported TVOUT_CTRL_.. (Refer TVOUT_CTRL_..)
  WORD                  wGetVideoControl; // Supported TVOUT_CTRL_.. (Refer TVOUT_CTRL_..)
} MDS_DEVICE_VID_CAPS;

typedef struct MDS_DEVICE_AUD_CAPS_s
{
  MDS_DEVICE_STRM_CAPS  StrmCaps;
  WORD                  wAudioSource;     // Supported Audio Source formats (Refer MDS_AS_...)
  WORD                  wKaraokeSource;   // Supported Karaoke Source formats (Refer MDS_AS_...)
  BYTE                  bNumbOfChannels;  // Supported Number of output Channels
  BYTE                  bMixMode;         // Supported Audio Mix Mode (Refer MDS_MIXMODE_...)
  BYTE                  bSpDiffMode;      // Supported Audio SpDiff Mode (Refer MDS_SPDIF_...)
  BYTE                  bReserved;
} MDS_DEVICE_AUD_CAPS;

typedef struct MDS_DEVICE_SUB_CAPS_s
{
  MDS_DEVICE_STRM_CAPS  StrmCaps;
} MDS_DEVICE_SUB_CAPS;

// Transport stream
typedef struct MDS_DEVICE_TS_CAPS_s
{
  BYTE  fSupported;       // Set to TRUE when Transport stream is supported
  BYTE  fMediaAccess;     // Set to TRUE when MediaAccess is supported during TS Playback
  BYTE  bReserved[2];
} MDS_DEVICE_TS_CAPS;

//External stream
typedef struct MDS_DEVICE_EXT_STRM_CAPS_s
{
  BYTE  fSupported;     // Set to TRUE when External stream is supported
  BYTE  fMediaAccess;   // Set to TRUE when MediaAccess is supported during External Playback
  BYTE  bReserved[3];
} MDS_DEVICE_EXT_STRM_CAPS;

typedef struct MDS_DEVICE_TMR_CAPS_s
{
  KSBITFIELD  fTmr:1;     // Set to 1 when timer is needed
  KSBITFIELD  fIsrTmr:1;  // Set to 1 when timer is interrupt timer
  KSBITFIELD  fReserved1:6;
  KSBITFIELD  fReserved2:8;
  KSBITFIELD  fReserved3:8;
  KSBITFIELD  fReserved4:8;
} MDS_DEVICE_TMR_CAPS;

typedef struct MDS_DEVICE_CAPS_s
{
  MDS_DEVICE_VID_CAPS       VidCaps;
  MDS_DEVICE_AUD_CAPS       AudCaps;
  MDS_DEVICE_SUB_CAPS       SubCaps;
  MDS_DEVICE_TS_CAPS        TsCaps;
  MDS_DEVICE_EXT_STRM_CAPS  ExtStrmCaps;
  MDS_DEVICE_TMR_CAPS       DataTmrCaps;
  MDS_DEVICE_TMR_CAPS       CtrlTmrCaps;
} MDS_DEVICE_CAPS;

typedef MDS_DEVICE_CAPS* PMDS_DEVICE_CAPS;
#endif

typedef void  (__stdcall *PFNREGWRBYTE)(DWORD dwIoAddr,BYTE bDat);
typedef void  (__stdcall *PFNREGWRWORD)(DWORD dwIoAddr,WORD wDat);
typedef BYTE  (__stdcall *PFNREGRDBYTE)(DWORD dwIoAddr);
typedef WORD  (__stdcall *PFNREGRDWORD)(DWORD dwIoAddr);
typedef DWORD (__stdcall *PFNCHNWRWORDS)(DWORD dwIoAddr,BYTE* pDat,DWORD dwWords,DWORD dwFlags);

// flags passed in place of #bytes to channel transfer function
// used for dma/bus master transfer.  Be careful here.  The #bytes
// is often divided by 2 to give #words.  
// These flags must be maintained in this case hence the 8 in FF8
#define MDS_XFR_FLAGS         0xFF800000
#define MDS_XFR_FLAG_RESET    0x80000000
#define MDS_XFR_FLAG_FLUSH    0x81000000


#define RSRC_FLAG_IO     1
#define RSRC_FLAG_MEMCH  2
#define RSRC_FLAG_DMACH  4

typedef struct _HWResource_s
{
  MDSLONGLONG   dlIOBaseAddr;
  MDSLONGLONG   dlMemBaseAddr;
  MDSLONGLONG   dlDMABaseAddr;
  DWORD         dwIrqChannel;
  DWORD         dwFlags;          // RSRC_FLAG_ flags
  BOOL          fDMAAvailable;
  
  PFNREGWRBYTE  pfnRegWrByte;     //I/O routines set to null to use built in functions
  PFNREGWRWORD  pfnRegWrWord;
  PFNREGRDBYTE  pfnRegRdByte;
  PFNREGRDWORD  pfnRegRdWord;
  PFNCHNWRWORDS pfnChnWrWords;
} MDS_HW_RESOURCE, *PMDS_HW_RESOURCE;

typedef struct MDS_VPE_INFO_s
{
  DWORD dwPortWidth;
} MDS_VPE_INFO, *PMDS_VPE_INFO;

typedef struct Osd_Region_s
{
  WORD x;             //left,top,width,height on screen 0,0,720,480(ntsc),576(pal)
  WORD y;
  WORD dx;
  WORD dy;
  WORD wClrMode;      //# bits/pel  0:2bps, 1:8bps, 2:4bps
  WORD wMixWeight;
  WORD Palette[16];
} OSD_REGION_DESC,*POSD_REGION_DESC;

typedef struct Osd_Strip_s
{
  WORD x;
  WORD y;
  WORD dx;
  WORD dy;
  BYTE* pStrip;     // upto 8 bytes
  WORD  wSize;      // number of bytes (not pixels)
} OSD_STRIP, *POSD_STRIP;

typedef struct Cpxm_MKB_s
{
  LPBYTE  lpbKey;
  DWORD   dwSize;
  LPBYTE  lpbDone;
} MDS_CPXM_MKB, *PMDS_CPXM_MKB;

typedef struct Cpxm_MASTER_s
{
  LPBYTE        lpbDevKeys;
  LPBYTE        lpbRowKeys;
  LPBYTE        lpbColKeys;
  LPBYTE        lpbAlbumKeys;

  BYTE          bNumbOfDevKey;
  BYTE          bNumbOfRowKey;
  BYTE          bNumbOfColKey;
  BYTE          bNumbOfAlbumKey;
} MDS_CPXM_MASTER, *PMDS_CPXM_MASTER;

typedef struct TvOut_Pos_Scale_s
{
  RECT  rcUser;
  RECT  rcCrop;

  WORD  wScaleVertical;
  WORD  wScaleHorizontal;

  BYTE  fApplyNow;
  BYTE  fUserWindow;
  BYTE  fCropWindow;
  BYTE  fScale;

  BYTE  fResetUserWindow;
  BYTE  fResetCropWindow;
  BYTE  fResetScale;
  BYTE  fReserved;
} TVOUT_POS_SCALE, *PTVOUT_POS_SCALE;

struct StdMsg_s { DWORD Arg1,Arg2; };

typedef enum
{
  STRM_NONE=0,
  STRM_VID=1,
  STRM_AUD=2,
  STRM_SUB=4,
  STRM_CC=8,
  STRM_SYS=0x10
} MDS_STREAM_TYPES;

enum STREAM_TIME_FLAGS
{
  MDS_STF_90K=0,
  MDS_STF_10M=1,
  MDS_STF_USE_MDP=2
};


enum
{
  MDS_GETREVISION,        //Midas API revision
  MDS_INITDRIVER,         //When driver gets loaded
  MDS_FINI,               //When driver gets unloaded

  MDS_LOCK_MEMORY,        //Lock memory buffer - used to prepare data transport memory
  MDS_UNLOCK_MEMORY,
  MDS_LOCATE_HARDWARE,    //Setup hardware resources (don't leave powered up)
  MDS_LOCATE_DMA,         //Set DMA or memory/IO copy.
  MDS_INSTALLDEVICE,      //When device is about to be used (powered up)
  MDS_UNINSTALLDEVICE,    //When device is no longer to be used (powered down)
  MDS_TEST_CALLBACK,      //Perform immediated callback for diagnostic purpose
  MDS_RESET,              //Reset the hardware
  MDS_INITIALIZEVIDEO,    //Informs the (new) format of the Video 
  MDS_INITIALIZEAUDIO,    //Informs the (new) format of the Audio
  MDS_INITIALIZESUB,      //Init Sub Picture.....
  MDS_PLAY,               //Start playing
  MDS_STOP,               //Stop - TODO
  MDS_PAUSE,              //Pause - TODO
  MDS_TESTHW,             //NU 
  MDS_SETVIDEOID,         //NU Set VideoID (MDS_VS_ALL / MDS_VS_OFF / 0-15) - TODO
  MDS_SETAUDIOID,         //NU Set AudioID (MDS_ASID_OFF/MDS_ASID_LPCM/MDS_ASID_AC3/MDS_ASID_ALL_MPEG/0-31) - TODO
  MDS_SETSUBID,           //NU Set SubPictID (MDS_NO_SUBSTREAM/0-31) - TODO
  MDS_KARAOKEMODE,        //NU
  MDS_FLUSH,              //Flush the Buff (Typically ALL)
  MDS_FLUSH_END,          //EOF Flush
  MDS_ISR,                //ISR routine - TODO
  MDS_ISRCOMPLETE,        //ISR Complete - TODO
  MDS_REGISTEREVENT,      //NU
  MDS_UNREGISTEREVENT,    //NU

  MDS_SP_ENABLE,          //SupPicture Enable (Disable will blank all SupPicture)
  MDS_SP_COMPOSITEON,     //SupPicture Compsite on - TODO
  MDS_SP_HIGHLIGHT,       //SubPicture Highlight - TODO
  MDS_SP_PALETTE,         //SubPicture Pallete - TODO
//  MDS_SP_GET_ENABLE,
//  MDS_SP_GET_COMPOSITEON,

//  MDS_SENDDATA,           //Send Data to HW
  MDS_QUEUEDATA,
  MDS_STARTTIMER,         //Client request that Midas handles own timing (available in binding only)
  MDS_TIMER,              //Client calls periodically(every 10mS) to keep decoder running
  MDS_DATATIMER,          //Client calls periodically(every 10mS) to keep data moving
  MDS_CANCELDATA,
  MDS_MASTERCLOCK,        //Gives the master clock handle - TODO
  MDS_SETTVOUT,           //TVOut Controls (Comp/SVideo/MacroVision)
//   MDS_VIDOUTMODE,         //Video Output mode (Interlaced/Non-Interlaced) - Not Used
//   MDS_VIDOUTFORMAT,       //Video Output Format Preference (PanScan/LetterBox/Wide..)
  MDS_BLANKVIDEO,         //Set decoder video output to bank
  MDS_SETRATE,            //Set Stream Rate Slow/Normal/Fast
  MDS_GETRATE,            //Get Stream Rate Slow/Normal/Fast
  MDS_GETMAXRATE,         //Get Max. Rate for all the Stream
  MDS_VPEINFO,            //Port Width and other VPE Info
  MDS_VIDENABLEZV,        //Enable/Disable Video on the VP Port (through ZV)
  MDS_CSS_INITHW,         //CSS Init the Hardware
  MDS_CSS_SYNCTITLE,
//  MDS_CSS_CHECKRELOADKEY, //Check if Css keys are lost and the keys have to be reloaded
  MDS_CSS_GETCHALLENGE,   //Get CSS Challange Key - TODO
  MDS_CSS_GETRESPONSE,    //Get DVD Key2 (provides the dvd drive with bus key 2 from the decoder) - TODO
  MDS_CSS_SETCHALLENGE,   //Set CSS Challange Key - TODO
  MDS_CSS_SETRESPONSE,    //Set DVD Key1 (provides the dvd drive bus key 1 for the decoder) - TODO
  MDS_CSS_SETTITLE,       //Set DVD title key (provides the dvd drive title key to the decoder) - TODO
  MDS_CSS_SETDISCKEY,     //Set the DVD disc key.(provides the dvd disc key to the decoder) - TODO
  MDS_CSS_GETREGIONCODE,  //Get Region Code
  MDS_CSS_ENABLE_CHANNEL, //Enable data transfer select descramble or not Arg1=Enable Channel, Arg2=Enable CSS
  MDS_CSS_DISCONNECT,
//  MDS_CPXM_INITHW,        // Cpxm (Copy Protection) Init
//  MDS_CPXM_SYNCTITLE,
//  MDS_CPXM_CHECKRELOADKEY, //Check if Cpxm keys are lost and the keys have to be reloaded
//  MDS_CPXM_LOAD_DEVICEKEY,// Cpxm Load Deivce Keys and Col Row Keys
//  MDS_CPXM_LOAD_MEDIAKEY, // Cpxm Load MKB
//  MDS_CPXM_LOAD_ALBUMKEY, // Cpxm Load Album Keys.
//  MDS_CPXM_SETTITLE,       //Set DVD title key (provides the dvd drive title key to the decoder) - TODO
//  MDS_CPXM_ENABLE_CHANNEL, //Enable data transfer select descramble or not Arg1=Enable Channel, Arg2=Enable CPXM
//  MDS_CPXM_DISCONNECT,
  MDS_GET_STREAM_TIME,    //Get Stream Time (Cur SCR) in 100nS count
  MDS_SET_STREAM_TIME,    //Get Stream Time (Cur SCR) in 100nS count
  MDS_SET_TIME_MODE,      //Set Time format 10M or 90K, get PTS from MDPs
  MDS_SETMIXMODE,         // set audio mode
  MDS_SETAUDIOCOEFT,      // set the down mix coefficients
  MDS_SETSPDIFENABLE,     // set spdif - enable/disable, 
  MDS_SETSPDIFMODE,       // set spdif - mode 
  MDS_GETVOMODE,          // get video out mode
  MDS_GETVOBRIGHTNESS,    // get video out brightness
  MDS_GETVOHUE,           // get video out hue
  MDS_GETVOCONTRAST,      // get video out contrast
  MDS_GETMIXMODE,         // get audio mode
  MDS_GETSPDIFENABLE,     // get spdif - enable/disable, 
  MDS_GETSPDIFMODE,       // get spdif - mode 
  MDS_SETKARAOKEMODE,     // set Karaoke Mode
  MDS_GETKARAOKEMODE,     // get Karaoke Mode
  MDS_GETMUTE,            // tvout mute
  MDS_SETMUTE,            // 
  MDS_GETVOLUME,          // tvout volume
  MDS_SETVOLUME,          // 
  MDS_LOADCPSETTING,      // Load all the Permanent Settings (Called at StartUP)
  MDS_GETCCDATA,          // Get Closed Caption Info
  MDS_CCINIT,             // CC init
  MDS_CCFINI,             // CC Fini
  MDS_CCRESET,            // Reset CC FIFO
  MDS_CCFIFOSTATUS,       // Get the Status of the CC FIFO
  MDS_CCTIMER,            // CCTimer

  //Osd decoder commands.
  MDS_OSD_CONSTRUCT,
  MDS_OSD_DESTRUCT,
  MDS_OSD_INIT,
  MDS_OSD_FINI,
  MDS_OSD_RESET,
  MDS_OSD_TIMER,
  MDS_OSD_OPEN_REGION,  // Creates a region; returns pointer to region data.
  MDS_OSD_CLOSE_REGION,  // Delete region.
  MDS_OSD_RENDER_STRIP,
  MDS_OSD_RENDER_RECT,
  MDS_OSD_FILL_REGION,
  MDS_OSD_FILL_RECT,
  MDS_OSD_SHOW_REGION,      // Turn on the OSD page display 
  MDS_OSD_HIDE_REGION,      // Turn off the OSD page display
  MDS_OSD_SETBUFFSIZE,
  MDS_OSD_SETPALETTE,
  //MDS_OSD_DRAW_BITBLT,    // Draw Bitblt
  //MDS_OSD_UPDATE_BLENDFACTOR, // Update region blend factor.
  //MDS_OSD_UPDATE_PALETTE, // Update palette values.

  MDS_SAVE_STATE,         // Save the Current Hardware Status. (For use with Power State changes)
  MDS_RESTORE_STATE,      // Restore the saved Hardware status
  MDS_CSS_FORCECHALLENGE,
  MDS_WRITE_DATA,          // Write data to EEPROM
  MDS_READ_DATA,           // Read data from EEPROM

  MDS_STEP,                // Step Video by 1 frame
  MDS_GET_CHANNEL_LEVELS,  // returns space available in each channel buffer
  MDS_GET_DEVICE_CAPS,     // returns the capabalities of the device

  MDS_GET_VERSION,
  MDS_TRANSPORT_STREAM,
  MDS_EXTERNAL_STREAM,
  MDS_SET_CALLBACK,
  MDS_AUDIO_PINK_NOISE,
  MDS_AUDIO_SPEAKER_SIZE,

  MDS_AUDIO_GET_SPEAKER_SIZE,
  MDS_GET_BLANKVIDEO,

  MDS_CREATE_SCR_TIMER,
  MDS_DESTROY_SCR_TIMER,
  MDS_ADD_SCR_TIMER,
  MDS_REMOVE_SCR_TIMER
};

typedef struct _MIDASCMD
{
  PVOID hMidas;
  WORD  wCurrStream;
  DWORD cmd;
  DWORD dwStatus;
  PVOID hRef;            // Sub unit handle (eg. use for OSD region)
  union
  {
    PVOID                             pvData;
    int                               nData;
    struct StdMsg_s                   M;
    struct MDS_Revision_Struct        Rev;
    struct MDS_Version                Ver;
    struct MDS_Init_Struct            Init;
    struct MDS_InitVideo_Struct       InitVideo;
    struct MDS_InitAudio_Struct       InitAudio;
    struct MDS_InitSub_Struct         InitSub;
    struct MDS_RegisterEvent_Struct   RegEvent;
    struct MDS_Lock_Struct            Lock;
    struct MDS_Memory_Struct          Memory;
    struct MDS_ScrTimer_Struct        ScrTimer;
    struct MDS_Callback_Struct        Callback;
    MDS_SPEAKER_SIZE                  SpeakerSize;

    PMDS_DATA_BLOCK                   pMdb;
    PKSPROPERTY_SPHLI                 pSPHLI;
    PKSPROPERTY_SPPAL                 pSPPAL;
    PKS_DVDCOPY_CHLGKEY               pCHLGKEY;
    PKS_DVDCOPY_BUSKEY                pBUSKEY;
    PKS_DVDCOPY_TITLEKEY              pTITLEKEY;
    PKS_DVDCOPY_DISCKEY               pDISCKEY;
    PKS_DVDCOPY_REGION                pRegionInfo;

    PMDS_DEVICE_CAPS                  pDevCaps;
    MDS_SETTIME                       SetTime;
    MDS_GETTIME                       GetTime;
    PMDS_HW_RESOURCE                  HwResource;
    MDS_PLAYRATE                      PlayRate;
    MDS_CHN_LEVELS                    ChnLevels;
    PMDS_VPE_INFO                     pVPEInfo_s;

    MDS_CPXM_MKB                      CpxmMKB;
    MDS_CPXM_MASTER                   CpxmMaster;

    PVOID            OsdHandle;
    OSD_REGION_DESC  OsdRegionDesc;
    OSD_STRIP        OsdStrip;
  } u;
  long lErr;
} MIDASCMD, *PMIDASCMD;

long __stdcall MidasEntry(PMIDASCMD pCmd);

DWORD __stdcall MargiGetTime(void);
void  __stdcall MargiSleep(int nMilliSecs);

/*---- end of prototype for single entry point to LSI HAL ----*/

#define MDS_MPEG_TYPE_ELEMENTARY                1
#define MDS_MPEG_TYPE_MPEG1_PES                 2
#define MDS_MPEG_TYPE_MPEG2_PES                 3
#define MDS_MPEG_TYPE_MPEG1_PACKET              4
#define MDS_MPEG_TYPE_MPEG2_PACKET              5
#define MDS_MPEG_TYPE_DVD                       6
#define MDS_MPEG_TYPE_DVD_AUDIO                 7

/* Functions of the Hal */
/*************************************************************************/
/** MDS_INITIALIZEAUDIO                                                 **/
/*************************************************************************/
/* AudioStreamType */
#define MDS_AS_MPEG                   0x0001
#define MDS_AS_LPCM                   0x0002
#define MDS_AS_AC3                    0x0004
#define MDS_AS_DTS                    0x0008
#define MDS_AS_SDDS                   0x0010
#define MDS_AS_CDDA                   0x0020
#define MDS_AS_MP3                    0x0040
#define MDS_AS_MLP                    0x0080
#define MDS_AS_DTS_CD                 0x0100
#define MDS_AS_WMA                    0x0200

/* SampleRate */
#define MDS_SR44_1                    1
#define MDS_SR48_0                    2
#define MDS_SR32_0                    3

/* AudioOutput */

#define MDS_DAC                       1
#define MDS_IEC958                    2
#define MDS_CD_BYPASS                 3

/*************************************************************************/
/** MDS_INITIALIZEVIDEO                                                 **/
/*************************************************************************/

/* Values for videoFormat */
#define MDS_DISPLAY_NTSC_720          1
#define MDS_DISPLAY_NTSC_704          2
#define MDS_DISPLAY_PAL_720           3
#define MDS_DISPLAY_PAL_704           4

int MDS_Play(int play_mode);
#define MDS_PLAY_NORMAL               1
#define MDS_PLAY_FASTFORWARD          2
#define MDS_PLAY_FFASTFORWARD         3

#define MDS_PAN_SCAN                  1
#define MDS_LETTER_BOX                2
#define MDS_NORMAL_RECT               3

/*************************************************************************/
/** MDS_SETVIDEOID                                                      **/
/** id is 0-15, VS_ALL, or VS_OFF                                       **/
/*************************************************************************/
#define MDS_VS_ALL                    -1
#define MDS_VS_OFF                    -2


/*************************************************************************/
/** MDS_SETAUDIOID                                                      **/
/** id is 0-31, ASID_LPCM, ASID_AC3, or ASID_ALL_MPEG                   **/
/*************************************************************************/
#define MDS_ASID_OFF                  -1
#define MDS_ASID_LPCM                 -2
#define MDS_ASID_AC3                  -3
#define MDS_ASID_ALL_MPEG             -4
#define MDS_ASID_MLP                  -5

/*************************************************************************/
/** MDS_SETSUBID                                                        **/
/** id is 0-31 or NO_SUBSTREAM                                          **/
/*************************************************************************/
#define  MDS_NO_SUBSTREAM             0xffffffff

/*************************************************************************/
/** MDS_STEREO                                                          **/
/*************************************************************************/
#define MDS_SM_STEREO                 1
#define MDS_SM_RIGHT                  2
#define MDS_SM_LEFT                   3

/*************************************************************************/
/** MDS_KARAOKEMODE                                                     **/
/*************************************************************************/
#define MDS_KM_MELODY_DEFAULT         0x0000  // to be OR with MDS_KM
#define MDS_KM_MELODY_ON              0x0100  // to be OR with MDS_KM
#define MDS_KM_MELODY_OFF             0x0200
#define MDS_KM_MELODY_MASK            0x0F00

#define MDS_KM_OFF                    0
#define MDS_KM_NO_VOCAL               1
#define MDS_KM_VOCAL1                 2
#define MDS_KM_VOCAL2                 3
#define MDS_KM_VOCAL1_2               4

/*************************************************************************/
/** MDS_SETSPDIFMODE                                                    **/
/*************************************************************************/
#define MDS_SPDIF_LINEAR              0x0001
#define MDS_SPDIF_MPEG                0x0002
#define MDS_SPDIF_AC3                 0x0004
#define MDS_SPDIF_DTS                 0x0008
#define MDS_SPDIF_ALL                 0x000E

/*************************************************************************/
/** MDS_SETMIXMODE                                                      **/
/*************************************************************************/
#define MDS_MIXMODE_STEREO            0x0001
#define MDS_MIXMODE_PROLOGIC          0x0002
#define MDS_MIXMODE_3D                0x0004
#define MDS_MIXMODE_6CHANNEL          0x0008

/*************************************************************************/
/** MDS_AUDIO_PINK_NOISE                                                **/
/*************************************************************************/
#define MDS_SPEAKER_LEFT              0x0001
#define MDS_SPEAKER_RIGHT             0x0002
#define MDS_SPEAKER_LEFT_SURROUND     0x0004
#define MDS_SPEAKER_RIGHT_SURROUND    0x0008
#define MDS_SPEAKER_CENTER            0x0010
#define MDS_SPEAKER_SUBWOOFER         0x0020


/*************************************************************************/
/** External stream Cmds                                                **/
/*************************************************************************/
enum
{
  MDS_ES_SETINPUTMODE = 0,
  MDS_ES_SETUPSTREAM,
  MDS_ES_GETSTREAM,
  MDS_ES_STOPSTREAM
};

/*************************************************************************/
/** Transport stream Cmds                                               **/
/*************************************************************************/
enum
{
  MDS_TS_SETINPUTMODE = 0,
  MDS_TS_GETCHANNELTABLE,
  MDS_TS_SETCHANNEL,
  MDS_TS_START,
  MDS_TS_STOP
};

enum
{
  MDS_TRANSFER_PARALLEL = 1,
  MDS_TRANSFER_SERIAL_LSB,
  MDS_TRANSFER_SERIAL_MSB
};

/*************************************************************************/
/** TV Out Cmds                                **/
/*************************************************************************/
#define TVOUT_CTRL_MACROVISIONLEVEL     (0x0001)
#define TVOUT_CTRL_BOTH_COMP_SVIDEO     (0x0002)
#define TVOUT_CTRL_BRIGHTNESS           (0x0004)
#define TVOUT_CTRL_HUE                  (0x0008)
#define TVOUT_CTRL_CONTRAST             (0x0010)
#define TVOUT_CTRL_SATURATION           (0x0020)
#define TVOUT_CTRL_DIGITALOUTPUT        (0x0040)
#define TVOUT_CTRL_ANALOGOUTPUT         (0x0080)
#define TVOUT_CTRL_FORCE_NTSC_PAL       (0x0100)
#define TVOUT_CTRL_POSITION             (0x0200)
#define TVOUT_CTRL_SCALING              (0x0400)
#define TVOUT_CTRL_COLOR_BAR            (0x0800)
#define TVOUT_CTRL_CROP                 (0x1000)


#define TVOUT_GET                       (0x0000)
#define TVOUT_SET                       (0x8000)

#define TVOUT_GETMACROVISIONLEVEL       (TVOUT_GET|TVOUT_CTRL_MACROVISIONLEVEL)
#define TVOUT_SETMACROVISIONLEVEL       (TVOUT_SET|TVOUT_CTRL_MACROVISIONLEVEL)
#define TVOUT_GETCOMP_SVIDEO            (TVOUT_GET|TVOUT_CTRL_BOTH_COMP_SVIDEO)
#define TVOUT_SETCOMP_SVIDEO            (TVOUT_SET|TVOUT_CTRL_BOTH_COMP_SVIDEO)
#define TVOUT_GETBRIGHTNESS             (TVOUT_GET|TVOUT_CTRL_BRIGHTNESS)
#define TVOUT_SETBRIGHTNESS             (TVOUT_SET|TVOUT_CTRL_BRIGHTNESS)
#define TVOUT_GETHUE                    (TVOUT_GET|TVOUT_CTRL_HUE)
#define TVOUT_SETHUE                    (TVOUT_SET|TVOUT_CTRL_HUE)
#define TVOUT_GETCONTRAST               (TVOUT_GET|TVOUT_CTRL_CONTRAST)
#define TVOUT_SETCONTRAST               (TVOUT_SET|TVOUT_CTRL_CONTRAST)
#define TVOUT_GETSATURATION             (TVOUT_GET|TVOUT_CTRL_SATURATION)
#define TVOUT_SETSATURATION             (TVOUT_SET|TVOUT_CTRL_SATURATION)
#define TVOUT_GETDIGITALOUTPUT          (TVOUT_GET|TVOUT_CTRL_DIGITALOUTPUT)
#define TVOUT_SETDIGITALOUTPUT          (TVOUT_SET|TVOUT_CTRL_DIGITALOUTPUT)
#define TVOUT_GETANALOGOUTPUT           (TVOUT_GET|TVOUT_CTRL_ANALOGOUTPUT)
#define TVOUT_SETANALOGOUTPUT           (TVOUT_SET|TVOUT_CTRL_ANALOGOUTPUT)
#define TVOUT_GETFORCE_NTSC_PAL         (TVOUT_GET|TVOUT_CTRL_FORCE_NTSC_PAL)
#define TVOUT_SETFORCE_NTSC_PAL         (TVOUT_SET|TVOUT_CTRL_FORCE_NTSC_PAL)
#define TVOUT_GET_POS_SCALE             (TVOUT_GET|TVOUT_CTRL_POSITION|TVOUT_CTRL_SCALING|TVOUT_CTRL_CROP)
#define TVOUT_SET_POS_SCALE             (TVOUT_SET|TVOUT_CTRL_POSITION|TVOUT_CTRL_SCALING|TVOUT_CTRL_CROP)
#define TVOUT_SETCOLOR_BAR              (TVOUT_SET|TVOUT_CTRL_COLOR_BAR)

#define TVOUT_NONE                      (0)
#define TVOUT_SVIDEO                    (1)
#define TVOUT_COMP                      (2)
#define TVOUT_COMP_SVIDEO               (3)
#define TVOUT_YCRCB                     (4)
#define TVOUT_RGB                       (8)

#define TVOUT_DIGITAL_NONE              (0)
#define TVOUT_DIGITAL_YUV               (1)
#define TVOUT_DIGITAL_RGB               (2)

#define TVOUT_ANALOG_RGB_DISABLE        (0)
#define TVOUT_ANALOG_RGB_ENABLE         (1)
#define TVOUT_ANALOG_RGB_BLANK          (2)
#define TVOUT_ANALOG_RGB_UNBLANK        (3)

#define TVOUT_FORCE_NONE                (0)
#define TVOUT_FORCE_NTSC                (1)
#define TVOUT_FORCE_PAL                 (2)

typedef long (__stdcall *PFNMDS_CLKMASTER)(HANDLE             UserHandle,
                                            MDS_STREAM_TYPES  MdsStreamType,
                                            MDS_CLKMASTER     ClkMaster,
                                            MDS_CLKMASTER     ForceClkMaster);

/*************************************************************************/
/** Event IDs                                                           **/
/*************************************************************************/
#define NUM_EVENTS                    21
#define MDS_EVENT_VIDEO_ERROR         0x00000001
#define MDS_EVENT_AUDIO_ERROR         0x00000002
#define MDS_EVENT_PACK_DATA           0x00000004
#define MDS_EVENT_VIDEO_PES           0x00000008
#define MDS_EVENT_AUDIO_PES           0x00000010
#define MDS_EVENT_SPU_PES             0x00000020
#define MDS_EVENT_VBI_PES             0x00000040
#define MDS_EVENT_DSI_PES             0x00000080
#define MDS_EVENT_VIDEO_PTS           0x00000100
#define MDS_EVENT_AUDIO_PTS           0x00000200
#define MDS_EVENT_SEQUENCE_LAYER      0x00000400
#define MDS_EVENT_GOP_LAYER           0x00000800
#define MDS_EVENT_PICTURE_LAYER       0x00001000
#define MDS_EVENT_EXT_SEQUENCE        0x00002000
#define MDS_EVENT_EXT_DISPLAY         0x00004000
#define MDS_EVENT_EXT_QUANT_MATRIX    0x00008000
#define MDS_EVENT_EXT_PAN_SCAN        0x00010000
#define MDS_EVENT_EXT_PICTURE_CODING  0x00020000
#define MDS_EVENT_EXT_COPYRIGHT       0x00040000
#define MDS_EVENT_CLOSE_CAPTION       0x00080000
#define MDS_EVENT_USER_DATA           0x00100000
#define MDS_EVENT_UNUSED              0xffe00000

//HAL status
#define MDS_NoStatus                  3
#define MDS_Cancel                    2
#define MDS_Pending                   1
#define MDS_Success                   0

#ifndef _ST_
#ifndef __QNXNTO__
  #pragma pack (push)
#endif
  #pragma pack (1)
#endif

//
// Struct MDS_SequenceHeader_t: sequence header from the bitstream.
//
typedef struct MDS_SequenceHeader_struct
{
  unsigned char horizontalSize[2];        /* Horizontal size in pixels */
  unsigned char verticalSize[2];          /* Vertical size in pixels */
  unsigned char aspectRatio;              /* Pixel aspect ratio */
  unsigned char pictureRate;              /* Picture rate indicator */

  unsigned char bitRate[3];               /* Bit rate indicator */
#define BIT_RATE_FACTOR 400L              /* For calculating actual bit rate */

  unsigned vbvSize[2];                    /* VBV buffer size indicator */
#define VBV_SIZE_FACTOR (2L*KB)           /* For calculating actual buffer size */

  unsigned otherFlags;                    /* Constrained parm, quantizer, etc */
} MDS_SequenceHeader_t;


//
// Struct MDS_SequenceExt_t: sequence extension from bitstream.
//
typedef struct MDS_SequenceExt_struct
{
  unsigned char ext_id;                   // Extension ID
  unsigned char profile;                  // Profile and level
  unsigned char progressive;              // Progressive seq indicator
  unsigned char flags1;                   // Chroma, size extension flags
  unsigned char bitRate[2];               // Bit rate extension
  unsigned char vbvSize;                  // VBV size extension
  unsigned char flags2;                   // Low delay, frame rate flags
} MDS_SequenceExt_t;

//
// Struct MDS_DisplayExt_t: sequence display extension from bitstream
//
typedef struct MDS_DisplayExt_struct
{
  unsigned char ext_id;                   // Extension ID
  unsigned char flags1;                   // Video format, color description
  unsigned char primaries;                // Color primaries
  unsigned char transfer;                 // Transfer characteristics
  unsigned char coefficients;             // Matrix coefficients
  unsigned char horizontalDimension[2];   // Horizontal dimension
  unsigned char verticalDimension[2];     // Vertical dimension
} MDS_DisplayExt_t;


//
// Struct MDS_GopHeader_t: gop header
//
typedef struct MDS_GopHeader_struct
{
  unsigned char timeCode[4];              // Time code
  unsigned char closedGOP;                // Closed gop indicator
  unsigned char brokenLink;               // Broken link indicator
} MDS_GopHeader_t;


//
// Struct PictureHeader_t: picture header
//
typedef struct MDS_PictureHeader_struct
{
  unsigned char temporalReference[2];     // Temporal reference
  unsigned char pictureType;              // Picture coding type
  unsigned char vbvDelay[2];              // VBV delay
} MDS_PictureHeader_t;

//
// Struct MDS_PictureExt_t: picture coding extension from bitstream.
//
typedef struct MDS_PictureExt_struct
{
  unsigned char ext_id;                   // Extension ID
  unsigned char fhFCode;                  // Forward horizontal f code
  unsigned char fvFCode;                  // Forward vertical f code
  unsigned char bhFCode;                  // Backward horizontal f code
  unsigned char bvFCode;                  // Backward vertical f code
  unsigned char intraDCPrecision;         // Intra dc precision
  unsigned char pictureStructure;         // Picture structure
  unsigned char topFieldFirst;            // Top field first
  unsigned char prediction;               // Frame prediction frame dct
  unsigned char concealment;              // Concealment motion vector
  unsigned char qScaleType;               // Q scale type
  unsigned char intraVLCFormat;           // Intra vlc format
  unsigned char alternateScan;            // Alternate scan
  unsigned char repeatFirstField;         // Repeat first field
  unsigned char ppType;                   // Chroma post processing type
  unsigned char progressiveFrame;         // Progressive frame
  unsigned char compositeDisplay;         // Composite display
  unsigned char flags1;                   // V-axis, field seq, etc
  unsigned char burstAmplitude;           // Burst amplitude
  unsigned char subcarrierPhase;          // Subcarrier phase
} MDS_PictureExt_t;


//
// Struct PanExt_t: picture display extension from bitstream.
// LSI doc calls this the pan and scan extension.
//
typedef struct MDS_hv_struct
{
   unsigned char horizontalOffset[3];     // Horizontal offset
   unsigned char verticalOffset[3];       // Vertical offset
} MDS_HORIZ_VERT;



typedef struct MDS_PanExt_struct
{
  unsigned char ext_id;                   // Extension ID
  struct MDS_hv_struct hv[3];
} MDS_PanExt_t;

//
// structure MDS_CopyrightExt_t
//
typedef struct MDS_CopyrightExt_struct
{
  unsigned char ext_id;
  unsigned char flag;
  unsigned char id;
  unsigned char origCopy;
  unsigned char reserved;
  unsigned char num1[3];
  unsigned char num2[3];
  unsigned char num3[3];
} MDS_CopyrightExt_t;


typedef struct MDS_PES_struct
{
  unsigned char pkt_start_code[3]; /* PES Start Code */
  unsigned char id_stream;   /* Stream ID */
  unsigned short pkt_length; /* Number of bytes of pkt_data */
  unsigned char pkt_data[1];
} MDS_PES_t;

typedef struct MDS_Pts_struct
{
  unsigned char pts[4];   /* pts[0] is LSB, pts[4] is MSB */
} MDS_Pts_t;

#if !defined(_ST_) && !defined(__QNXNTO__)
  #pragma pack (pop)
#endif
#ifdef __QNXNTO__
  #pragma pack( )
#endif
#ifdef _NEC_
  #pragma pack(8)
#endif

typedef struct LSIDhal_event_struct
{
  unsigned int event;
  unsigned int length;
  union
  {
    char buffer[MAX_USER_BYTES];
    MDS_PES_t pes;
    MDS_Pts_t pts;
    MDS_CopyrightExt_t copyright;
    MDS_PanExt_t pan;
    MDS_PictureExt_t picture;
    MDS_PictureHeader_t picture_hdr;
    MDS_GopHeader_t gop;
    MDS_DisplayExt_t display;
    MDS_SequenceExt_t sequence;
    MDS_SequenceHeader_t sequencehdr;
  } u;
} LSIDHAL_EVENT;


#ifdef __cplusplus
  }
#endif

#endif   //midas_h
/**EOF: MidasApi.h**/
