/**************************************************************************
 * Copyright (c) 1996, 2006 MARGI Systems, Inc.
 * 
 *$History: settings.h $
 * 
 * *****************  Version 43  *****************
 * User: Viraf        Date: 3/18/04    Time: 4:26p
 * Updated in $/Dvd/AutoDVD/Navigator
 * No change
 * 
 * *****************  Version 42  *****************
 * User: Viraf           Date:  9/23/02  Time:  5:38p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 41  *****************
 * User: Viraf           Date:  9/18/02  Time: 10:37a
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 40  *****************
 * User: Viraf           Date:  9/16/02  Time:  4:25p
 * Checked in $/Dvd/AutoDVD/mdvdhdrv
 * 
 * *****************  Version 39  *****************
 * User: Viraf           Date:  9/16/02  Time:  4:19p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 38  *****************
 * User: Shude           Date:  3/29/01  Time:  6:57p
 * Checked in $/Dvd/Dvdtogo/WDM/Driver/Common
 * Add binary registry save
 * 
 * *****************  Version 37  *****************
 * User: Deepa           Date:  6/13/00  Time:  4:11p
 * Checked in $/Dvd/DvdToGo/Win95/AtapiVxd/Vxd
 * Fixed ATAPIVxd compile problem as it would include MARGICHECKTYPE
 * 
 * *****************  Version 36  *****************
 * User: Viraf           Date:  5/05/00  Time: 12:01p
 * Checked in $/Dvd/SIEMENS/mdvdhdrv
 * Porting to ST
 * 
 * *****************  Version 35  *****************
 * User: Viraf           Date:  2/01/00  Time:  3:20p
 * Checked in $/Dvd/DvdToGo/Win95/Driver20
 * 
 * *****************  Version 34  *****************
 * User: Viraf           Date:  2/01/00  Time:  3:17p
 * Checked in $/Dvd/DvdToGo/Win95/AtapiVxd/Vxd
 * 
 * *****************  Version 33  *****************
 * User: Viraf           Date:  1/31/00  Time:  5:36p
 * Checked in $/Dvd/DvdToGo/WinNT/dvd2go
 * 
 * *****************  Version 32  *****************
 * User: Viraf           Date:  1/28/00  Time:  2:56p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 31  *****************
 * User: Viraf           Date: 12/14/99  Time:  3:07p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 30  *****************
 * User: Release         Date: 12/14/99  Time:  2:48p
 * Checked in $/Dvd/DvdToGo/Win95/Driver20
 * 
 * *****************  Version 29  *****************
 * User: Viraf           Date: 12/13/99  Time:  6:40p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * 
 * *****************  Version 28  *****************
 * User: Viraf           Date: 12/10/99  Time:  3:41p
 * Checked in $/Dvd/DvdToGo/WinNT/mcimiser
 * 
 * *****************  Version 27  *****************
 * User: Release         Date: 12/09/99  Time:  2:35p
 * Checked in $/Dvd/DvdToGo/Win95/Navigator
 * 
 * *****************  Version 26  *****************
 * User: John            Date: 10/22/99  Time:  5:55p
 * Checked in $/Dvd/DvdToGo/AMovie/Filter
 * Add SET_DATA_DWORD define
 * 
 * *****************  Version 25  *****************
 * User: Viraf           Date:  4/02/99  Time:  4:43p
 * Checked in $/Dvd/DvdToGo/Win95/Driver20
 * Fixed __stdcall compile error for 16 bit code
 * 
 * *****************  Version 24  *****************
 * User: Viraf           Date:  4/02/99  Time:  3:33p
 * Checked in $/Dvd/DvdToGo/NewModel/MDvdHDrv
 * Adding __stdcall
 * 
 * *****************  Version 23  *****************
 * User: Viraf           Date: 12/30/98  Time: 11:21a
 * Checked in $/Dvd/DvdToGo/Driver20
 * 
 * *****************  Version 22  *****************
 * User: Viraf           Date: 12/30/98  Time: 11:16a
 * Checked in $/Dvd/DVDToGo_Plus/mcimiser
 * Added support for unicode
 * 
 * *****************  Version 21  *****************
 * User: Viraf           Date:  7/01/98  Time: 11:13a
 * Checked in $/Dvd/DvdToGo/Uninstall
 * 
 * *****************  Version 20  *****************
 * User: Chip-loki       Date:  6/15/98  Time: 11:05p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Adding SettingDel()
 * 
 * *****************  Version 19  *****************
 * User: Chip-loki       Date:  5/11/98  Time: 11:59a
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Added SettingIsPresent() to check for the existence of an entry.
 * 
 * *****************  Version 18  *****************
 * User: Chip-loki       Date:  3/05/98  Time:  4:14p
 * Checked in $/Dvd/VSD/App
 * Adding RECT2 (no size checking)
 * 
 * *****************  Version 17  *****************
 * User: Viraf           Date:  2/23/98  Time: 12:13p
 * Checked in $/Dvd/DvdPlay
 * Rolling back
 * 
 * *****************  Version 16  *****************
 * User: Viraf           Date:  2/23/98  Time: 12:03p
 * Checked in $/Dvd/DvdPlay
 * 
 * *****************  Version 15  *****************
 * User: Viraf           Date:  2/08/98  Time:  3:38p
 * Checked in $/Dvd/DvdPlay
 * Rollback
 * 
 * *****************  Version 14  *****************
 * User: Viraf           Date:  2/08/98  Time:  3:35p
 * Checked in $/Dvd/DvdPlay
 * 
 * *****************  Version 13  *****************
 * User: Chip-loki       Date:  1/30/98  Time: 11:52a
 * Checked in $/Dvd/VSD/App
 * Adding SET_DATA
 * 
 * *****************  Version 12  *****************
 * User: Chip-loki       Date: 12/09/97  Time:  8:04p
 * Checked in $/Dvd/DmaVxd/App
 * Removing changes header
 * 
 * *****************  Version 11  *****************
 * User: Chip-635        Date: 11/14/97  Time:  4:40p
 * Checked in $/Dvd/WDM/ActiveMovie/NullFilt
 * Rolling back to version 9.
 * 
 * *****************  Version 10  *****************
 * User: Viraf           Date: 11/05/97  Time:  5:46p
 * Checked in $/Dvd/DvdPlay
 * 
 * *****************  Version 9  *****************
 * User: Chip-loki       Date: 10/17/97  Time: 12:35p
 * Checked in $/Dvd/WDM/LSI/App
 * Fixing naming convention goof.
 * ALL EXPORTED FUNCTIONS NAMES START WITH "Setting" !!
 * 
 * *****************  Version 8  *****************
 * User: Ravi            Date: 10/08/97  Time:  6:11p
 * Checked in $/VpmClient
 * Adding GetSettingsMode().
 * 
 * *****************  Version 7  *****************
 * User: John            Date:  9/05/97  Time: 12:21p
 * Checked in $/Dvd/DmaVxd/Vxd
 * Chip update 09/28/97
 * 
 * *****************  Version 6  *****************
 * User: Chip-635        Date:  9/03/97  Time: 11:39a
 * Checked in $/Util/DbgMsg30/Dll16
 * Detabbed
 * 
 * *****************  Version 5  *****************
 * User: Chip-loki       Date:  7/25/97  Time: 11:32a
 * Checked in $/Util/Settings
 * Adding migrate with delete mode. This allows the user to change
 * values by editting the IniFile.
 * 
 * *****************  Version 4  *****************
 * User: Chip-loki       Date:  7/24/97  Time: 12:06p
 * Checked in $/VPMTest2
 * Porting over to use registry and/or ini
 * 
 * *****************  Version 3  *****************
 * User: Chip-modi       Date:  5/16/97  Time:  4:37p
 * Checked in $/SharedFiles/32bit
 * Changing for compatibility with 32bit C++
 * 
 * *****************  Version 2  *****************
 * User: Chip-modi       Date:  5/02/97  Time: 10:27a
 * Checked in $/SharedFiles/32bit
 * Added SET_FLAG type which saves a boolean value as 0 or 1, on or
 * off, true or false.
 * Removed FAR pointer modifiers.
 * 
 * *****************  Version 1  *****************
 * User: Chip-modi       Date:  4/14/97  Time:  5:17p
 * Created settings.h
 * Functions for reading/writing values to an INI file. Will be changed
 * to use the registry.
 * 
 **************************************************************************/

#ifndef __SETTINGS_H__
#define __SETTINGS_H__ 0x0201

//It's funny how sometimes the silliest things turn into the 
//pillars of the universe...
//
//Settings is now shared amongst about a million projects, so 
//be very careful when modifying it. Before editting, think
//twice. Then go get a cup of coffee. Then think again.
//Then ask me about what you are about to do. Then sleep on it.
//Then DON'T DO IT. Color within the lines.
//
// Chip Doran

//07May98: I added SettingIsPresent() against my better judgement.
//I still feel it is fundamentally unnecessary, but I am tired
//of arguing the point.

#ifdef __cplusplus
extern "C" {
#endif

//Required libraries: LIBW SHELL

//SettingMode() flags:
//  MIGRATE   Look in registry first, then IniFile. If found in IniFile, copy
//            to registry.
//  REGISTRY  Only look in registry.
//  INIFILE   Only look in IniFile.
// * Migrate,Registry,Inifile are mutually exclusive.
//  COMPAT16  OR-flag. If set, create a new key for each value; each key only
//            contains one unnamed value. This only affects 32bit applications
//            using the registry. Use this mode when both 16bit and 32bit
//            application need to access the same settings.
//  DELETE    In MIGRATE mode, deletes IniFile entries after migration.
//  INIFIRST  In MIGRATE mode, try reading from IniFile first.
#define SET_MODE_MASK1      0x000F
#define SET_MODE_MIGRATE    0x0001
#define SET_MODE_REGISTRY   0x0002
#define SET_MODE_INIFILE    0x0003
#define SET_MODE_COMPAT16   0x0100
#define SET_MODE_INIDELETE  0x0200
#define SET_MODE_INIFIRST   0x0400

//SettingRegPath() keys:
// PERSISTANT Uses the standard HKEY_LOCAL_MACHINE\Software\Margi_Systems path.
// DYNAMIC    Uses the HKEY_DYN_DATA path.
// LOCMACH    Allows creation of keys directly off the HKEY_LOCAL_MACHINE root.
#define SET_KEY_PERSISTANT  1
#define SET_KEY_DYNAMIC     2
#define SET_KEY_LOCMACH     3

typedef enum
{
  SET_NO_TYPE = 0,
  SET_BYTE,   // SET_HEX, SET_SIGN
  SET_WORD,   // SET_HEX, SET_SIGN
  SET_DWORD,  // SET_HEX, SET_SIGN
  SET_STR,
  SET_RECT,
  SET_FLAG,     // 0 or 1, true or false, on or off
  SET_DATA,     // Blocks of binary data (Use with care for small blocks only!)
  SET_RECT2,    // Same as RECT, but without size checking
  SET_TYPEMASK  = 0xFF
} SETTING_SET_TYPE;

typedef enum
{
  SET_NO_STYLE    = 0x0000,
  SET_HEX         = 0x0100, // SET_BYTE, SET_WORD, SET_DWORD
  SET_SIGN        = 0x0200, // SET_BYTE, SET_WORD, SET_DWORD
  SET_BOOL        = 0x0400, // FLAGs are saved as 0 or 1
  SET_TF          = 0x0800, // FLAGs are saved as true or false
  SET_ONOFF       = 0x1000, // FLAGs are saved as on or off
  SET_STYLEMASK   = 0xFF00
} SETTING_SET_STYLE;


#ifndef _TCHAR_DEFINED
  #define TCHAR char
#endif

#ifdef _WINDOWS
  #ifndef WIN32
    #define __stdcall
    #define _FARPTR_ FAR
  #else
    #define _FARPTR_
  #endif
#elif (defined(__VXD__) || defined(WANTVXDWRAPS) || defined(IS_32))
  #define _FARPTR_
#else
  #define _FARPTR_
  #define MARGI_CHECK_TYPES
#endif

#if (defined(_WIN32_WINNT))
  #define MARGI_CHECK_TYPES
#endif

#ifdef MARGI_CHECK_TYPES
  #ifndef BYTE
    #define BYTE      unsigned char
  #endif
  #ifndef WORD
    #define WORD      unsigned short
  #endif
  #ifndef DWORD
    #define DWORD     unsigned long
  #endif
#endif

typedef struct sSETTINGS
{
  TCHAR _FARPTR_*             lpName;
  SETTING_SET_TYPE            Type;
  union
  {
    TCHAR _FARPTR_*           lpValue;
    DWORD                     dwValue;
  } u;
  struct sSETTINGS _FARPTR_*  lpNext;
  struct sSETTINGS _FARPTR_*  lpChild;
} SETTINGS;

extern void   __stdcall SettingSetExternalSettings(SETTINGS _FARPTR_* lpExtSettings);
extern void   __stdcall SettingFName(TCHAR _FARPTR_ *FName, TCHAR _FARPTR_ *Section);
extern void   __stdcall SettingMode(WORD Mode);
extern void   __stdcall SettingRegPath(DWORD hKeyRoot, TCHAR _FARPTR_ *Path);
extern void   __stdcall SettingCompany(TCHAR _FARPTR_ *Company);
extern void   __stdcall SettingSave(DWORD Type, TCHAR _FARPTR_ *Entry, DWORD Arg);
extern DWORD  __stdcall SettingLoad(DWORD Type, TCHAR _FARPTR_ *Entry, void _FARPTR_ *pDst, DWORD Default);
extern WORD   __stdcall SettingIsPresent(DWORD Type, TCHAR _FARPTR_ *Entry);    //Returns size of entry data, or 0 if not present.
extern WORD   __stdcall SettingGetMode(void);
extern void   __stdcall SettingDel(TCHAR _FARPTR_ *Entry);                      //Deletes an entry.
extern void   __stdcall SettingDelKey(TCHAR _FARPTR_ *Entry);                   //Deletes a registry key
extern void   __stdcall SettingSaveB(DWORD Type, TCHAR _FARPTR_ *Entry, DWORD Arg1, DWORD Arg2);

#ifdef __cplusplus
}
#endif

#endif
/**EOF: SETTINGS.H**/
