 /**************************************************************************
 * Copyright (c) 1996, 2006 MARGI Systems, Inc.
 *                                                                        
 *$History: IdentErr.c $
 * 
 * *****************  Version 54  *****************
 * User: Viraf        Date: 6/01/04    Time: 1:15p
 * Updated in $/Dvd/AutoDVD/Navigator
 * Replace CPPM with CPXM
 * 
 * *****************  Version 53  *****************
 * User: Oleg         Date: 5/20/04    Time: 4:23p
 * Updated in $/Dvd/AutoDVD/Navigator
 * Changes related with removing GNU compiler warnings 
 * 
 * *****************  Version 52  *****************
 * User: Viraf        Date: 3/05/04    Time: 4:25p
 * Updated in $/Dvd/AutoDVD/Navigator
 * No change
 * 
 * *****************  Version 51  *****************
 * User: Arshad          Date:  7/23/03  Time:  5:09p
 * Checked in $/Dvd/AutoDVD/Navigator
 * OSD Integration of Widget Layer.
 * 
 * *****************  Version 50  *****************
 * User: Viraf           Date:  7/15/03  Time:  1:00p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 49  *****************
 * User: Viraf           Date:  6/25/03  Time: 11:57a
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 48  *****************
 * User: Arshad          Date:  5/29/03  Time:  7:40p
 * Checked in $/Dvd/AutoDVD/Navigator
 * Implemented CPPM.
 * 
 * *****************  Version 47  *****************
 * User: Viraf           Date:  2/06/03  Time:  5:38p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 46  *****************
 * User: Arshad          Date:  1/17/03  Time:  3:45p
 * Checked in $/Dvd/AutoDVD/Navigator
 * OSD First Cut w/ UILayer Design.
 * 
 * *****************  Version 45  *****************
 * User: Viraf           Date: 11/29/02  Time:  1:44p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 44  *****************
 * User: Arshad          Date: 11/26/02  Time:  4:26p
 * Checked in $/Dvd/AutoDVD/Navigator
 * Multi Region OSD stuff.
 * 
 * *****************  Version 43  *****************
 * User: Arshad          Date: 11/22/02  Time: 10:18a
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 42  *****************
 * User: Arshad          Date: 11/22/02  Time: 10:06a
 * Checked in $/Dvd/AutoDVD/Navigator
 * OSD:  Added error message.
 * 
 * *****************  Version 41  *****************
 * User: Arshad          Date: 11/15/02  Time:  4:19p
 * Checked in $/Dvd/AutoDVD/Navigator
 * OSD Stuff
 * 
 * *****************  Version 40  *****************
 * User: Viraf           Date: 10/21/02  Time:  4:01p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 39  *****************
 * User: Viraf           Date: 10/16/02  Time:  4:50p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 38  *****************
 * User: Viraf           Date: 10/16/02  Time:  4:30p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 37  *****************
 * User: Viraf           Date: 10/16/02  Time:  4:25p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 36  *****************
 * User: Viraf           Date:  2/08/02  Time:  1:47p
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 35  *****************
 * User: Viraf           Date: 11/16/01  Time: 11:59a
 * Checked in $/Dvd/AutoDVD/Navigator
 * 
 * *****************  Version 34  *****************
 * User: Vidya           Date: 10/16/00  Time:  5:11p
 * Checked in $/Dvd/DvdToGo/Win95/AtapiVxd/Common
 * 
 * *****************  Version 33  *****************
 * User: Anoop           Date: 11/01/99  Time:  5:42p
 * Checked in $/Dvd/DvdToGo/Pioneer/Navigator
 * 
 * *****************  Version 32  *****************
 * User: Viraf           Date: 10/20/99  Time:  3:33p
 * Checked in $/Dvd/DvdToGo/Win95/Navigator
 * 
 * *****************  Version 31  *****************
 * User: Anoop           Date: 10/04/99  Time:  9:32a
 * Checked in $/Dvd/DvdToGo/Pioneer/Midas
 * Modified the heat error message.
 * 
 * *****************  Version 30  *****************
 * User: Viraf           Date:  9/29/99  Time:  4:24p
 * Checked in $/Dvd/DvdToGo/Win95/Navigator
 * 
 * *****************  Version 29  *****************
 * User: John            Date:  7/29/99  Time:  9:48p
 * Checked in $/Dvd/DvdToGo/Pioneer/Midas
 * Fix CSS / EnterReadyState() timing problem
 * Add CSS_TIMEOUT error
 * 
 * *****************  Version 28  *****************
 * User: Viraf           Date:  4/28/99  Time:  7:28p
 * Checked in $/Dvd/DvdToGo/Win95/Navigator
 * 
 * *****************  Version 27  *****************
 * User: Chip2           Date: 10/12/98  Time: 10:38a
 * Checked in $/Dvd/WDM/Driver/Midas
 * 
 * *****************  Version 26  *****************
 * User: Viraf           Date:  9/08/98  Time:  3:54p
 * Checked in $/Dvd/VSD/Common
 * 
 * *****************  Version 25  *****************
 * User: Viraf           Date:  8/21/98  Time: 10:18p
 * Checked in $/Dvd/VSD/Common
 * Added region error msg
 * 
 * *****************  Version 24  *****************
 * User: Chip-loki       Date:  8/12/98  Time:  6:09p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Adding more errors
 * 
 * *****************  Version 23  *****************
 * User: Chip-loki       Date:  8/10/98  Time:  2:44p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Adding ERR_NOTAVAILABLE
 * 
 * *****************  Version 22  *****************
 * User: Chip-loki       Date:  8/04/98  Time:  6:18p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Adding ERR_OBSOLETE
 * 
 * *****************  Version 21  *****************
 * User: Chip-loki       Date:  6/15/98  Time:  9:11p
 * Checked in $/Util/DbgMsg/DbgMsg51/Common
 * Adding tag
 * 
 * *****************  Version 20  *****************
 * User: Ravi            Date:  6/02/98  Time:  8:07p
 * Checked in $/Dvd/WDM/LSI/Midas
 * Update
 * 
 * *****************  Version 19  *****************
 * User: Chip-loki       Date:  6/01/98  Time: 10:59p
 * Checked in $/DVD/VSD/Common
 * Adding ERR_TIMEOUT
 * 
 * *****************  Version 18  *****************
 * User: Ravi            Date:  5/27/98  Time: 12:08p
 * Checked in $/Dvd/WDM/LSI/Midas
 * Update
 * 
 * *****************  Version 17  *****************
 * User: Ravi            Date:  5/20/98  Time: 10:05a
 * Checked in $/Dvd/WDM/LSI/Midas
 * Update
 * 
 * *****************  Version 16  *****************
 * User: Ravi            Date:  5/20/98  Time:  9:53a
 * Checked in $/Dvd/WDM/LSI/Midas
 * Update
 * 
 * *****************  Version 15  *****************
 * User: Ravi            Date:  5/20/98  Time:  8:19a
 * Checked in $/Dvd/WDM/LSI/Midas
 * Adding More Error Constants
 * 
 * *****************  Version 14  *****************
 * User: Ravi            Date:  4/15/98  Time:  2:27p
 * Checked in $/Dvd/WDM/LSI/Midas
 * Adding LSI HAL Specific Error Codes
 * 
 * *****************  Version 13  *****************
 * User: Chip-loki       Date:  3/19/98  Time:  2:55p
 * Checked in $/Dvd/VSD/Common
 * Adding ERR_UDF_NOANCHOR
 * 
 * *****************  Version 12  *****************
 * User: Chip-loki       Date:  3/04/98  Time:  8:01p
 * Checked in $/Dvd/VSD/Common
 * Adding ERR_BADLIST
 * 
 * *****************  Version 11  *****************
 * User: Chip-loki       Date:  3/04/98  Time:  6:44p
 * Checked in $/Dvd/VSD/Common
 * Adding ERR_NOTREADY
 * 
 * *****************  Version 10  *****************
 * User: Chip-loki       Date:  3/02/98  Time:  6:34p
 * Checked in $/Dvd/VSD/Common
 * * Adding ERR_BADCMD for unrecognized message commands
 * * ERR_PREREQUISITE: some required initial step has not been accomplished.
 * * ERR_BADTAG: UDF sector was not as expected.
 * * ERR_ARG1, ERR_ARG2: message command had bad arg(s).
 * 
 * *****************  Version 9  *****************
 * User: Chip-loki       Date:  2/20/98  Time:  3:39p
 * Checked in $/Dvd/VSD/Common
 * Disabling signed/unsigned warning
 * 
 * *****************  Version 8  *****************
 * User: Chip-loki       Date:  1/30/98  Time:  3:40p
 * Checked in $/Dvd/VSD/Common
 * Adding more GDI errors
 * 
 * *****************  Version 7  *****************
 * User: Chip-loki       Date:  1/30/98  Time: 11:52a
 * Checked in $/Dvd/VSD/Common
 * GDI system errors
 * 
 * *****************  Version 6  *****************
 * User: Chip-loki       Date:  1/28/98  Time:  4:41p
 * Checked in $/Util/DataEdit/Common
 * Adding more strings
 * 
 * *****************  Version 5  *****************
 * User: Chip-635        Date:  1/15/98  Time:  6:08p
 * Checked in $/Dvd/VSD/Common
 * Added ERR_AUTHENTICATION when CSS authentication fails during key
 * comparisons.
 * 
 * *****************  Version 4  *****************
 * User: Chip-loki       Date:  1/03/98  Time:  5:35p
 * Checked in $/Dvd/VSD/Common
 * Adding ERR_NOT_IMPLEMENTED and ERR_DEVICE.
 * 
 * *****************  Version 3  *****************
 * User: Chip-loki       Date: 12/31/97  Time:  5:48p
 * Checked in $/Dvd/VSD/Common
 * Adding ERR_READONLY
 * 
 * *****************  Version 2  *****************
 * User: Chip-loki       Date: 12/30/97  Time:  4:21p
 * Checked in $/Dvd/VSD/Common
 * Fixing misnamed array
 * 
 * *****************  Version 1  *****************
 * User: Chip-loki       Date: 12/30/97  Time:  2:59p
 * Created IdentErr.c
 * Margi error codes
 * 
 **************************************************************************/

#define MARGIERR_STRING_CODE 1
#include "margierr.h"
#include "Idents.h"

//30Dec97 Chip Doran

#ifndef _ST_
#ifndef __QNXNTO__
  #pragma warning(disable:4018)  //Turn off signed/unsigned warning
#endif
#endif

#define IDENT_MARGIERR(Err) Err, string##Err


struct IdentEntry_s IdentifierErrors[] =
{
  {ID_MARGIERRORS, 0 },

  {IDENT_MARGIERR(MARGI_ERR_NONE)},

  {IDENT_MARGIERR(MARGI_ERR_GENERIC)},

  {IDENT_MARGIERR(MARGI_ERR_BADPTR)},

  {IDENT_MARGIERR(MARGI_ERR_BADSIZE)},

  {IDENT_MARGIERR(MARGI_ERR_BADPARM)},

  {IDENT_MARGIERR(MARGI_ERR_TOOLONG)},

  {IDENT_MARGIERR(MARGI_ERR_NOMEM)},

  {IDENT_MARGIERR(MARGI_ERR_NOTFOUND)},

  {IDENT_MARGIERR(MARGI_ERR_UNHOOK)},

  {IDENT_MARGIERR(MARGI_ERR_HOOK)},

  {IDENT_MARGIERR(MARGI_ERR_DUPLICATE)},

  {IDENT_MARGIERR(MARGI_ERR_TOOMANY)},

  {IDENT_MARGIERR(MARGI_ERR_BADHANDLE)},

  {IDENT_MARGIERR(MARGI_ERR_BUSY)},

  {IDENT_MARGIERR(MARGI_ERR_DMA_REGION)},

  {IDENT_MARGIERR(MARGI_ERR_DMA_NOINTR)},

  {IDENT_MARGIERR(MARGI_ERR_ENCRYPTION)},

  {IDENT_MARGIERR(MARGI_ERR_NOCSS)},

  {IDENT_MARGIERR(MARGI_ERR_CPXM_KEYLOAD)},

  {IDENT_MARGIERR(MARGI_ERR_BADITEM)},

  {IDENT_MARGIERR(MARGI_ERR_READONLY)},

  {IDENT_MARGIERR(MARGI_ERR_NOT_IMPLEMENTED)},

  {IDENT_MARGIERR(MARGI_ERR_AUTHENTICATION)},

  {IDENT_MARGIERR(MARGI_ERR_BADCMD)},

  {IDENT_MARGIERR(MARGI_ERR_PREREQUISITE)},

  {IDENT_MARGIERR(MARGI_ERR_BADTAG)},

  {IDENT_MARGIERR(MARGI_ERR_ARG1)},

  {IDENT_MARGIERR(MARGI_ERR_ARG2)},

  {IDENT_MARGIERR(MARGI_ERR_NOTREADY)},

  {IDENT_MARGIERR(MARGI_ERR_BADLIST)},

  {IDENT_MARGIERR(MARGI_ERR_BADTYPE)},

  {IDENT_MARGIERR(MARGI_ERR_BADSIG)},

  {IDENT_MARGIERR(MARGI_ERR_CANT_START)},

  {IDENT_MARGIERR(MARGI_ERR_WRT_FAILED)},

  {IDENT_MARGIERR(MARGI_ERR_WRT_STALLED)},

  {IDENT_MARGIERR(MARGI_ERR_PHYSMAP)},

  {IDENT_MARGIERR(MARGI_ERR_IGNORED)},

  {IDENT_MARGIERR(MARGI_ERR_BADCALLBACK)},

  {IDENT_MARGIERR(MARGI_ERR_UNABLE_STOP_CHNL)},

  {IDENT_MARGIERR(MARGI_ERR_UNABLE_START_CHNL)},

  {IDENT_MARGIERR(MARGI_ERR_INVALID_STATE_TRANSITION)},

  {IDENT_MARGIERR(MARGI_ERR_NO_ACTION_REQD)},

  {IDENT_MARGIERR(MARGI_ERR_INVALID_HW_STATE)},

  {IDENT_MARGIERR(MARGI_ERR_TIMEOUT)},

  {IDENT_MARGIERR(MARGI_ERR_UNK_MSG)},

  {IDENT_MARGIERR(MARGI_ERR_NOTOPEN)},

  {IDENT_MARGIERR(MARGI_ERR_ABORT)},

  {IDENT_MARGIERR(MARGI_ERR_PARSE)},

  {IDENT_MARGIERR(MARGI_ERR_ACCESS)},

  {IDENT_MARGIERR(MARGI_ERR_INSANE)},

  {IDENT_MARGIERR(MARGI_ERR_REGION_MISMATCH)},

  {IDENT_MARGIERR(MARGI_ERR_NOFIELD_CDB)},

  {IDENT_MARGIERR(MARGI_ERR_OUTOFRANGE)},

  {IDENT_MARGIERR(MARGI_ERR_TIMER)},

  {IDENT_MARGIERR(MARGI_ERR_TIMERSTART)},

  {IDENT_MARGIERR(MARGI_ERR_TIMERSTOP)},

  {IDENT_MARGIERR(MARGI_ERR_NOT_SUPPORTED)},

  {IDENT_MARGIERR(MARGI_ERR_THREAD)},

  {IDENT_MARGIERR(MARGI_ERR_THREAD_CREATE)},

  {IDENT_MARGIERR(MARGI_ERR_MUTEX)},

  {IDENT_MARGIERR(MARGI_ERR_MUTEX_CREATE)},

  {IDENT_MARGIERR(MARGI_ERR_EVENT)},

  {IDENT_MARGIERR(MARGI_ERR_EVENT_CREATE)},

  {IDENT_MARGIERR(MARGI_ERR_EVENT_SET)},

  {IDENT_MARGIERR(MARGI_ERR_HW_NOTFOUND)},

  {IDENT_MARGIERR(MARGI_ERR_NAVIGATE)},

  {IDENT_MARGIERR(MARGI_ERR_PARENTAL)},

  {IDENT_MARGIERR(MARGI_ERR_REGION_INT)},

  {IDENT_MARGIERR(MARGI_ERR_REGION_LOCK)},

  {IDENT_MARGIERR(MARGI_ERR_REGION_SUP)},

  {IDENT_MARGIERR(MARGI_ERR_QUE_EMPTY)},

  {IDENT_MARGIERR(MARGI_ERR_ATAPI)},

  {IDENT_MARGIERR(MARGI_ERR_INVALID_ADDR)},

  {IDENT_MARGIERR(MARGI_ERR_HEAT)},

  {IDENT_MARGIERR(MARGI_ERR_NO_KEY)},

  {IDENT_MARGIERR(MARGI_ERR_INVALID_KEY)},

  {IDENT_MARGIERR(MARGI_ERR_NOTDONE)},

  {IDENT_MARGIERR(MARGI_ERR_UNDERFLOW)},

  {IDENT_MARGIERR(MARGI_ERR_OVERFLOW)},

  {IDENT_MARGIERR(MARGI_ERR_PARITY)},

  {IDENT_MARGIERR(MARGI_ERR_FRAMING)},

  {IDENT_MARGIERR(MARGI_ERR_INTERRUPT)},

  {IDENT_MARGIERR(MARGI_ERR_INT_INSTALL)},

  {IDENT_MARGIERR(MARGI_ERR_ILLEGAL_FLAGS)},

  {IDENT_MARGIERR(MARGI_ERR_NO_ROOM)},

  {IDENT_MARGIERR(MARGI_ERR_BADSTATE)},

  {IDENT_MARGIERR(MARGI_ERR_ILLEGAL_MODE)},

  {IDENT_MARGIERR(MARGI_ERR_LOAD)},

  {IDENT_MARGIERR(MARGI_ERR_BADVERSION)},

  {IDENT_MARGIERR(MARGI_ERR_UNLOAD)},

  {IDENT_MARGIERR(MARGI_ERR_FILTERS)},

  {IDENT_MARGIERR(MARGI_ERR_OBSOLETE)},

  {IDENT_MARGIERR(MARGI_ERR_NOTAVAILABLE)},

  {IDENT_MARGIERR(MARGI_ERR_NOMEDIA)},

  {IDENT_MARGIERR(MARGI_ERR_NOMEDIA_TRAY_CLOSED)},

  {IDENT_MARGIERR(MARGI_ERR_NOMEDIA_TRAY_OPEN)},

  {IDENT_MARGIERR(MARGI_ERR_MEDIA_MAY_HAVE_CHANGED)},

  {IDENT_MARGIERR(MARGI_ERR_BECOMING_READY)},

  {IDENT_MARGIERR(MARGI_ERR_NOTREADY_INITIALIZING_REQUIRED)},

  {IDENT_MARGIERR(MARGI_ERR_MEDIA_UNKNOWN_FORMAT)},

  {IDENT_MARGIERR(MARGI_ERR_RESET_OCCURED)},

  {IDENT_MARGIERR(MARGI_ERR_NODEVICE)},

  {IDENT_MARGIERR(MARGI_ERR_DEVICE)},

  {IDENT_MARGIERR(MARGI_ERR_DEVICE_NOTREADY)},

  {IDENT_MARGIERR(MARGI_ERR_DEVICE_BUSY)},

  {IDENT_MARGIERR(MARGI_ERR_DEVICE_DISABLED)},

  {IDENT_MARGIERR(MARGI_ERR_PORT)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_OPEN)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_WRITE)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_READ)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_SET_STATE)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_GET_STATE)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_SETUP)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_FAILED)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_INVALID)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_TIMEOUT)},

  {IDENT_MARGIERR(MARGI_ERR_PORT_EVENT)},

  {IDENT_MARGIERR(MARGI_ERR_NO_DETECTOR)},

  {IDENT_MARGIERR(MARGI_ERR_UNKNOWN)},

  {IDENT_MARGIERR(MARGI_ERR_VMIERR)},

  {IDENT_MARGIERR(MARGI_ERR_HW)},

  {IDENT_MARGIERR(MARGI_ERR_DMA)},

  {IDENT_MARGIERR(MARGI_ERR_ISR)},

  {IDENT_MARGIERR(MARGI_ERR_WND)},

  {IDENT_MARGIERR(MARGI_ERR_WRK)},

  {IDENT_MARGIERR(MARGI_ERR_NAV)},

  {IDENT_MARGIERR(MARGI_ERR_HW_RSC)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_HW_NOTFOUND)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_TITLEKEY)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_DISCKEY)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_DECAUTH)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_DRVAUTH)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_GENCHALLENGE)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_WRKEY40)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_WRDRVREFKEY)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_RDKEY40)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_NOBUSAUTH)},

  {IDENT_MARGIERR(MARGI_ERR_CSS_TIMEOUT)},

  {IDENT_MARGIERR(MARGI_ERR_FILEOPEN)},

  {IDENT_MARGIERR(MARGI_ERR_FILEREAD)},

  {IDENT_MARGIERR(MARGI_ERR_FILEWRITE)},

  {IDENT_MARGIERR(MARGI_ERR_FILESEEK)},

  {IDENT_MARGIERR(MARGI_ERR_FILEOPENREAD)},

  {IDENT_MARGIERR(MARGI_ERR_FILEOPENWRITE)},

  {IDENT_MARGIERR(MARGI_ERR_BADPATH)},

  {IDENT_MARGIERR(MARGI_ERR_BOGUSCOPY)},

  {IDENT_MARGIERR(MARGI_ERR_EXPIRED)},

  {IDENT_MARGIERR(MARGI_ERR_FILE)},

  {IDENT_MARGIERR(MARGI_ERR_DRIVE_OPEN)},

  {IDENT_MARGIERR(MARGI_ERR_GDIRESOURCE)},

  {IDENT_MARGIERR(MARGI_ERR_GDICLOSE)},

  {IDENT_MARGIERR(MARGI_ERR_GDIOPEN)},

  {IDENT_MARGIERR(MARGI_ERR_GDICREATE)},

  {IDENT_MARGIERR(MARGI_ERR_GDIDESTROY)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NODRV)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NOANCHOR)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NOPVD)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NOPARTITION)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NOROOTDIR)},

  {IDENT_MARGIERR(MARGI_ERR_UDF_NOENTRY)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_GENERAL)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_PALETTE)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_PAGE_NOT_FOUND)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_INIT_FAILED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_ILLEGAL_PARAM)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_REGION_CREATE_FAILED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_INVALID_PALETTE)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_INVALID_BITMAP)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_SLOW_BITBLT_UNSUPPORTED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_BITBLT_UNALIGNED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_DATA_UNALIGNED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_BAD_POINTER)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_BITBLT_FAILED)},

  {IDENT_MARGIERR(MARGI_ERR_OSD_INCOSISTENT_REQ)},

  {IDENT_MARGIERR(MARGI_ERR_NOINTERFACE)},

  {IDENT_MARGIERR(MARGI_ERR_KERNEL_INIT)},

  {IDENT_MARGIERR(MARGI_ERR_KERNEL_START)},

  {IDENT_MARGIERR(MARGI_ERR_DD_ALREADYINITIALIZED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_BLTFASTCANTCLIP)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANNOTATTACHSURFACE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANNOTDETACHSURFACE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANTCREATEDC)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANTDUPLICATE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANTLOCKSURFACE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANTPAGELOCK)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CANTPAGEUNLOCK)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CLIPPERISUSINGHWND)},

  {IDENT_MARGIERR(MARGI_ERR_DD_COLORKEYNOTSET)},

  {IDENT_MARGIERR(MARGI_ERR_DD_CURRENTLYNOTAVAIL)},

  {IDENT_MARGIERR(MARGI_ERR_DD_DCALREADYCREATED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_DEVICEDOESNTOWNSURFACE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_DIRECTDRAWALREADYCREATED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_EXCEPTION)},

  {IDENT_MARGIERR(MARGI_ERR_DD_EXCLUSIVEMODEALREADYSET)},

  {IDENT_MARGIERR(MARGI_ERR_DD_EXPIRED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_GENERIC)},

  {IDENT_MARGIERR(MARGI_ERR_DD_HEIGHTALIGN)},

  {IDENT_MARGIERR(MARGI_ERR_DD_HWNDALREADYSET)},

  {IDENT_MARGIERR(MARGI_ERR_DD_HWNDSUBCLASSED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_IMPLICITLYCREATED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INCOMPATIBLEPRIMARY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDCAPS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDCLIPLIST)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDDIRECTDRAWGUID)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDMODE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDOBJECT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDPARAMS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDPIXELFORMAT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDPOSITION)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDRECT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDSTREAM)},

  {IDENT_MARGIERR(MARGI_ERR_DD_INVALIDSURFACETYPE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_LOCKEDSURFACES)},

  {IDENT_MARGIERR(MARGI_ERR_DD_MOREDATA)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NO3D)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOALPHAHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOBLTHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCLIPLIST)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCLIPPERATTACHED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCOLORCONVHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCOLORKEY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCOLORKEYHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOCOOPERATIVELEVELSET)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NODC)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NODDROPSHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NODIRECTDRAWHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NODIRECTDRAWSUPPORT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOEMULATION)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOEXCLUSIVEMODE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOFLIPHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOFOCUSWINDOW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOGDI)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOHWND)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOMIPMAPHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOMIRRORHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NONONLOCALVIDMEM)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOOPTIMIZEHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOOVERLAYDEST)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOOVERLAYHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOPALETTEATTACHED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOPALETTEHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NORASTEROPHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOROTATIONHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOSTRETCHHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOT4BITCOLOR)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOT4BITCOLORINDEX)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOT8BITCOLOR)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTAOVERLAYSURFACE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTEXTUREHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTFLIPPABLE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTFOUND)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTINITIALIZED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTLOADED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTLOCKED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTPAGELOCKED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOTPALETTIZED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOVSYNCHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOZBUFFERHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_NOZOVERLAYHW)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OUTOFCAPS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OUTOFMEMORY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OUTOFVIDEOMEMORY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OVERLAPPINGRECTS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OVERLAYCANTCLIP)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OVERLAYCOLORKEYONLYONEACTIVE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_OVERLAYNOTVISIBLE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_PALETTEBUSY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_PRIMARYSURFACEALREADYEXISTS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_REGIONTOOSMALL)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACEALREADYATTACHED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACEALREADYDEPENDENT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACEBUSY)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACEISOBSCURED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACELOST)},

  {IDENT_MARGIERR(MARGI_ERR_DD_SURFACENOTATTACHED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_TOOBIGHEIGHT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_TOOBIGSIZE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_TOOBIGWIDTH)},

  {IDENT_MARGIERR(MARGI_ERR_DD_UNSUPPORTED)},

  {IDENT_MARGIERR(MARGI_ERR_DD_UNSUPPORTEDFORMAT)},

  {IDENT_MARGIERR(MARGI_ERR_DD_UNSUPPORTEDMASK)},

  {IDENT_MARGIERR(MARGI_ERR_DD_UNSUPPORTEDMODE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_VERTICALBLANKINPROGRESS)},

  {IDENT_MARGIERR(MARGI_ERR_DD_VIDEONOTACTIVE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_WASSTILLDRAWING)},

  {IDENT_MARGIERR(MARGI_ERR_DD_WRONGMODE)},

  {IDENT_MARGIERR(MARGI_ERR_DD_XALIGN)},

  { 0, 0 }
};

/**EOF: IDENTERR.C**/

