//#include <StrmIni.h>
//#include <mmsystem.h>
//#include <KsMedia.h>
#include "system.h"
#include "Idents.h"
#include "IdentCls.h"
#include "MidasApi.h"
#include "dvHwMain.h"
#include "tvout.h"

struct IdentEntry_s IdentsHw[]= {
  { ID_HW_STATE,0 },
    { Z_STATE_PLAY, "Play" },
    { Z_STATE_PREROLL, "PreRoll" },
    { Z_STATE_SYNC, "Sync" },
    { Z_STATE_PAUSE, "Pause" },
    { Z_STATE_STOP, "Stop" },
    { Z_STATE_UNK, "Unknown" },
  { ID_STRM_STATE,0 },
    { S_STATE_STOP,     "Stop" },
    { S_STATE_PAUSE,    "Pause" },
    { S_STATE_RUN,      "Run" },
    { S_STATE_UNK,      "Unknown" },
  { ID_HW_AUDIO, 0 },
    { AUD_MPEG, "MPEG" },
    { AUD_AC3, "AC3" },
    { AUD_LPCM, "LPCM" },
    { AUD_UNKNOWN, "Unknown" },
  { ID_HW_CSSCMD, 0 },
    { CssCmdNone, "None" },
    { CssCmdNoDescram, "No descramble" },
    { CssCmdDescram, "Descramble" },
    { CssCmdGenCh, "Generate challenge" },
    { CssCmdRdCh, "Read challenge" },
    { CssCmdWrCh, "Write challenge" },
    { CssCmdWrDrvRef, "Write drive reference" },
    { CssCmdDrvAuth, "Drive authenticate" },
    { CssCmdDecAuth, "Decoder authenticate" },
    { CssCmdDiscKey, "Disc key" },
    { CssCmdTitleKey, "Title key" },
  { ID_HW_AUDRATE, 0 },
    { 0, "48KHz" },
    { 1, "44KHz" },
    { 2, "32KHz" },
  { ID_HW_ERRSTAT, 0 },
    { 0x8000, "IECu" },
    { 0x1000, "SPUd" },
    { 0x0800, "AUDsync"},
    { 0x0400, "AUDcrc" },
    { 0x0200, "Context" },
    { 0x0100, "VLC" },
    { 0x0040, "SPUu" },
    { 0x0020, "VIDu" },
    { 0x0010, "AUDu" },
    { 0x0004, "SPUo" },
    { 0x0002, "VIDo" },
    { 0x0001, "AUDo" },
  { ID_HW_EVENT1, 0 },
    { 0x01, "AudioSyncCode" },
    { 0x02, "PictureStartCode" },
    { 0x04, "ScrAudioCompare" },
    { 0x08, "SpuStartDetect" },
    { 0x10, "BeginActiveVideo" },
    { 0x20, "BeginVerticalBlank" },
    { 0x40, "ScrOverflow" },
    { 0x80, "ScrCompare" },
  { ID_HW_STRMTYPE, 0 },
    { STRM_NONE, "None" },
    { STRM_VID, "Video" },
    { STRM_AUD, "Audio" },
    { STRM_SUB, "Subpicture" },
  { ID_HW_TVOUTMODE, 0 },
    { TV_OUT_NONE, "Disabled" },
    { TV_OUT_COMP, "Composite" },
    { TV_OUT_SVID, "S-Video" },
    { TV_OUT_YCRCB,"YCrCb"},
    { TV_OUT_RGB,  "RGB"},
  { 0,0 }
};

/**EOF: IDENTHW.C**/
