/**********************************************************************
 *                                                                    *
 *                      SystemSoft Corporation                        *
 *                      313 Speen Street                              *
 *                      Natick, MA 01760                              *
 *                      (508) 651-0088                                *
 *                                                                    *
 * Copyright 1993-1996 SystemSoft Corporation.  All Rights Reserved.  *
 *                                                                    *
 * Module:  retcodes.h                                                *
 *                                                                    *
 * Author:  MRT                                                       *
 *                                                                    *
 **********************************************************************/

#ifndef _RETCODES_H

#define _RETCODES_H

/**********************************************************************
 * Return Codes.                                                      *
 **********************************************************************/

#define R_SUCCESS                       0x00
#define R_BAD_ADAPTER                   0x01
#define R_BAD_ATTRIBUTE                 0x02
#define R_BAD_BASE                      0x03
#define R_BAD_EDC                       0x04
#define R_RESERVED_05                   0x05
#define R_BAD_IRQ                       0x06
#define R_BAD_OFFSET                    0x07
#define R_BAD_PAGE                      0x08
#define R_READ_FAILURE                  0x09
#define R_BAD_SIZE                      0x0A
#define R_BAD_SOCKET                    0x0B
#define R_RESERVED_0C                   0x0C
#define R_BAD_TYPE                      0x0D
#define R_BAD_VCC                       0x0E
#define R_BAD_VPP                       0x0F
#define R_RESERVED_10                   0x10
#define R_BAD_WINDOW                    0x11
#define R_WRITE_FAILURE                 0x12
#define R_RESERVED_13                   0x13
#define R_NO_CARD                       0x14
#define R_UNSUPPORTED_FUNCTION          0x15
#define R_UNSUPPORTED_MODE              0x16
#define R_BAD_SPEED                     0x17
#define R_BUSY                          0x18
#define R_GENERAL_FAILURE               0x19
#define R_WRITE_PROTECTED               0x1A
#define R_BAD_ARG_LENGTH                0x1B
#define R_BAD_ARGS                      0x1C
#define R_CONFIGURATION_LOCKED          0x1D
#define R_IN_USE                        0x1E
#define R_NO_MORE_ITEMS                 0x1F
#define R_OUT_OF_RESOURCE               0x20
#define R_BAD_HANDLE                    0x21
#define R_PASS_CALL_TO_CHAIN            0xFF

#endif  /* _RETCODES_H */

